General information on GRANEDA Dynamic

Since its establishment in 1975, NETRONIC Software GmbH has been developing graphics software for the project management sector, in particular specialising in converting the data from a wide range of project management systems into transparent graphical reports.

With GRANEDA Dynamic 3.x NETRONIC Software GmbH presents the ideal graphical add-on for your project work and presentations. GRANEDA Dynamic lets you display your project data as network, tree and Gantt charts and continue your planning mouse-driven on screen. Import the project data from your planning system (e.g. Microsoft Project, Time Line, CA SuperProject and many more), follow up your plans in graphical form, modify the logic, node contents, etc. and save the results back to your project file in *.MPX, *.PRA, *.PRE or *.CSV format. You can also load the project data via the ODBC interface, e.g. from a database or Microsoft Excel.

The basic layouts of the GRANEDA Dynamic diagrams are predefined in such a way that you can create impressive graphics with a minimum of effort, but without having to forfeit individual design.

In GRANEDA Dynamic's network charts you can either arrange the activities yourself, or use the layouter to automatically generate transparent diagrams.

You can vary the format and size of the nodes and specify the data fields to be displayed in the node. Activity types (e.g. critical activities, milestones, etc.) that require particular attention when planning your project can be graphically highlighted by defining a special node design. In addition, you can specify texts (e.g. titles), graphics (e.g. logos) and legends to be displayed above and below the diagram.

With their optimised node arrangement, minimum of crossovers in the node links and activity grouping/timelining options GRANEDA Dynamic network charts enable the clear representation even of large-scale projects. Customised node contents supply the right information for every situation. Variable filters facilitate the problem-free representation of subnets. The position of the nodes can be changed using "drag and drop". Nodes and their links can be generated, cut/copied and pasted at the click of the mouse. The program further offers an additional layout option for grouped activities allowing you to define the background color, line thickness/color, etc. of the groups. Finished layouts can be saved and reloaded at any time, also with updated project data or for other projects.

GRANEDA tree charts make it possible to display a diagram type that many planning systems such as Microsoft Project do not provide, transforming activity lists into clearly defined graphics. The node format is variable like in the network chart. Branches can be arranged horizontally or vertically and collapsed and expanded as necessary. Like with the network chart, new nodes can be added and existing ones cut, copied and pasted.

GRANEDA Dynamic Gantt charts offer a host of configurations for the table and time scale which you can save and select as appropriate for your diagram. You can define a variety of time scales with different date ribbons and individually scaled sections plus a number of annotated data date lines. Tables can be customised with data-driven cell attributes and workfree periods collapsed and expanded interactively. You can define a whole range of layers to display your activities, while each row in the diagram may contain several activities. You can group activities by any data field and collapse/expand the groups interactively.


What´s new in Version 3.0?

In comparison to Version 2.1 GRANEDA Dynamic 3.0 offers many new and improved features, the most important of which are listed below:

  • the parameters that control the diagram format are saved and loaded independently of the project data to be displayed. This is achieved by splitting the graphics specifications from the project data

  • new dialog concept for editing and managing specification components and their dynamic assignment

  • ODBC interface and editor for accessing many common databases

  • Gantt charts

  • improved interactions via the mouse, keyboard, buttons, pull-down menus and context menus

  • only two modes: Marking Mode and Creation Mode. Nodes and links can be generated simultaneously.

  • choice of licences (Professional or Standard, each combined with visualisation or visualisation and editing data options respectively)

These innovations are described in more detail in the following.


Interface templates, graphics specifications and specification components

In GRANEDA Dynamic 3.0 the project data and instructions for their representation are two separate entities. The project data are still available in the file format typical for your planning system (e.g. MPX, CSV, etc.) or through a database, while all information needed to represent the data are stored in the graphics specification.

When you open a project file, GRANEDA Dynamic selects the appropriate interface template and graphics specification. As soon as you make any modifications to the representation of the project data, a copy of the standard graphics specification is made that is used as the graphics specification for your project file. The name of the graphics specification comprises the name of your project file followed by the extension GSP (e.g. project.gsp). The project file and the graphics specification are combined to generate the view of your project data.


Graphics specifications

A graphics specification (GSP) is a formal set of instructions that specifies how the data from your project planning system are displayed in GRANEDA Dynamic. It is always coupled with an interface template (see below) and contains amongst other things:

  • all information stored in the *.gll files in earlier versions of GRANEDA Dynamic (coordinates of nodes and links, layout attributes and text boxes)

  • filters to preselect the data or for the automatic assignment of highlights and layers

  • specification components (see below): global components that are stored in the interface template and as copies in the graphics specification and/or local components that are only stored in the GSP and can be copied to and from the interface template

  • a copy of the data definition that is duplicated from the interface template (with ODBC the copy of the data definition can be edited)

  • name of the project data file

The extension for the file name of a graphics specification is *.GSP. The full name of a graphics specification usually consists of the name of the appropriate project data file followed by the extension *.GSP (e.g. project.csv -> project.gsp).

A graphics specification can contain commands for different diagram types, i.e. network chart, tree chart and Gantt chart in the current version.

You can open a graphics specification directly without having to open a project data file first. The appropriate project data file is automatically opened when you open a GSP file.


Interface templates

An interface template (*.IFT) is a library of all "multi-purpose" components that can be utilised in more than one graphics specification. These include:

  • a data definition that specifies how GRANEDA Dynamic must read a project file. The data definition contains the data source type plus all field names of the application data in the source along with their type, length and semantics

  • specification components

  • name of the standard GSP (fixed)

The extension of an interface template is *.IFT. For example the name of the interface template for MPX files is msp4mpx4.ift.

You can open an IFT file directly to manage the specification components or edit the data definition. In the current version, this feature is only available for ODBC data definitions.


Specification components

A specification component is a set of instructions that stipulates how one or several object(s) of the same type is represented. Specification components are important aids in implementing company-wide standards for your project graphics.

At present, GRANEDA Dynamic 3.0 supports the following specification components:

  • Time scales (inc. line/calendar grids) (in Gantt charts)

  • Tables (in Gantt charts)

  • Calendars (in Gantt charts) (Version 3.1 and higher)

  • Layers (in Gantt charts)

  • Date lines (in Gantt charts)

  • Node highlights (in network and tree charts)

  • Node annotations (in network and tree charts)

  • Filters (in all diagrams)

Specification components are either global components that are stored in the interface template (Template) or local components that are only stored in a GSP (local). Local specification components can be edited and copied, both from the interface template to the GSP and vice versa.

To simplify the use of specification components in different graphics specifications with the same interface template the definition of the specification components does not contain any information that refers to the project data or the diagram. (Examples of information that refers to the diagram are the start and end dates of the time scale and the date of the data date line.) This information is appended when specification components are used in a graphics specification.


Dialogs for the management and modification of specification components

New dialog boxes have been devised for the management of specification components, whereby each type of component has its own dialog box.

Example of a dialog box for the management of specification components

With the help of these dialog boxes you can use global specification components from the interface template in the graphics specification. You can also define local specification components that are then saved in the graphics specification.

All specification components of the same type are listed in a table. For certain types of specification component (layers and node highlights) you can also specify the order in which the components are processed.

From the Management dialog boxes you can open additional dialog boxes to edit, copy or add a specification component.

Example of a dialog box for adding a specification component

Example of a dialog box for copying a specification component

Example of a dialog box for editing a specification component

An edited specification component can be saved back to the interface template. The system deals with such modifications as follows: When a graphics specification is loaded, the system checks all your global specification components and verifies whether there is a different version in the interface template. If this is the case, the system prompts you to update each of the affected specification components in your graphics specification. Each dialog box (except for the Administrate Filters dialog box) contains a preview window. Different to earlier versions, for certain component types several specification components can be displayed at the same time in the preview window. This is significant, for example, for bar and node designs if multiple filters apply and thus several highlights or layers are assigned dynamically.


Gantt charts

Gantt charts offer virtually all the same options as in GRANEDA Professional plus a few extras:

  • Time scales with different date ribbons and individually scaled sections

  • Calendar that can be selected and edited (Version 3.1 and higher)

  • Interactive collapse and expand facilities for workfree periods

  • Grouping by any data field (restricted to one grouping level in the current version)

  • Interactive collapsing and expanding of groups

  • Flexible tables with data-driven cell attributes

  • Multiple layers for the data-driven representation of activities

  • All activities of a group in one row

  • Multiple annotated data date lines


Improved interactions

All interactions in all diagram types have been redesigned to make them more practical, intuitive and consistent. There are new buttons, new dialog boxes, a new menu structure and completely restyled mouse interactions.


ODBC interface and editor

GRANEDA Dynamic 3.0 now features an ODBC interface giving you the ability to access data from many common data sources, e.g. from spreadsheets (such as Microsoft Excel) or databases (such as Microsoft Access). (Microsoft Excel projects can only be visualised, not edited.) You can define the data structure of the interface with the help of GRANEDA Dynamic´s ODBC interface assistant.


Licences

GRANEDA Dynamic is available in four different licence packages that differ in functionality and price:

  • Licence Standard Visualisation (SV licence)

  • Licence Standard for Visualising and Editing Data (SVE licence)

  • Licence Professional Visualisation (PV licence)

  • Licence Professional for Visualising and Editing Data (PVE licence).

>Professional and Standard Licence

The difference between a standard licence and a professional licence is that with a standard licence you are only able to use the specification components from the interface template but are not authorised to edit them or to generate new components. This makes working with GRANEDA Dynamic 3.0 extremely easy because as a standard user you only need to select from the predefined specification components and assign a few elementary graphic attributes to them. In contrast, the professional user is able to utilise the full functionality of GRANEDA Dynamic 3.0.

At least one professional licence must be purchased before one or more standard licences can be obtained.

>Licence for visualising and licence for visualising and editing data

The licences for visualising data (SV and PV licence) only facilitate the output of your diagrams. They allow you to edit all instructions for visualising the data, but not for editing the underlying project data. For example, you can change the position of nodes in the network and modify the node appearance, but you cannot delete them or modify your project data.

A visualisation licence is available as an upgrade to all GRANEDA Personal and GRANEDA Professional users.

The licences for visualising and editing data (SVE and PVE licence) also permit the manipulation and modification of the project data.


What´s new in Version 3.1?


Undo and Redo

You can revoke the last action, e. g. a modification of data of the layout. The undoing action also can be revoked. Both, undoing and redoing, can be done via toolbar buttons or via options in the Edit menu.


Bitmaps as Symbol Layers

Any bitmap file (*.bmp) can be used as a symbol layer to visualize specific points in time, e. g. your company logos.


Wedge-Shaped Layers

Wedge-shaped layers are useful for visualizing increasing and decreasing activities, e. g. during the project start or end.


Degree of Completion of Activities Displayed by Specific Layer

GRANEDA Dynamic allows you to see the degree of completion of an activity at a glance. To this aim you can define a special layer that visualizes the degree of completion of each activity. The data field that contains the degree of completion of the selected layer can be specified individually. Furthermore, the graphical attributes (color, pattern etc.) can be specified so that the "Completed" layer can be easily recognized.


Horizontal Layer Offset

You now can change not only the vertical, but also the horizontal layer offset (offset against the layer date) (-50 to +50 %).


Additional options for basic settings

The new option Copy standard components into new GSPs lets you specify whether the default specification components are newly created or copied from the currently used interface template when a new graphics specification is created. Creating a new graphics specification with newly created specification components can be useful to analyze a problem with the help of exactly defined specification components.


Calendars can be selected and edited

GRANEDA Dynamic 3.1 allows you to specify several calendars for Gantt diagrams. Thus different calendars can be assigned to different activities.

You can select a data field to store the name of the calendar to the node. Please specify this data field in the Calendar name in field of the Edit Settings (Extended) dialog box.


Improved design and more functions in several dialog boxes

The design of the Edit Filter, Edit Node (in earlier versions: Edit Data), Line Attributes and Edit Node Annotation dialog boxes has been improved.

The Edit Node dialog box now allows you to select the data fields that are to be visible in this dialog box. Thus you will see only those data fields that are relevant for you.

The Edit Node Annotation dialog box now allows the display of graphics in node annotation fields.


Introduction - What´s new in Version 3.1? - Storing or cancelling modifications of specification components

Storing or cancelling modifications of specification components

If you have modified specification components and close GRANEDA Dynamic, you will be asked whether you want to save your modifications in the current graphics specification (GSP) and in the current interface template (IFT) or not. If you do not want to save the modifications, you can easily cancel all of them when you close the program.


Introduction - What´s new in Version 3.1? - Locking the interface template

Locking the interface template

As soon as a user of a Professional licence opens an interface template (IFT), it will be locked for any other user. Thereby a file ([IFT name].loc) is created. In this file the locking user, his computer identification and time and date of locking are stored.

The IFT locking prevents several users of a Professional licence from editing the same interface template at once and possibly deleting each other´s modifications.

The IFT locking is finished automatically when the user who has locked the IFT ends his GRANEDA Dynamic session. When you start GRANEDA Dynamic after that again, you can edit the interface template.

The IFT locking can also be cancelled by any user of a Professional licence. Of course this only should be done when the user who locked the IFT agrees. To cancel the IFT locking, the extended Administrate IFT Elements dialog box can be used.


Introduction - What´s new in Version 3.1? - Interface to Microsoft Project 2000

Interface to Microsoft Project 2000

GRANEDA Dynamic 3.1 offers an interface to Microsoft Project 2000. This interface allows you to display projects created with Microsoft Project 2000 in GRANEDA Dynamic, edit the data interactively and write them back to Microsoft Project 2000.


Introduction - What´s new in Version 3.1? - Network licencing

Network licencing

NETRONIC Software GmbH offers a network licence as an additional feature. With a network licence you can assign a special licence type to each user in your network (Professional/Standard licence, Visualising and Editing/ Visualising, Net Chart, Tree Chart, Gantt Chart, Internet Publishing).

Please contact us for further information about a network licence for your company.

This chapter contains all the information you need on the hardware and software requirements of GRANEDA Dynamic and explains how to install and licence the program.


Software and hardware requirements

In order to be able to work with GRANEDA Dynamic you will need

  • a PC with a Pentium processor or higher

  • at least 32 MB of main memory

  • at least 10 MB of free memory on your hard disk

  • Microsoft Windows 95, 98, NT or 2000.

We assume that you have familiarised yourself with the basic terms and techniques of Microsoft Windows before you start working with GRANEDA Dynamic. If necessary, consult the Microsoft Windows manual for help.


Installation

GRANEDA Dynamic can be run both as a single-user system and in a network.


Installation on a PC (single-user installation)

To install GRANEDA Dynamic as a stand-alone system, proceed as follows:

  1. Start Windows.

  2. Insert the GRANEDA Dynamic CD-Rom. The installation program will start automatically. (If not, change to the appropriate directory and start setup.exe.)

  3. Click on OK to start the installation procedure.

  4. Specify the path to the directory where you want to install GRANEDA Dynamic and click on OK.

  5. Enter your name, the name of your company and the registration number and click on OK. The installation procedure shall then continue.

  6. The installation program offers you two installation options. Select the single-user installation.

  7. In the Windows start menu select the folder where you want to store the links to GRANEDA Dynamic. You can select an existing folder or create a new one (the default folder is GRANEDA).

  8. Decide whether a GRANEDA Dynamic start symbol is to be created.

  9. Click on OK when the installation is completed.


Installation in a network (administrator installation)

You need to have administrator authorisation to conduct the administration installation.

First, install GRANEDA Dynamic centrally on the network server. Then set up the access rights of each workstation as required. You have the choice between a network or complete installation.

  • If you select the network installation, only the user and configuration files will be stored on the workstation (*.ini, *.gsp, sample files, etc.). The program modules are installed on the network server where they are accessed centrally by all users.

  • If you select the complete installation, all the programs

  • and files will be installed on the workstation so that GRANEDA Dynamic can be accessed independently of the network.

>Installation on a network server

  1. Link a workstation to the network.

  2. Start Windows.

  3. Insert the GRANEDA Dynamic CD-Rom. The installation program will start automatically. (If not, change to the appropriate directory and start setup.exe.)

  4. You will be prompted to enter the path to the server directory where you want to install GRANEDA Dynamic. Specify the path and click on OK.

  5. Type your name, the name of your company and the registration number and click on OK.

  6. The installation program offers you two installation options. Select the administrator installation.

  7. In the Windows start menu select the folder where you want to store the links to GRANEDA Dynamic. You can select an existing folder or create a new one.

  8. Decide whether a GRANEDA Dynamic start symbol is to be created.

  9. Click on OK when the installation is completed.

>Installation on a workstation

  1. Start Windows.

  2. Link a workstation to the network.

  3. In the Windows start menu, select the option Run.

  4. In the field Open, type the path to the directory where GRANEDA Dynamic is installed in the network followed by the command "setup.exe" (e.g. W:\DYNAMIC\setup.exe). Press the return key. The installation program will start.

  5. You will be prompted to enter the path to the work directory where you want to install GRANEDA Dynamic. Specify the path and click on OK.

  6. The installation program offers you two installation options:

    Select Network Installation if you want to access GRANEDA Dynamic in the network together with the other users.

    Select Complete Installation if you want to install the complete GRANEDA Dynamic program on the workstation.

  7. In the Windows start menu select the folder where you want to store the links to GRANEDA Dynamic. You can select an existing folder or create a new one.

  8. Decide whether a GRANEDA Dynamic start symbol is to be created.

  9. Click on OK when the installation is completed.


Licencing GRANEDA Dynamic

Once installed, GRANEDA Dynamic is automatically licenced as a demo version. The demo version has the following restrictions compared with the full version:

  • The trial period for testing the product is limited (to be agreed with NETRONIC Software GmbH). After this time, GRANEDA Dynamic can no longer be started.

  • The program is fully functional, but only 25 activities can be visualised.

  • Any diagrams you print will have a "Demo" watermark.

  • Interface templates can neither be created nor edited.

To licence GRANEDA Dynamic, proceed as follows:

  1. Start GRANEDA Dynamic.

  2. In the Help menu, click on the option Licencing. (No project may be open.) The Licencing of GRANEDA Dynamic dialog box appears.

  3. Your registration number and identification are indicated. NETRONIC Software GmbH needs this information for the licencing procedure.

  4. Ask NETRONIC Software GmbH´s technical support for your licence codes and type them in the appropriate fields.

  5. Click on the Licencing button.

  6. Click on OK to confirm the message "Licencing procedure successful".

  7. Quit GRANEDA Dynamic and restart the program.

If the licencing procedure was successful, the authorised modules will be activated and are displayed in this dialog box. In the window the text "Local Licence" will be displayed.


Installation and licencing - Licencing GRANEDA Dynamic - Network licencing

Network licencing

NETRONIC Software GmbH offers a network licence as additional feature. With a network licence you can assign a special licence type to each user in your network (Professional/Standard licence, Visualising and Editing/Visualising, Net Chart, Tree Chart, Gantt Chart, Internet Publishing).

Please contact us for further information about a network licence for your company.


Overview of key functions in GRANEDA Dynamic

This chapter provides you with the general know-how you need to work with GRANEDA Dynamic.

You will learn how to start and end the program and in particular how to start GRANEDA Dynamic via the OLE link to Microsoft Project.

You will be informed of how to create, load, save and close projects, which files are generated/modified in the process and how to utilise data from databases in GRANEDA Dynamic, plus how to edit project data, write them to your planning system and update them in GRANEDA Dynamic.

You will get to know the GRANEDA Dynamic screen with all its elements, the diagram types (network chart, tree chart or Gantt chart), view options and the two modes (Creation Mode and Marking Mode). You will be made familiar with the basic mouse procedures, focusing on how to manipulate the activity data and links interactively.

You will be introduced to GRANEDA Dynamic 3.1's key concept of specification components and how to use them to implement company-wide standards for your planning diagrams.

Finally, you will find information on how to define texts, graphics and the legend for your diagrams, fix general settings for the various diagram types, plus specify the page setup and printer output.


Starting and ending GRANEDA Dynamic


Starting GRANEDA Dynamic

During the installation procedure, you selected or created a folder in the Windows start menu for GRANEDA Dynamic (e.g. "GRANEDA"). Once the installation procedure is completed you will find an icon for GRANEDA Dynamic in that folder. Click once on the icon to start the program.

If you place the GRANEDA Dynamic icon on your desktop, you can start the program by double-clicking on the icon.


Welcome dialog box

When you start GRANEDA Dynamic the Welcome dialog box appears where you can specify whether you want to continue with a sample GRANEDA Dynamic application or with a new file.

If you do not want this dialog to appear at the start, you can switch it off by ticking the box Don´t show this dialog any more and clicking on OK.

Alternatively, you can select the Edit Settings option in the Options menu and deactivate the box Show welcome dialog in the Edit Settings (Standard) dialog box.


Starting GRANEDA Dynamic via OLE link to Microsoft Project 98

If you utilise the OLE link to Microsoft Project 98, you can start GRANEDA Dynamic via a macro or icon directly from Microsoft Project 98 (GRANEDA Dynamic must not already have been started).

The macro for the link to GRANEDA Dynamic is normally automatically installed. You only need to install it manually if you specified that the macro should not be installed when you installed GRANEDA Dynamic or if you installed Microsoft Project 98 after GRANEDA Dynamic.

To generate an OLE link to an elder version of Microsoft Project, please contact NETRONIC Software GmbH's technical support.

>Defining the GRANEDA Dynamic macro in Microsoft Project 98 and displaying the GRANEDA Dynamic icon in the toolbar

  1. Start Microsoft Project 98.

  2. Open the project file GD31E98.MPP, which is stored in the GRANEDA Dynamic directory.

  3. In the Extras menu, click on the button marked Organizer.

  4. Click on the Modules tab and select GRANEDA_Dynamic_3 from the GD31E98.MPP list. The direction of the arrows on the Copy button will change from right to left. Click on the << Copy button to transfer GRANEDA Dynamic to the GLOBAL.MPT list.

  5. Open the Tool Bars tab and select GRANEDA Dynamic 3 symbol bar from the GD31E98.MPP list. The direction of the arrows on the Copy button will change from right to left. Click on the << Copy button to transfer the GRANEDA Dynamic 3 symbol bar to the GLOBAL.MPT list.

  6. Close the Organizer dialog box.

  7. To display the GRANEDA Dynamic icon in the tool bar, select the Tool Bars option in the View menu. In the Tool Bars dialog box, select the GRANEDA Dynamic 3 symbol bar from the list. The GRANEDA Dynamic start icon will now appear in a separate bar.

  8. To move the icon to a different tool bar, press the ALT key and click the left mouse button on the GRANEDA Dynamic 3 icon. Keeping the ALT key and left mouse button depressed, drag the GRANEDA Dynamic 3 icon over to the last icon in the relevant tool bar (keep inside the tool bar frame!).

  9. If you now release the ALT key and mouse button, the GRANEDA Dynamic icon will be inserted in the tool bar to the right of the last icon.

  10. Now hide the unnecessary separate tool bar by deactivating the Tool Bars option in the View menu.

  11. Close the project GD31E98.MPP.

>Starting GRANEDA Dynamic from Microsoft Project 98 (OLE link)

  1. Start Microsoft Project 98.

  2. Open an existing project or create a new one and save it.

  3. Click on the GRANEDA Dynamic 3 icon in the tool bar. Alternatively, click on the Macros option in the Extras menu. Select the GRANEDA Dynamic3 macro from the list and click on the Run button.

  4. GRANEDA Dynamic will now be started and the project currently opened in Microsoft Project will be displayed on the screen.

By pressing the ALT + TAB keys simultaneously or via the Windows task bar, you can switch to the Microsoft Project window and vice versa.


Starting GRANEDA Dynamic via OLE-ODBC link to Microsoft Project 2000

If you utilise the OLE-ODBC link to Microsoft Project 2000, you can start GRANEDA Dynamic via a macro or icon directly from Microsoft Project 2000. (GRANEDA Dynamic must not already have been started).

The macro for the link to GRANEDA Dynamic is normally automatically installed. You only need to install it manually if you specified that the macro should not be installed when you installed GRANEDA Dynamic or if you installed Microsoft Project 2000 after GRANEDA Dynamic.

>Defining the GRANEDA Dynamic macro in Microsoft Project 2000 and displaying the GRANEDA Dynamic icon in the toolbar

  1. Start Microsoft Project 2000.

  2. Open the file GRANEDA_Dynamic.mpt, which is stored in the GRANEDA Dynamic directory.

  3. In the Extras menu, click on the button marked Organizer.

  4. Click on the Modules tab and select GRANEDA_Dynamic_3_1 from the GRANEDA_Dynamic.mpt list. The direction of the arrows on the Copy button will change from right to left. Click on the << Copy button to transfer GRANEDA Dynamic to the GLOBAL.MPT list.

  5. Open the Tool Bars tab and select GRANEDA Dynamic 3.1 symbol bar from the GRANEDA_Dynamic.mpt list. The direction of the arrows on the Copy button will change from right to left. Click on the << Copy button to transfer the GRANEDA Dynamic 3.1 symbol bar to the GLOBAL.MPT list.

  6. Close the Organizer dialog box.

  7. To display the GRANEDA Dynamic icon in the tool bar, select the Tool Bars option in the View menu. In the Tool Bars dialog box, select the GRANEDA Dynamic 3.1 symbol bar from the list. The GRANEDA Dynamic start icon will now appear in a separate bar.

  8. To move the icon to a different tool bar, press the ALT key and click the left mouse button on the GRANEDA Dynamic 3.1 icon. Keeping the ALT key and left mouse button depressed, drag the GRANEDA Dynamic 3.1 icon over to the last icon in the relevant tool bar (keep inside the tool bar frame!).

  9. If you now release the ALT key and mouse button, the GRANEDA Dynamic icon will be inserted in the tool bar to the right of the last icon.

  10. Now hide the unnecessary separate tool bar by deactivating the Tool Bars option in the View menu.

  11. Close the file GRANEDA_Dynamic.mpt.

>Starting GRANEDA Dynamic from Microsoft Project 2000 (OLE-ODBC link)

  1. Start Microsoft Project 2000.

  2. Open an existing project or create a new one and save it.

  3. Click on the GRANEDA Dynamic 3.1 icon in the tool bar. Alternatively, click on the Macros option in the Extras menu. Select the GRANEDA Dynamic3.1 macro from the list and click on the Run button.

  4. GRANEDA Dynamic will now be started and the project currently opened in Microsoft Project 2000 will be displayed on the screen.

By pressing the ALT + TAB keys simultaneously or via the Windows task bar, you can switch to the Microsoft Project window and vice versa.


Quitting GRANEDA Dynamic

To quit GRANEDA Dynamic, select the Exit option in the File menu or click on the Close button in the top right corner.


Projects in GRANEDA Dynamic

GRANEDA Dynamic allows you to display projects created with a planning system (e.g. Microsoft Project). In addition, you can display project data from a database (e.g. Microsoft Access), a spreadsheet program (e.g. Microsoft Excel) or which is stored in ASCII format (e.g. CSV, PRA, PRE).

If you have any questions on the representation in GRANEDA Dynamic of projects from your planning system, please contact NETRONIC Software GmbH.

Each project in GRANEDA Dynamic contains two files: a project data file and a graphics specification file.

  • Project data file (*.mdb, *.mpx, *.pra, *.pre, *.csv, *.pj, *.gra, *.grf etc.) which is either transferred from a planning system, database or spreadsheet program or self-defined and contains only the project data, but no instructions on how the data is to be visualised in GRANEDA Dynamic.

  • Graphics specification file (*.gsp) which refers to a specific project data file and contains all instructions necessary to visualise the project data. Such instructions could be activity grouping options, positions of the nodes in the network chart, arrangement of the sub-trees in the tree chart, output of texts, graphics and the legend in the header and footer areas, display/suppression of summary tasks. The graphics specification file for the current project is generated the first time the project is saved and stored in the GSP directory.

The advantage of this file organisation is that you can infinitely combine graphical options and project files as long as they refer to the same interface template (*.ift).

Unlike with GRANEDA Dynamic 2.1, it is no longer necessary to load a gll file for a project in order to transfer the graphics options from there.


Creating a new project

To create a new project, select the Create New Project option in the File menu.

In the Create New Project dialog box, select the graphics specification you want to use for your new project. The graphics specification you choose regulates the visualisation of the new project.

The type of interface and file extension of the project data file depend on the graphics specification selected and are only indicated in the dialog box.

If you click on the OK button, the new project will be created under a standard GRANEDA Dynamic name. The project name is indicated in the title bar together with the corresponding graphics specification.


Opening a project

You can visualise your project data in GRANEDA Dynamic either by opening the corresponding project data file or the associated graphics specification file. With the latter option, the project data are displayed using the visualisation instructions contained in the graphics specification file.

To open a project, either select the Open Project option in the File menu or click on the appropriate button in the toolbar or use the key combination CTRL + O. The following dialog appears:

In the Open Project dialog box select the project you want to open. First select the file type. The display window will list all files of the chosen type. Then choose the file you want to open by clicking on it with the mouse. There are two alternatives:

Option 1: For the Files of type option select "Graphics specifications". Then click on the appropriate graphics specification file in the display window. The chosen file name is indicated in the GSP file field. The project data file linked to the chosen GSP file is automatically indicated in the Data file field.

Option 2: For the Files of type option select a specific project data type (*.mdb, *.mpx, *.pra, *.pre, *.csv, *.pj, *.gra, *.grf, etc.). Then click on the appropriate project data file of the chosen file type. The chosen file name is indicated in the Data file field. The graphics specification file linked to the chosen project data file is automatically indicated in the GSP file field.

GRANEDA Dynamic uses either the graphics specification file with the same file name as the project data file or generates a graphics specification file for the appropriate project data file as a copy of a default GSP, i.e.:

  • the default GSP file MSP4MPX4.GSP for project data of the type *.mpx (Microsoft Project 98).

  • the default GSP file MsProject2000.GSP for files of Microsoft Project 2000 and for all *.mdb files without an appropriate *.gsp file.

  • an appropriate GSP file supplied by NETRONIC Software GmbH for all other project planning systems.

The name of the new graphics specification file is adopted from the name of the project data file. This graphics specification file is automatically used the next time the project file is opened.

In all cases, your project data is displayed using a suitable graphics specification file that is specified when you open the project file.

Once you have selected a graphics specification you can choose a different project data file to the one specified for the selected graphics specification. To do so, click on the Edit button next to the Data file field. You can then select the project data file you want in the Windows Open Project Data dialog box.

Vice versa, once you have selected a project data file you can choose a different graphics specification to the one specified for the selected project data file. To do so, click on the Edit button next to the GSP file field. You can then select a suitable graphics specification you want in the Windows Open graphics specification dialog box.

In addition, you can limit the project data to be displayed by selecting a filter from the list offered in the Preselection field.

If you want, click on the Edit button next to the Preselection field to select a different filter.

The data of the open file is displayed as a network chart, tree chart and/or Gantt chart, depending on the diagram types selected in the View menu.

The structure of the tree chart is stipulated by the hierarchy of the project as defined in the corresponding planning system. Similarly, the logical position of the activities in the network and Gantt chart is regulated by the relationships defined in the planning system.


Interface to Microsoft Project 98

The following data fields from Microsoft Project 98 are exported to MPX 4.0:

  • % Complete

  • % Work Complete

  • Actual Cost

  • Actual Duration

  • Actual Finish

  • Actual Start

  • Actual Work

  • Baseline Cost

  • Baseline Duration

  • Baseline Finish

  • Baseline Start

  • Baseline Work

  • Confirmed

  • Confirmed

  • Constraint Date

  • Constraint Type

  • Cost

  • Cost Variance

  • Cost1

  • Cost2

  • Cost3

  • Created

  • Critical

  • Delay

  • Duration

  • Duration Variance

  • Duration1

  • Duration2

  • Duration3

  • Early Finish

  • Early Start

  • Finish

  • Finish Variance

  • Finish1

  • Finish2

  • Finish3

  • Finish4

  • Finish5

  • Fixed Cost

  • Flag1

  • Flag10

  • Flag2

  • Flag3

  • Flag4

  • Flag5

  • Flag6

  • Flag7

  • Flag8

  • Flag9

  • Free Slack

  • Hide Bar

  • ID

  • Late Finish

  • Late Start

  • Linked Fields

  • Marked

  • Milestone

  • Name

  • Notes

  • Number1

  • Number2

  • Number3

  • Number4

  • Number5

  • Objects

  • Outline Level

  • Outline Number

  • PA

  • Predecessor

  • Priority

  • Project

  • Remaining Cost

  • Remaining Duration

  • Remaining Work

  • Resource Group

  • Resource Initials

  • Resource Names

  • Resume

  • Resume no earlier than

  • Rollup

  • SKAA

  • SKBA

  • Start

  • Start Variance

  • Start1

  • Start2

  • Start3

  • Start4

  • Start5

  • Stop

  • Subproject File

  • Successors

  • Summary

  • Text1

  • Text10

  • Text2

  • Text3

  • Text4

  • Text5

  • Text6

  • Text7

  • Text8

  • Text9

  • Total Slack

  • Unique ID

  • Unique ID Predecessors

  • Unique ID Successors

  • Update needed

  • WBS-Code

  • Work

  • Work Variance


Key Functions in GRANEDA Dynamic - Projects in GRANEDA Dynamic - Interface to Microsoft Project 2000

Interface to Microsoft Project 2000

The following data fields from Microsoft Project 2000 are exported to the database:

  • Actual Cost

  • Actual Duration

  • Actual Finish

  • Actual Overtime Cost

  • Actual Overtime Work

  • Actual Start

  • Actual Work

  • Author

  • Baseline Cost

  • Baseline Duration

  • Baseline Duration Format

  • Baseline Finish

  • Baseline Start

  • Baseline Work

  • Calendar ID

  • Calendar Name

  • Category

  • Collapsed

  • Company

  • Constraint Date

  • Constraint Type

  • Cost

  • Created

  • Creation Date

  • Critical

  • Critical Slack Limit

  • Currency Digits

  • Currency Position

  • Currency Symbol

  • Current Date

  • Deadline

  • Default Finish Time

  • Default Fixed Cost Accrual

  • Default Overtime Rate

  • Default Standard Rate

  • Default Start Time

  • Default Task Type

  • Duration

  • Duration Estimated

  • Duration Format

  • Duration Format

  • Duration Variance

  • Early Finish

  • Early Start

  • Effort Driven

  • External Task

  • Finish

  • Finish Date

  • Finish Variance

  • Fixed Cost

  • Fixed Cost Accrual

  • Free Slack

  • Hide Bar

  • Honor Constraints

  • ID

  • Ignore Resource Calendar

  • Lag

  • Lag Format

  • Last Saved

  • Late Finish

  • Late Start

  • Level Assignments

  • Leveling Can Split

  • Leveling Delay

  • Leveling Delay Format

  • Linked Fields:Datenverknüpfungen

  • Locked

  • Manager

  • Marked

  • Milestone

  • Multiple Critical Paths

  • Name

  • New tasks Effort Driven

  • Notes

  • Objects

  • Outline Level

  • Outline Number

  • Overallocated

  • Overtime Cost

  • Overtime Work

  • Percent Complete

  • Percent Work Complete

  • Pool Attached To

  • Predecessor

  • Preleveled Finish

  • Preleveled Start

  • Priority

  • Project ID

  • Project ID

  • Read Only

  • Recurring

  • Recurring Summary

  • Regular Work

  • Remaining Cost

  • Remaining Duration

  • Remaining Overtime Cost

  • Remaining Overtime Work

  • Remaining Work

  • Resource Code

  • Resource Group

  • Resource Namen

  • Resource Pool

  • Resume

  • Rollup

  • Schedule From

  • Split In Progress Task

  • Spread Actual Costs

  • Spread Percent Complete

  • Start

  • Start Date

  • Start Variance

  • Status Date

  • Stop

  • Subproject

  • Subproject Read Only

  • Subproject Read Only

  • Successor

  • Summary

  • Task Update Resource

  • Text 1

  • Text 2

  • Text 3

  • Text 4

  • Text 5

  • Text 6

  • Text 7

  • Text 8

  • Text 9

  • Text 10

  • Text 11

  • Text 12

  • Text 13

  • Text 14

  • Text 15

  • Text 16

  • Text 17

  • Text 18

  • Text 19

  • Text 20

  • Text 21

  • Text 22

  • Text 23

  • Text 24

  • Text 25

  • Text 26

  • Text 27

  • Text 28

  • Text 29

  • Text 30

  • Title

  • Total Slack

  • Type

  • Type

  • Unique ID

  • Unique ID

  • WBS

  • WBS Rightmost Level

  • Work

  • Work Format


Interface for an ODBC database

In order to open a project from a database in GRANEDA Dynamic, you must first create a suitable interface and a default graphics specification for your database.

>Creating the interface and default graphics specification for the database

Select the Administrate ODBC Interfaces option in the Options menu to reach the following dialog box:

Click on the Create new interface template button to generate a new interface template. You will reach the Windows dialog box Create new interface template.

The file type "Interface Templates (*.ift)" is preselected. When you specify a name for the new interface template and click on Save to confirm, the Windows dialog box Select Data Source appears. Open the ComputerDataSource tab in the Select Data Source dialog box.

Next, under DataSourceName select the type of database you want to use, e.g. "MS Access 97 database", and confirm you choice with OK.

The Windows dialog box Select Database appears.

Select the database you want to use and click on OK to confirm. The ODBC Interface Wizard is activated.

The ODBC Interface Wizard helps you create an interface and a default GSP to link GRANEDA Dynamic to your ODBC interface. For each of the following categories

  • activities

  • relationship/links

  • general project information

you can select a table or enquiry from your ODBC database and choose the data fields you want to use in GRANEDA Dynamic.

In a series of dialog boxes you can define the data fields for the activities, links and project info for GRANEDA Dynamic.

Dialog box for selecting the table and database fields to be used for the activities (Main data)

Dialog box for selecting the table and database fields to be used for the links

Dialog box for selecting the table and database fields to be used for the general project information

In each of the Main data, Relationship/Links and General project information dialog boxes, select a database table/enquiry and choose the data fields you want to use in GRANEDA Dynamic.

Once all entries are complete, the ODBC Interface Wizard follows with the semantics on network/tree structures and layer representation.

Here you can define the meaning of specific data fields of your database to GRANEDA Dynamic. For the categories Tree structure, Network structure and Layer representation you can select data fields from your ODBC database to be used in GRANEDA Dynamic.

You will be guided through the Specifications for tree structures, Specifications for network structure and Specifications for layer representation dialog boxes respectively.

In this dialog box you can define the semantics of how and from which data fields the tree structure is stipulated. Further, you can specify which data fields should be automatically modified when the structure changes.

In this dialog box you can define the semantics of how and from which data fields the network structure is stipulated.

In this dialog box you can specify the date fields for the start and finish of the default layer. The default layer is used when activities are created interactively.

When you have made all necessary entries click on the Complete button in the last dialog box. The interface is now ready and you will leave the interface assistant.

At the same time, a default graphics specification is created for the new interface. In the following dialog box you can decide whether you want to open this default graphics specification directly.

You can choose whether and in which views the default graphics specification should be opened.

You can find a detailed description of managing and creating ODBC interfaces in the Reference.

>Opening a project from a database in GRANEDA Dynamic

To open a project from a database in GRANEDA Dynamic, select the Open Project option in the File menu. In the Open Project dialog box select for the Files of type option "Graphics specifications" and choose the graphics specification file generated for your database from the list in the display window.


Interface for Microsoft Excel

GRANEDA Dynamic allows you to visualise data from Microsoft Excel but you cannot write them back.

In order to open a Microsoft Excel project in GRANEDA Dynamic, you must first create a suitable interface and default graphics specification for your Microsoft Excel tables.

>Preparing the Microsoft Excel data

Start Microsoft Excel and open a table with the data you want to display in GRANEDA Dynamic. Mark the section of the table you want to transfer (including the title line).

In the Insert menu, select Name and Define. The Define Name dialog box will appear.

Type a name in the Names in workbook field. The marked section of the table will be indicated in the Refers to field. Click on OK to quit the dialog box.

Mark the section of the table you want to use for the definition of links or for the definition of the project information (including the title line) and in the Name in workbook field specify names for them.

>Creating the interface and default graphics specification for Microsoft Excel

To create an interface and default graphics specification for Microsoft Excel, select the Administrate ODBC Interfaces option in the Options menu to reach the following dialog box:

Click on the Create new interface template button to generate a new interface template. You will reach the Windows dialog box Create new interface template.

The file type "Interface templates (*.ift)" is preselected. When you specify a name for the new interface template and click on Save to confirm, the Windows dialog box Select Data Source appears. Open the ComputerDataSource tab in the Select Data Source dialog box.

Next, under DataSourceName select "Excel Files" and confirm you choice with OK.

The Windows dialog box Select Folder appears. Select the folder you want to use and click on OK to confirm. The ODBC Interface Wizard is activated.

The ODBC Interface Wizard helps you create an interface and a default GSP to link GRANEDA Dynamic to your ODBC interface. For each of the following categories

  • activities

  • relationship/links

  • general project information

you can select a table or enquiry from your ODBC database and choose the data fields you want to use in GRANEDA Dynamic.

In a series of dialog boxes you can define the data fields for the activities, links and project info for GRANEDA Dynamic.

Dialog box for selecting the table and database fields to be used for the activities (Main data)

Dialog box for selecting the table and database fields to be used for the links

Dialog box for selecting the table and database fields to be used for the project info

In each of the Main data, Relationship/Links and General project information dialog boxes, select a database table/enquiry and choose the data fields you want to use in GRANEDA Dynamic.

Once all entries are complete, the ODBC Interface Wizard follows with the semantics on network/tree structures and layer representation.

Here you can define the meaning of specific data fields of your Microsoft Excel table to GRANEDA Dynamic. For the categories Tree Structure, Network Structure and Layer Representation you can select data fields to be used in GRANEDA Dynamic.

You will be guided through the Specification for tree structure, Specification for network structure and Specification for layer representation dialog boxes respectively.

In this dialog box you can define the semantics of how and from which data fields the tree structure is stipulated. Further, you can specify which data fields should be automatically modified when the structure changes.

In this dialog box you can define the semantics of how and from which data fields the network structure is stipulated.

In this dialog box you can specify the date fields for the start and finish of the default layer. The default layer is used when activities are created interactively.

When you have made all necessary entries click on the Complete button in the last dialog box. The interface is now ready and you will leave the ODBC Interface Wizard.

At the same time, a default graphics specification is created for the new interface. In the following dialog box you can decide whether you want to open this default graphics specification directly.

You can choose whether and in which views the default graphics specification should be opened.

You can find a detailed description of managing and creating ODBC interfaces in the Quick Reference.

>Opening a Microsoft Excel project in GRANEDA Dynamic

To open a Microsoft Excel project in GRANEDA Dynamic, select the Open Project option in the File menu. In the Open Project dialog box select for the Files of type option "Graphics specifications" and choose the graphics specification file generated for your Microsoft Excel table from the list in the display window. The Data file field indicates the corresponding Microsoft Excel file.

You will need to close the associated project in GRANEDA Dynamic before you can modify the data in Microsoft Excel again.

>Inserting a new row in your Microsoft Excel table

If you insert a new row (record) in your Microsoft Excel table, you must adjust the definition of the folder accordingly.

Mark the section of the table you want to use for the definition of activities (including the title line).

In the Insert menu, select Name and Define. The Define Name dialog box will appear.

In the Names in workbook field either specify a new name or keep to the existing name. Note that the Refers to field indicates the marked section of the table from the previously saved folder. To save the new marked section, you must type the appropriate section coordinates in the field manually.

Alternatively, you can define the new section in the Refers to field without marking the section beforehand.

>Inserting a new column in your Microsoft Excel table

If you insert a new column (record) in your Microsoft Excel table you must also adjust the definition of the folder. In addition, you must create a new interface (as described above) or modify the existing one. To edit an interface, click on the Edit interface template button in the Administrate ODBC Interface dialog box. The system will guide you through the same dialog boxes as for creating an interface and you can correct your settings where appropriate.


Saving a project

You can save the project data and the graphics specification together or separately. The File menu offers various options accordingly:

  • To save both the project data and the visualisation instructions, choose the Save All option or click on the appropriate icon in the toolbar ( [image]).

  • To save modifications to the visualisation instructions but not the project data, choose the Save Graphics Specification or Save Graphics specification As option.

  • To save the project data but not the visualisation instructions, choose the Save Project Data or Save Project Data As option (see following section for more details).


Writing project data back to your planning system

In GRANEDA Dynamic diagrams you can mark, create, modify and delete activities and links. This way you can change the original data without having to access your planning system. You can then save the modified data in GRANEDA Dynamic in the file format of your planning system and subsequently work with the data in your planning system.

The Save Project Data and Save Project Data As options in the File menu save your project data in the file format of your planning system (e.g. *.mpx).

The Save Project Data option saves the data in the project file currently open in GRANEDA Dynamic.

The Save Project Data As option saves the data in a new file that you can specify in the Windows dialog box Save Project Data As.

You can open the modified/new file directly in your planning system.

If you have set up an OLE link to Microsoft Project, the modifications in GRANEDA Dynamic are automatically transferred to Microsoft Project when you select the Save Project Data (As) option.

>Writing back the project data after automatic calculation of the duration

Note when writing the project data back to your planning system that the data may have been changed by the calculation of the duration in GRANEDA Dynamic.

The duration of a layer is represented by the content of the data field that is indicated under Duration for the selected layer in the Edit Layer dialog box.

In principle, a different duration can be defined for each layer of a graphics specification.

If duration fields are used to visualise and manipulate activities in the Gantt chart, they must all relate to the same time unit.

For planning systems with duration fields that do not contain a time unit, the relevant time unit, if other than the default "Days", must be specified in the Edit Settings (Extended) dialog box under Smallest time unit (Gantt diagram). The smallest time unit regulates the time unit used for the layer duration that is defined in the Edit Layer dialog box.

For planning systems with duration fields that contain a time unit (e.g. Microsoft Project), GRANEDA Dynamic checks whether the data of the duration fields used are based on the same time unit. If this is not the case, the system converts all data to the smallest time unit used. In addition, the smallest time unit used is transferred to the Smallest time unit field in the Edit Settings (Extended) dialog box (where it is only indicated, but cannot be modified). If necessary, the unit for the Smallest time interval in the Edit Settings (Standard) dialog box will also be adjusted.

Each duration is converted to the smallest time unit used to define the duration of a layer according to the following scheme:

  • 1 day = 8 hours

  • 1 week = 5 days

The conversion is initiated in two cases:

  1. If a new data field is used for the duration of a layer (either when adding a layer that uses a new data field, from the interface template or if a new data field is used for the definition of the layer duration)

  2. When opening a Gantt chart (when opening a project or loading the Gantt chart).


Closing a project

Select the Close Project option in the File menu to close the active project. If you have changed the visualisation instructions and/or project data since the project was last saved, you will be asked whether you want to save the modifications.


Creating a graphics specification

To create a new graphics specification, select the Create Graphics Specification option in the File menu to reach the dialog box of the same name.

The file type "Graphics specifications (*.gsp)" is preselected.

Type a name for the graphics specification you want to create. The list shows the names of all existing graphics specification files from which you can select a file and modify it if you wish. If you type the name of an existing graphics specification file, you will be asked whether you want to replace the existing graphics specification file by the active one.

Select the interface template (*.ift) for the graphics specification to be created. If you have specified the name of an existing graphics specification file in the GSP file field, the corresponding interface template is already indicated.

Further, select the project data file you want to use for the new graphics specification.

Click on Save to create and save the new graphics specification. The Open Graphics Specification dialog box appears.

You can choose whether and in which views the new graphics specification should be opened and whether it should be opened directly or not. Select "Yes" to open the new graphics specification in the selected views. The Update Specification Components From "*.gsp" dialog box may appear. Turn to the section "Basics: Updating specification components" for details of this dialog box.


Deleting a graphics specification

To delete one or several graphics specifications, select the Delete Graphics Specification option in the File menu to reach the appropriate dialog box of the same name.

Mark the graphics specification(s) you want to delete. You can delete any graphics specification except for the active one or the default graphics specifications.

By deleting a graphics specification you also delete all the visualisation instructions it contains for the active project and all other projects which refer to that GSP.

When you open a project file (project.*) whose graphics specification (project.gsp) has been deleted, the system automatically creates a new graphics specification file from the default GSP. When you save the project file, you will be asked whether you want to save the new graphics specification file under the name project.gsp.


Using GRANEDA Dynamic 2.1 files in Version 3.x

You can use the data and data definitions from GRANEDA Dynamic 2.1 in Version 3.x without difficulty. You can convert the data with the help of the Generationg files for GRANEDA Dynamic 3.x from version 2.1 dialog box which you can reach from the Options menu.

First, select the GRANEDA Dynamic 2.1 file you want to convert for Dynamic 3.x (Source file).

The Generated file field will indicate the name and path of the file to be created. The path to the destination file is predefined in the Edit Settings (Standard) dialog box under Default directories for interface templates/for graphics specifications. The name of the destination file is the same as the source file.

The file extension is converted as follows:

Version 2.1 files | Version 3.x files
*.gll (GRANEDA Layout File) | *.gsp (Graphics specification)
*.ifd (Interface Definition) | *.ift (Interface template)
*.gdf (GRANEDA Definition) | *.ift (Interface template)

For each *.gll to be converted, there must be a corresponding project data file of the type *.csv, *.mpx, *.pra or *.pre. In addition, for each *.gll to be converted the appropriate *.ifd or *.gdf file related to the project data file must exist.

In order for the conversion of *.ifd or *.gdf files to work the following GRANEDA Dynamic 2.1 files must exist for each *.ifd or *.gdf file to be converted:

  • *.fmt (Formats)

  • *.flt (Filters)

  • *.hlt (Highlights).

Click on Generate to generate a GRANEDA Dynamic 3.x file from the specified source file.


The GRANEDA Dynamic screen

This chapter explains the principle elements of the GRANEDA Dynamic screen (basic screen with menu, tool, status and edit bar) and how to select the diagram type.


Basic screen

In this example all diagram types are arranged under one another: 1. Network chart, 2. Gantt chart, 3. Tree chart

The active window is symbolised by the colored title bar.


Selecting the diagram type

The View menu lets you choose the diagram type currently displayed and the diagram type to be displayed the next time you open the project.

Ticks in front of all diagram types: All diagram types are currently displayed and will be displayed the next time you open the project

If you do not want a particular diagram type to be displayed, remove the appropriate tick from the View menu or click on the Close button in the top right-hand corner of the appropriate diagram ( [image]).

All diagram types with ticks in the View menu are indicated in the Window menu. In addition, you can specify how the diagrams are displayed (cascading, tiled or with icons for each diagram type). The active window has a colored title bar.

All diagrams are displayed. The tick shows the diagram that is currently active.

Click anywhere inside a window to activate it. Alternatively, in the Window menu select the diagram type you want to display or click on the appropriate button ( [image], [image], or [image]).

You can also use the key combination CTRL + TAB to toggle between the three diagram types.


Diagram display modes, zooming and scrolling

GRANEDA Dynamic offers a range of display modes to assist you in creating your diagrams. Use the Complete View or Zoom Out options to obtain an overview of your diagram. When detailed work is required, utilise the Zoom In and Zoom to Marking modes to enlarge the whole or parts of your chart.

The Complete View option in the View menu or the appropriate button in the tool bar adjusts the size of the chart so that the whole diagram is always visible. The size of the nodes/bars will be enlarged or reduced automatically. The scroll bars are not available when the Complete View mode is activated.

The Zoom In option in the View menu or the appropriate button in the tool bar magnifies the diagram on the screen. The nodes/bars are enlarged by one zoom factor at a time. (The zoom factor is defined in the Edit Settings (Extended) dialog box.)

The Zoom Out option in the View menu or the appropriate button in the tool bar revokes a previously selected enlargement of the diagram on the screen. The nodes/bars are reduced by one zoom grade at a time.

or [image] The Zoom to Marking option in the View menu or the appropriate button in the tool bar allows you to view previously marked nodes/bars in more detail. With the network chart and tree chart, the marked nodes, plus any nodes inbetween, will be displayed to fill the window. With the help of the scroll bars you can then move the window over the diagram like a magnifying glass to view other sections in the same degree of enlargement.

Select the Go to Node option in the Edit menu or click on the appropriate button in the tool bar to reach the Go to Node dialog box wherin you can find a specific node by its ID.

>Zooming a marked section

To magnify a particular section of your network chart or tree chart, press the left mouse button and stretch a frame (rubber band) around the area you want. If you then click the right mouse button, the selected area will be enlarged to fill the window. With the help of the scroll bars you can move the window over the diagram like a magnifying glass to view other sections in the same degree of enlargement.

>Using the keyboard to navigate through the diagram

You can also easily scroll or zoom your diagram via the keyboard. The following key combinations are available:

Key combination | Navigation in diagram
Ctrl + arrow key | scrolls one unit upwards, downwards, to the left or right
<PgUp> | scrolls one page up
<PgDn> | scrolls one page down
<Pos1> | left-aligns the diagram without changing the Y coordinates
<End> | right-aligns the diagram without changing the Y coordinates
Ctrl + <Pos1> | positions the diagram at the top left-hand corner of the diagram
Ctrl + <End> | positions the diagram at the bottom right-hand corner of the diagram
Ctrl + <PgUp> | top-aligns the diagram without changing the X coordinates
Ctrl + <PgDn> | bottom-aligns the diagram without changing the X coordinates


Title bar

The title bar indicates the active project file and graphics specification (GSP). If only one diagram type is active it is also displayed in the title bar. Otherwise the diagram type is indicated in the title bar of the respective diagram type.


Menu bar

Via the menu bar you can reach all menus in GRANEDA Dynamic.


Tool bar

You can activate frequently used options by clicking on the relevant icon in the tool bar. The tool bar is displayed directly below the menu bar. The Toolbar option in the View menu allows you to switch the tool bar on/off.

The tool bar is different for each diagram type:

for network charts:

for tree charts:

for Gantt charts:

All diagram types offer the following icons for creating projects, opening and saving files, the print preview and for printing:

Create

Open

Save all

Print preview

Print

The following buttons allow you to undo and to redo the last action and to cut, copy and paste objects:

Undo

Redo

Cut

Copy

Insert

With the help of the following buttons you can switch between Marking Mode and Creation Mode:

Mark

or [image] Create (network/tree charts or Gantt charts respectively)

Click on the following button to find a specific activity:

Go to node

Use the following three buttons to switch between the three diagram types:

Network chart

Tree chart

Gantt chart

The following four buttons control the view:

Complete view

Zoom in

Zoom out

or [image] Zoom to Marking (network/tree chart or Gantt chart respectively)

The following buttons are only available for two of the three diagram types offered:

Rearrange (network/tree chart)

Perform grouping (network/Gantt chart)

Specify node appearance (network/tree chart)

The following button is only available for network charts:

Perform time orientation

The following buttons are only available for tree charts:

Expand

Collapse

Expand all levels

Arrange horizontally

Arrange vertically

Arrange all levels horizontally

The following buttons are only available for Gantt charts:

Specify time scale

Specify table

Specify bar appearance

The following buttons are offered for all diagram types:

Administrate filters

Header and footer

Info


Status bar

The status bar is located at the bottom of the screen. It displays progress messages, short help texts and a description of the activity on which the cursor is currently placed.

The Status Bar option in the View menu allows you to switch the status bar on/off.


Edit toolbar

The edit tool bar is located below the tool bar. You can use it to modify the text of the node field currently marked and to select filters in order to restrict the project data displayed in a particular diagram type.

The Edit Toolbar option in the View menu allows you to switch the edit tool bar on/off.

The ticks in front of Toolbar, Status Bar and Edit Toolbar indicate that the bars are switched on.


Marking Mode and Creation Mode

As a user of Microsoft Windows you are undoubtedly familiar with the basic mouse procedures and cursor shapes. This guide therefore concentrates on explaining just the mouse procedures specific to GRANEDA Dynamic.

Which GRANEDA Dynamic-specific mouse procedures are available depends on the diagram type (network chart, tree chart or Gantt chart) and the selected mode.

There are two basic modes in GRANEDA Dynamic: the Marking Mode and the Creation Mode.

  • The Marking Mode is the default mode in which you can select, copy, delete and move nodes and/or links.

  • The Creation Mode is the mode you need to be in to create nodes and links. You can also move or mark nodes in this mode when the action is clear.

You can switch between the two modes in different ways:

  • by clicking on the Mark or Create button in the tool bar ( [image])

  • by selecting the Marking Mode or Creation Mode option in the Edit menu

  • by selecting the Marking Mode or Creation Mode option in the context menu (click the right mouse button on an empty space in the diagram).


Marking activities and links

Large diagrams require an efficient marking procedure. In GRANEDA Dynamic you can easily mark objects with the help of the mouse, the Edit menu or the keyboard.

In Marking Mode all diagram types offer the following functions:

>Mark Activity

Click the left mouse button on an activity to mark it. If you click the right mouse button on an activity it will be marked and a context menu will be displayed. Any previous markings are undone.

>Mark Node Field

In the network chart and Gantt chart you can mark a single data field of an activity by marking the whole activity and then clicking the left mouse button on the appropriate data field. Any previous markings are undone. The marked field has a grey background.

non-marked node
marked node
marked node with marked data field

The edit bar indicates the marked data field and the corresponding value for you to modify.

>Mark All Activities

To mark all activities, for example in order to copy all nodes or to modify the data of all the nodes in sequence, select the Mark All Nodes option in the Edit menu. Alternatively, use the key combination Ctrl + A.

>Mark Link

Click the left mouse button on a link (either the line itself or the link annotation) to mark it. If you click the right mouse button on a link it will be marked and the context menu for links will be displayed. Any previous markings are undone.

>Mark Activities Per "Rubber Band"

You can mark one or several nodes and/or links by pressing the left mouse button and stretching a frame ("rubber band") around the appropriate object(s) in the diagram. The activities and links whose annotation is completely located inside the frame will then be marked.

If you have marked activities and press the Ctrl key while you stretch a frame around further activities, the activities and links located inside the new frame will be added to those already marked.

>Bundle Activities

You can mark and bundle activities by pressing the SHIFT key and simultaneously clicking the left mouse button on them. The result differs depending on the diagram type:

  • In the network chart, all activities you click on plus all the activities and links in between are marked.

  • In the tree chart, the subtree of the node you have clicked on is marked. You can also use this function to bundle nodes to a set of marked nodes.

  • In the Gantt chart, only the activities, not the links are marked.

>Bundle and Toggle Activities and Links

To bundle and toggle single activities and links, press the Ctrl key and simultaneously click the left mouse button on the appropriate objects. Each time you click on an activity you toggle the marking on or off.

In tree charts you can also toggle whole subtrees by pressing Ctrl and Shift while clicking the left mouse button.

>Demark Activity/Link

Click the left or right mouse button in an empty space of the diagram to demark the marked activities/links. When you click the right mouse button in an empty space of the diagram a context menu will also appear.

>Move Marking

Once you have marked a node, you can use the arrow keys on the keyboard to move the marking. This is an easy way to navigate around the diagram.

  • Network chart: Use the arrow keys to move the marking from the marked node to the node above or below the marked node in the same column or to the node to the left or right of the marked node in the same row.

  • Tree chart: Use the arrow keys to mark the previous/next/left-hand/right-hand node in the hierarchy. As regards the order of the nodes in the hierarchy, the trees are traversed from top to bottom and from left to right

  • Gantt chart: When the activities are grouped, use the <arrow up> or <arrow left> key to move the marking to the node in the previous or next row respectively. When the grouping option is activated, the marking is moved to the previous or next node in the same group respectively.

>Invert Marking

The Invert Marking option in the Edit menu/context menu inverts the marking. All currently marked nodes are demarked and all demarked nodes are marked.

>Mark By Filter

The Mark by Filter option in the Edit menu/context menu lets you mark all nodes that fulfil certain filter criteria. Choose the appropriate filter in the Mark by Filter dialog box.

The "<All tasks>" filter does not contain any criteria and thus marks all nodes. The "Milestone" filter, for example, marks all milestone activities when you click on OK.

If you cannot find a suitable filter in the Mark by Filter dialog box, you can modify an existing filter or create a new filter. To modify/create a filter, select the Administrate Filters option in the Options menu to reach the Administrate Filters dialog box.

>Define Appearance of Marked Nodes and Links

Open the Edit Settings (Extended) dialog box via the Options menu to define the appearance of the marked nodes and links for each diagram type.

In this example the marked activity is highlighted by a simple frame and the marked link is highlighted by a blue line in Line Thickness 2 plus the pick marks at each end.

You can switch off the link annotation and/or arrow symbols in the Edit Settings (Standard) dialog box.


Moving activities, links and link annotations

>Moving Activity

To move an activity, press the left mouse button and drag the activity to the position you want.

The shape of the cursor changes to a small square with an arrow on each side (shift cursor).

A phantom node appears that you can move to the location you want with the help of the mouse. The activity is deposited at the position you release the left mouse button. The associated links are automatically rerouted.

The easiest way to change the diagram is by moving the nodes manually via the drag and drop technique: Mark a node and use the mouse to move it to the location you want. The associated links are automatically rerouted.

>Moving Link

Click the left mouse button on a link (NOT its annotation) and use the mouse to move the link in x or y direction.

>Moving Link Annotation

If you click the left mouse button on the annotation of a marked link, a frame will appear around the annotation field for as long as you keep the mouse button pressed. You can now move the link annotation (a phantom link appears) in x or y direction.


Copying, cutting, pasting and deleting activities

Activities can be copied, cut, pasted and deleted in Marking Mode and Creation Mode. Use either the appropriate options in the Edit menu or the context menu. The context menu for nodes/links appears when you click the right mouse button on an activity or link. It contains a number of options that can be applied to the marked objects.

Context menu for nodes in the network diagram

>Copy Activity

Mark the activities you want to copy and mark the Copy option in the Edit menu or the context menu. Alternatively, use the key combination Ctrl + C.

>Cut Activity

Mark the activities you want to cut and mark the Cut option in the Edit menu or the context menu. Alternatively, use the key combination Ctrl + X.

>Paste Activity

After you have copied or cut activities, mark the Paste option in the Edit menu or the context menu. Alternatively, use the key combination Ctrl + V.

  • In the network chart the copied or cut nodes will be pasted at the cursor location.

  • In the tree chart you must additionally specify the position at which the copied or cut nodes should be pasted (behind the marked node, in front of the marked node or as its first or last child).

  • In the Gantt chart the copied or cut nodes are pasted beneath the marked row.

>Delete Activity/Link

To delete activities and links, mark the objects you want to delete and press the Delete key, or mark the Delete Marked Objects option in the Edit menu or the Delete option in the context menu. When activities are deleted, the associated links are automatically deleted as well.

The various diagram types also offer a range of special options to mark and move objects. These are described separately in the relevant chapters on each diagram type.


Key Functions in GRANEDA Dynamic - Marking Mode and Creation Mode - Creating activities and links

Creating activities and links

or [image] You create activities and links in Creation Mode.

In addition to the cursor, a phantom node appears in Creation Mode that you can move with the mouse. The format of the phantom node depends on the diagram type.

  • In the network chart the phantom node is a small square that is moved with the mouse and jumps from grid point to grid point. Each click of the left mouse button in an empty space in the diagram creates a new activity.

  • In the tree chart the phantom node only appears when the cursor is in the vicinity of a node where a new node can be appended. The shape of the phantom node indicates where the new node may be appended (as a parent, child or brother to the reference node).

  • In the Gantt chart you can pull up a phantom activity anywhere in the diagram by pressing the left mouse button. When you release the left mouse button, the new activity with the current values is generated in a separate row beneath the row in which the cursor is positioned. The length and location of the phantom define the duration and the start/end of the activity.

A detailed description of Creation Mode is given in the relevant chapters on each diagram type.


Modifying data


Editing data fields

In the network chart and tree chart you can edit a particular data field by marking an activity and then clicking the left mouse button on the appropriate data field. Any previously marked objects are automatically demarked. The marked field has a grey background.

marked node
marked data field

The marked data field and its appropriate value are indicated in the edit bar for you to modify.


Editing activity data

You can edit the activity data of all diagram types with the help of the Edit Node dialog box where all the data of an activity is listed and can be modified. You can reach this dialog box in three different ways:

  • Double-click on the activity or, for Gantt charts, on the corresponding line in the table

  • Mark the activity and choose the Edit Node option in the Edit menu

  • Mark the activity with the right mouse button and choose the Edit Node option in the context menu.

In the Edit Node dialog box you can edit the data of all marked activities one after the other.

The Edit Node dialog box shows the name of the node which you can modify in the Fields/Values table. In addition, the dialog box indicates which of the marked activities you are currently working on.

When you open the dialog box it shows the data fields and values of the node marked first. You can edit all the data belonging to that activity.

Use the navigation buttons to navigate from one activity to another.

Alternatively you can manipulate the texts of each node field, e.g. the activity name, activity ID, duration, etc., directly by clicking on the appropriate field of a selected node (net and tree charts) on or the appropriate table field (Gantt charts). The content of the field appears in the edit bar where you can edit it directly.


Editing link data

In the network chart, besides the activity data you can also edit the link data. You can reach the Edit Link dialog box in different ways:

  • Via the Edit Link option in the Edit menu

  • By double-clicking on the horizontal line of a link.

  • By clicking the right mouse button on the link and selecting the Edit option in the context menu.

The From and To sections show the IDs and names of the two activities that are connected by the link.

By default, activities are connected by Finish-Start links. In the Edit Link dialog box you can specify the type of link independent of the underlying planning system. For links that are not of the Finish-Start type the link type is displayed on the link in the diagram.

The Edit Link dialog box also offers the option Lag, which refers to the space of time between two activities. The unit used for the time difference depends on your planning system.


Managing, modifying, using and updating specification components

Specification components are important aids in implementing company-wide standards for your project graphics. They are a set of instructions that stipulates how one or several object(s) of the same type is represented.

GRANEDA Dynamic 3.1 offers the following specification components:

  • Timescales

  • Tables

  • Calendars

  • Date lines

  • Layers

  • Filters

  • Node highlights

  • Node annotations

Specification components are either global components that are stored in the interface template (IFT) (template) or local components that are stored in a graphics specification (GSP) (local).

Specification components can be edited and copied, both from the interface template to the GSP and vice versa.

Specification components that are stored in an interface template can be used in any suitable graphics specification.

To simplify the use of specification components in different graphics specifications with the same interface template the definition of the specification components does not contain any information that refers to the project data or the diagram, such as the start and end dates of the timescale and the annotation of the date line. This information is appended when specification components are used in a graphics specification.


Managing specification components

Specification components can be effectively managed, both when no graphics specification is open (Professional licence owners only) and in an opened graphics specification. There are separate dialog boxes (management dialog boxes) to manage and define each type of specification component.

All specification components in your graphics specification are listed in the corresponding management dialog box.

  • If no graphics specification is open, select the Administrate IFT Elements option in the Options menu to reach the Administrate IFT Elements dialog box. From there you can then reach all management dialog boxes (e.g. the Administrate filters of interface template "C:\grdyn30\msp4mpx4.ift" dialog box).

  • If a graphics specification is open, you can reach each of the management dialog boxes via the corresponding option in the Options menu (e.g. the Administrate Filters dialog box). There are also buttons for the most important management dialog boxes in the menu bar.

The following table gives an overview of the specification components, the associated management dialog boxes and buttons and the diagram types they can be used for:

Components | Button | Management dialog box | Diagram types
Time scales |  | Specify Time Scale | Gantt
Tables |  | Specify Table | Gantt
Calendars |  | Specify Calendar | Gantt
Date lines |  | Specify date lines | Gantt
Layer |  | Specify Bar Appearance | Gantt
Filter |  | Administrate Filters | Network, Tree, Gantt
Node Appearance |  | Specify Node Appearance | Network, Tree
Node Annotations |  | Administrate Node Appearance | Network, Tree

>Managing specification components from the interface template

If no graphics specification is open, you can manage the specification components of any interface template. To do so, select the Administrate IFT Elements option in the Options menu to reach the Administrate IFT Elements dialog box.

In the Administrate IFT Elements dialog box, select the Interface template with the specification components you want to manage.

You can then choose each of the component types (e.g. Node Annotation, Node Highlight, Timescale, Table) offered for each diagram type (All, Net, Tree, Gantt).

If you click on the Edit button, you will reach the Administrate [Specification Component] of interface template "[...]" dialog box where you can modify, copy, add or delete all specification components of the chosen type for the selected interface template.

Example of a dialog box to manage the specification components of the type Filter for the interface template "msp4mpx4.ift"

>Managing specification components in a graphics specification

If a graphics specification is open, you can manage the specification components used in that graphics specification.

You can reach all the management dialog boxes via the appropriate options in the Options menu (e.g. Filter Management, Node Annotation Management) or by clicking on the appropriate button in the menu bar.

Example of a dialog box to manage specification components in a graphics specification

>Management dialog boxes

Each management dialog box contains a table listing the following data for each specification component of the selected type:

  • Name: Each specification component has an unique name (upper and lower case are not significant).

  • Status: A sign shows whether the appropriate specification component has been added and/or modified since the dialog box was opened.

    added specification component

    modified specification component

    added and modified specification component

    The Status field is empty for specification components that have not been modified/added.

  • Columns with information relevant for the corresponding component type (e.g. the column Preview for filter condition in the Administrate Filters dialog box).

  • Storage: This column lets you specify whether the appropriate specification component is stored in the interface template (Template) or locally (local). Once a specification component has been saved to the interface template it can only be removed from there via the Administrate IFT Elements dialog box.

    Note: If you switch the Status of a specification component from "local" to "template" and the interface template already contains a specification component of the same name, you will be asked whether you want to overwrite the specification component in the interface template.

  • Preview: All management dialog boxes (apart from the Administrate Filters dialog box) have a Preview column. A small red arrow head in this column signalises whether the appropriate specification component is assigned to the active graphics specification (Specify Time Scale, Specify Table, Specify Date Lines) or the currently selected object (Specify Bar Appearance, Specify Node Appearance, Administrate Node Annotations).

From the management dialog boxes you can copy, add, modify or delete the specification components. Each management dialog box contains the following buttons to manage the specification components:

Add [Specification Component]

Copy [Specification Component]

Delete [Specification Component]

Edit [Specification Component].

With a Professional licence you can add, copy, delete and modify specification components of any type, both in an interface template and in a graphics specification. With a Standard licence you can only add specification components from the interface template to the active graphics specification ( [image], Template) or delete specification components from the active graphics specification ( [image]), with the exception of the Filter specification component which you can also add and edit locally ( [image], lokal) with a Standard licence.

Note: Attributes that are only stored locally and not in the template are signalised by a light blue background in the management dialog boxes of an opened graphics specification.


Modifying specification components

By clicking on the Edit button in the management dialog box offered for each component type you can reach the appropriate Edit ... dialog box to define a customised format for each specification component.

Example of a dialog box to edit a specification component

All modifications you make to a locally saved specification component are valid for the active graphics specification only.

All modifications you make to a specification component stored in the interface template are valid for all graphics specifications that refer to that interface template once the specification component has been updated.

The dialog boxes for managing and editing the specification components that are only available for certain diagram types (network, tree or Gantt chart) are described in the relevant chapters on each diagram type.


Adding specification components

From the management dialog boxes you can add specification components to a graphics specification and/or interface template. Click on the button Add [specification component] ( [image]) to reach the dialog box of the same name.

Dialog box to add a specification component of the type Filter

There are two cases to consider:

1st case: If a graphics specification is open, you can choose between two options in the Add [specification component] dialog box:

  • To add a specification component from the interface template to the graphics specification, select the from template option. The combo box lists all specification components in the interface template.

  • To add a new specification component that does not exist in the interface template to the graphics specification, select the new option and give the component a name. The new specification component is only defined locally, i.e. only in the active graphics specification. If you want to append it to the interface template, click on OK to quit the Add [specification component] dialog box and change the Storage option for the new specification component to "Template" in the next higher management dialog box.

2nd case: If no graphics specification is open, the Add [specification component] dialog box offers the new option only, i.e. you can only generate a new specification component. This component will be added to the active interface template when you click on OK to quit the Administrate IFT Elements dialog box.


Copying specification components

You can copy existing specification components and save them under a different name.

Click on the Copy button to reach the Copy [specification component] dialog box.

Example for a Copy [specification component] dialog box

In the To field, type a name for the copied specification component. Initially, the copied specification component is only stored in the active graphics specification (locally).

To append an added or copied specification component to the interface template, change the Storage option in the management dialog box for the new component from "local" to "template". You can then use it in all graphics specifications that refer to that interface template. Simply transfer the specification component from the template to the active graphics specification in the appropriate management dialog box.


Updating specification components

Specification components are designed to assist you in implementing company-wide standards for your project diagrams. GRANEDA Dynamic therefore checks whether the specification components of your GSP match the specification components of the same name in the corresponding interface template (IFT). If necessary, you can update specification components that differ.

A specification component of your GSP may differ from the specification component of the same name in the interface template (IFT)

  • if the owner of a Professional licence has modified a specification component in a GSP (e.g. a node annotation in the Administrate Node Appearance dialog box) and set the Storage option to "Template" to save the modified specification component in the IFT.

  • or if you have changed the Storage option for a specification component from "Template" to "local" in the active graphics specification and then modified the specification component.

Each time you open a GSP, GRANEDA Dynamic compares the specification components of the GSP you want to open with the specification components in the interface template (IFT). If the system finds a specification component with the same name but different attributes the Actualizing specification components of "…" dialog box appears.

For each specification component of your GSP you can then specify whether you want it to be overwritten (updated) by the specification component of the same name from the IFT.

It makes sense to update the specification components in order to warrant a company-wide standard for these elements.

However, if you do not wish to update one or more specification components because you want to continue to use your current settings, it is recommended to rename the specification component(s) in question. To do so, in this dialog box deactivate the control boxes of all the specification components you do not want to update and open the graphics specification. Then go to the appropriate management dialog boxes (e.g. Specify Node Appearance) and rename the specification components you did not update. Please note that only those components can be renamed that are not currently used.


The Filter specification component

The Filter specification component is offered for all diagram types and is therefore described by example.

A filter contains conditions that tell GRANEDA Dynamic which activities to mark, highlight or display. When you apply a filter, GRANEDA Dynamic compares the information of each record with the criteria of the filter. Those activities and links are marked/highlighted/displayed that fulfil the filter criteria.

Filters are interface- and file type-dependent.

For example, filters are used to restrict the diagram to specific activities. By using a filter you can specify, say, that only activities that are pertinent for Departments A and B are displayed.

Further, filters are used for the data-dependent definition of the appearance of the nodes in the network/tree chart or the bars in the Gantt chart. For instance, with the help of a filter you can specify that all milestone activities are highlighted by a red triangle.

>Specifying filters

To add, modify, copy or delete a filter, select the Administrate Filters option in the Options menu or click on the appropriate button in the tool bar. The Administrate Filters dialog box will appear.

>Modifying filter criteria

To modify a filter, click on the Edit button in the Administrate Filters dialog box to reach the Edit Filter dialog box.

The title bar shows the name of the filter currently selected. Each filter may consist of several subconditions which are specified in the Subconditions table. With the help of the buttons above the Subconditions table you can add, copy or delete subconditions or you may change their order in the table.

Specify the following for each subcondition (criterium):

  • the data field to be compared (Fieldname)

  • the comparison operator to be applied to the field (Operator)

  • the Comparison value. Depending on the field type, this value can be an integer, text, date or value of another data field. The data type of the comparison value must match the data type of the field specified in the Fieldname column.

  • If the filter consists of several subconditions, you can specify with the help of the And/Or field whether the current subcondition should be linked to the next one by an And or Or operator.

If several conditions are linked by the And operator, only activities that fulfil all the criteria will pass through the filter. If the conditions are linked by the Or operator, those activities that fulfil at least one of the criteria will pass through the filter. If the conditions are linked partly by And and partly by Or, the conditions linked by And will be checked first, followed by the conditions linked by Or ("And" is stronger than "Or").


Key Functions in GRANEDA Dynamic - Managing, modifying, using and updating specification components - Storing or cancelling modifications of specification components

Storing or cancelling modifications of specification components

If you have modified specification components and close GRANEDA Dynamic, you will be asked whether you want to save your modifications in the current graphics specification (GSP) and in the current interface template (IFT) or not. If you do not want to save the modifications, you can easily cancel all of them when you close the program.

You also can store your modifications to the GSP or to the IFT separately. To do so, select the File menu option Save Graphics Specification or Save Interface Template.


Key Functions in GRANEDA Dynamic - Managing, modifying, using and updating specification components - Locking the interface template

Locking the interface template

As soon as an user of a Professional licence opens an interface template (IFT), it will be locked for any other user. Thereby a file ([ift-name].loc) is created. In this file the locking user, his computer identification and time and date of locking are stored.

The IFT locking prevents several users of a Professional licence from editing the same interface template at once and possibly deleting one another´s modifications.

The IFT locking has the following consequences:

  • If user A edits an IFT, this IFT will be locked. If user B now opens a graphics specification that uses the locked IFT, he will receive a message that he cannot edit this IFT at the moment since it is locked by user A. Nevertheless, user B can edit the graphics specification without restriction.

  • If user B now modifies a specification component of the interface template (Storage: "Template"), he will receive a warning message. The modified specification component will be automatically stored locally, but not in the interface template.

  • In the Edit Settings (Extended) dialog box only the Storage "local" is available.

The IFT locking is finished automatically when the user who has locked the IFT finishes his GRANEDA Dynamic session. When you start GRANEDA Dynamic after that again, you can edit the interface template.

The IFT locking can also be cancelled by any user of a Professional licence. Of course this only should be done when the user who locked the IFT agrees. To cancel the IFT locking, open the Administrate IFT elements dialog box before opening a GSP file.

In this dialog box the locking user, his computer identification and time and date of locking are displayed. Click on the Lift Locking button to cancel the locking. Then you can edit the interface template again.


Key Functions in GRANEDA Dynamic - Grouping activities

Grouping activities

Grouping activities is a method of formatting your network or Gantt charts by certain criteria.

You can group/ungroup activities with the help of the Perform Grouping and Remove Grouping options in the Layout menu or the appropriate button in the tool bar ( [image]).

You define the grouping criteria and the visual appearance of the groups in the Edit Grouping dialog box which you can reach via the Edit Grouping option in the Layout menu or, for network charts, by double-clicking on a group title.

In the network chart, groups are optically separated from one another by customised horizontal lines and assigned group titles.

The Edit Grouping dialog box for network charts

The activities are grouped by the data field you select for this purpose, the group code. (Which data fields are available depends on your planning system and the associated interface.) All activities which have the same entry in the group code field form a group.

Group titles, which are normally long-text versions of the group codes, are used to annotate the groups. The group titles may originate from a data field or file. We recommend using group titles from a file as you can individually assign the group titles to the group code values and modify them if required. You can save the group titles to a file for later use in the active or a different project.

In the network chart, the group titles are displayed in the diagram area, in the Gantt chart they are displayed in the table.

Example of a grouped network chart

Example of a grouped Gantt chart

In addition, you can specify whether, and if so by which criterium, the groups should be sorted. You can either sort the groups by a data field of your choice or by the order of the group titles in the Group code/Group title list.

The diagram will be grouped as soon as you click on OK to quit the Edit Grouping dialog box.


Formatting and outputting diagrams


Specifying texts, graphics and a legend

All diagram types can accommodate texts (e.g. titles), graphics (e.g. company logos) and a legend which are displayed above and below the drawing.

Diagram with texts, logo and legend

You can define texts, graphics or a legend in the Header and Footer dialog box which can be reached in three different ways:

  • via the Header and Footer option in the Layout menu

  • by clicking on the appropriate button in the tool bar ( [image])

  • by double-clicking on the title or legend area in the diagram.

There are three areas above and six areas below the diagram which you can utilise for texts, graphics or a legend. Click on one of the buttons above/below the diagram to reach the Specification of texts, graphics and legend dialog box.

Click on the Empty, Text, Graphics or Legend flag to specify the type of information you want to display at the chosen location.

Following your selection, the sections of the dialog box that are not required are deactivated (all entries are maintained).

>Defining texts

If you click on the Text flag, the six Lines of text will be activated. If all six lines are empty, the area will not be displayed in the diagram.

In the text lines you can define your text, and/or specify substitutes to represent project info. To insert a project info, select the appropriate substitutes from the list and click on the Add button to confirm your choice. The project info will be added to the line in which the cursor

is currently positioned (e.g. &[company]). By using substitutes you ensure that the project info is automatically revised when the data is updated. Which project details are offered depends on the planning system you use.

With the help of the Alignment of Text flags and the Font for all lines and Font for line n buttons you can format your texts as required.

>Defining graphics

Click on the Graphics flag to display a graphics (e.g. your company logo) in BMP (bitmap), GMF (GRANEDA metafile) or WMF (Windows metafile) format at the chosen location. Graphics are always displayed in alignment centred.

Select the graphics you want to display by clicking on the Browse button or type the file name manually in the Graphics File field.

>Defining a legend

Click on the Legend flag to display a legend above or below your diagram. The legend contains information on the highlights/layers used in the active chart.

Example of a legend in the network/tree chart

>Specifying empty areas

If you do not want to output a text, graphics or legend at the chosen location in your network chart or tree chart, click on the Empty flag.


General settings

You can fix a number of global settings for your general work with GRANEDA Dynamic, i.e. settings that are not only valid for the active graphics specification.

To do so, select the Edit Settings option in the Options menu to reach the Edit Settings dialog box.

The Edit Settings dialog box offers two tabs, Standard and Extended, whereby Extended is only available for Professional licence owners and only when a graphics specification is open. The settings made by a Professional licence owner can be saved to the interface template from where they are automatically adopted by all users who access that interface template.

The Edit Settings (Standard) dialog box

The following settings on the Standard tab are stored in your ini file and are consequently valid for all your projects in GRANEDA Dynamic:

  • the directories for your interface templates, graphics specifications and project data

  • whether the Welcome dialog box is displayed when you start GRANEDA Dynamic

  • the number of recent files opened that are listed in the File menu

  • whether the default specification components are created new or copied from the currently used interface template when a new graphics specification is created.

The following settings are stored in the respective active graphics specification:

  • the language of the default texts (date ribbon annotation)

  • The date format for the input and output of dates.

Finally, you can specify a number of settings in the active graphics specification for each separate diagram type:

  • the diagram frame and background

  • whether interface nodes are displayed in the network chart

  • whether links are displayed with arrow symbols/annotations in the network chart and Gantt chart

  • whether links are displayed in the Gantt chart

  • the smallest available time interval (decisive for the positioning of nodes in the Gantt chart and for the calibration of the time scales and date lines)

  • the format of normal and critical links and the filter that regulates the critical links.

If you own a Professional licence you can also fix more settings on the Extended tab.

The Edit Settings (Extended) dialog box

To start with, you can specify whether the settings on this tab are stored locally (i.e. in the active graphics specification only) or in the interface template. By default, the settings on this tab are stored in the interface template and as a result are valid for all users who access the graphics specifications that refer to that interface template.

You can then continue to fix the following:

  • the zooming factor that specifies the percentage by which the diagrams are reduced/enlarged when zoomed

  • the font size as of which texts are no longer displayed

  • whether Standard licence owners are forced to use the components from the template

  • whether project data can be modified in GRANEDA Dynamic

  • whether it is allowed to move nodes and links and, in particular, whether nodes can be moved to a different group

  • the types of marks for standard and group rows and for the fields in the table (Gantt chart)

  • the type of marks for nodes and links in the diagram area

  • the smallest time unit used for the interpretation of the activity duration in the Gantt chart.


Page setup

GRANEDA Dynamic offers a whole range of options to optimise the page setup of all your diagrams for printing. Select the Page Setup option in the File menu:

The Page Setup dialog box for the network chart

In the Page Setup dialog box you can

  • scale the diagram to any size,

  • restrict the height and width of the diagram to a limited number of pages

  • draw a frame round the diagram

  • specify whether nodes may be severed when the diagram is paginated and whether the title, table and timescale are repeated on each page

  • specify cutting marks

  • display page numbers (with appropriate texts, optional)

  • suppress blank pages

  • print the print date

  • specify margins

  • print the drawing in color, shades of grey or black and white

  • align the diagram on the sheet of paper

The page setup is saved in the active graphics specification along with the printer setup.


Print preview

The Print Preview facility in the File menu lets you check the look of your diagram before you print it. The diagram is displayed on the screen according to the settings made in the Page Setup dialog box and in the way it will be printed.

You can view individual pages or an overview of all the pages of the diagram. With the mouse you can interactively enlarge a section of the diagram by pressing the left mouse button and drawing a rubber band around the area you want to see in more detail. Once you release the mouse button the framed section will be magnified. You can then click the Print Section button to print that part of the diagram directly.

Note that the zooming factor you choose interactively in the print preview does not affect the scale factor specified in the Page Setup dialog box.

If you interactively zoom a section of your diagram in the print preview and then click on the Print Section button, the Selection option in the Windows Print dialog box is activated. If you click on OK, the section displayed on the screen will be printed.


Printing diagrams

You can print your diagram by choosing the Printer Setup and Print options in the File menu to reach the appropriate Windows dialog boxes.

The settings fixed in the page setup and printer setup are saved in the active graphics specification.

You can also start the print procedure by clicking on the Print button.


Exporting diagrams

Via the Export Graphics option in the File menu you can reach the Windows Save As dialog box where you can save the diagram currently active in the GRANEDA Dynamic window in the following formats:

  • *.BMP (Microsoft Windows Bitmap)

  • *.EPS (Encapsulated Postscript)

  • *.GIF (Graphics Interchange Format)

  • *.JPG (Joint Photographic Experts Group)

  • *.PCX (Microsoft Paint)

  • *.PNG (Portable Network Graphics)

  • *.TIF (Tagged Image File Format)

  • *.VMF (Viewer Metafile)

  • *.WMF (Microsoft Windows Metafile)

Note: For further details on VMF see "Glossary: Viewer Metafile (VMF)".


Introduction to GRANEDA Dynamic network charts

GRANEDA Dynamic network charts are distinguished by their optimised node arrangement, minimum of crossovers in the node links and the ability to group activities and to time-orientate network charts, thus enabling the clear representation even of large-scale projects.

You can define and modify the look of the nodes (color, format, content, font, etc.) yourself. The node design is specified and saved separately for network and tree charts, i.e. you can assign a particular node type in a tree chart a completely different design to in a network chart.

Variable filters facilitate the problem-free representation of subnets. The nodes can be moved to any position in the diagram, the associated links are rerouted automatically. Nodes and their links can be added, moved or deleted at the click of the mouse; nodes can be cut, copied and pasted. All the while, GRANEDA Dynamic automatically takes care of revising the data.

For grouped activities you can customise the grouping criteria, group titles and separating lines between the groups.

You can arrange the activities in the network chart by a timescale and position a date ribbon above and/or below the diagram plus draw vertical grid lines at regular intervals. The layout of time-orientated network charts is freely definable.

Further, titles, logos and graphics in varying formats can be positioned above or below the diagram

The following section describes the particular characteristics of the GRANEDA Dynamic network chart.


Special mouse procedures for the network chart

In addition to the mouse procedures described in the "Basics" section, there are a few additional mouse procedures to assist you in working quickly and efficiently in your GRANEDA Dynamic network charts.


Marking the path between activities

To select a certain section of a network chart it is not necessary to click on each individual activity you want to mark. A more efficient way of selecting a diagram section is to mark the complete paths between two activities (i.e. all the activities and links between the two activities in question). To do so, press SHIFT and simultaneously click the left mouse button on two activities. All the activities and links between those two activities will then be selected.


Moving several activities

You can move a set of activities and their associated links in one action by selecting the appropriate objects and, while pressing the left mouse button, dragging them to their new location. A phantom appears for the activity set while it is moved. When you release the mouse button the selected activities and links are inserted at the current phantom position. If necessary, the program automatically makes space for the activity set between existing activities. If the network diagram is grouped, the complete set of moved activities will be inserted in the group the cursor was in when the mouse button was released.

To make the insertion of an activity set between two existing activities easier you can first insert one or more empty rows/columns. To do so, mark a node and choose the Insert empty Cells option in the Layout menu. You can then decide if you want to insert the row/column to the left/right or above/below the marked node.

An empty line will be inserted below the marked node.

An empty line has been inserted below the marked node.


Network Charts - Special mouse procedures for the network chart - Creating activities and links

Creating activities and links

To create nodes and links you must first switch to Creation Mode.

In Creation Mode a phantom node appears that you can move with the mouse from grid point to grid point.

>Creating an activity in a free area

Each click of the left mouse button in a free area of the diagram creates a new activity.

The phantom node (top) indicates where a new node would be created with the left mouse click.

>Creating an activity between two activities

To create a new activity between two tightly packed activities, position the mouse between them so that the phantom changes its shape to a horizontal or vertical line (as appropriate) with two arrowheads facing inwards. Then click the left mouse button to insert the new activity between the two existing activities.

or

>Creating activities and links combined

In the network chart you can create activities and links combined. Keep the left mouse button pressed and drag the cursor from a node to the position at which you want to create a new node. A small pencil will appear next to the phantom node indicating that a link will be created along with the new node.

>Drawing a link between two activities

If you press the left mouse button and connect two activities, the cursor will take on the shape of a pencil which draws a line between the two activities.

When you release the left mouse button the link between the two activities is created. By default, a finish-start link is drawn.

>Copying and inserting activities

You can copy a marked activity and move the duplicate interactively. Press the CTRL key and, with the left mouse button pressed, drag the marked node to the desired position. When you release the mouse button, the copied node will be dropped at its new location.


Keyboard navigation in the network chart

In addition to the key combinations described in the "Basics" section you can use to navigate around your diagrams, in network charts you can also move marked nodes via the keyboard.

When a node is marked and you press the <arrow up> key, the next node in the same column above that node will be marked in its place.

Similarly, you can use the <arrow down>, <arrow left> and <arrow right> keys to mark the node in the same column below the marked node, or to mark the node in the same row to the left/right of the marked node.


Optimising your diagram

Large diagrams or complex structures can be most easily optimised with the help of the automatic assistants offered in the Layout menu.

If you have moved activities and would like to optimise the arrangement of the nodes and links automatically, select the Optimize Node Layout option or click on the appropriate button (Rearrange).

To optimise the links only, select the Optimize Link Layout option.

The Compress Chart option compresses the diagram by deleting all empty rows and columns that may have resulted from manually deleting or moving activities.

The Insert empty Cells option allows you to insert an empty row/column to the left/right or above/below a marked node. Empty rows/columns are needed if you want to insert several nodes at the same time between tightly packed nodes.


Generating a sub-net and restoring the full net

GRANEDA Dynamic is able to represent a sub-net from marked nodes or nodes that have been selected by a filter. Mark the activities you want to display in the sub-net by selecting the Build Subnet option in the Layout menu, or in the Filters combo box by selecting the "{Subnet}" entry in the edit bar. This has the effect that only the marked nodes plus their direct links and, where applicable, interface nodes with their associated links are displayed. Links to the interface nodes are shown as dashed lines.

To return to the representation of the whole network, either select the Restore Full Net option in the Layout menu or the "<All tasks>" entry in the Filters combo box.

>Displaying interface nodes

Interface nodes are nodes that are direct predecessors or successors of the nodes in a sub-net.

The Show interface nodes flag in the Edit Settings (Standard) dialog box lets you decide whether the interface nodes of the marked nodes are displayed when a sub-net is generated or not.

If the Show interface nodes flag is ticked, the direct predecessor and successor nodes will be displayed in the special "Interface" highlight (white background with dashed frame; "Standard" highlight nodes have a light-grey background). This way, you can easily differentiate between marked nodes and interface nodes.


Specifying the node appearance

GRANEDA Dynamic allows you to customise the appearance (color, format and annotation) of the nodes in your network charts and tree charts. The node design is specified and saved separately for each diagram type, i.e. you can assign a node type a completely different design in the tree chart to in the network chart.

The appearance of the various node types is managed and defined in the Specify Node Appearance dialog box.

To reach the Specify Node Appearance dialog box, select the Specify Node Appearance option in the Options menu for network charts or tree charts or click on the appropriate button in the tool bar. You can also reach the Specify Node Appearance dialog box via the context menu for nodes.

If no graphics specification is open, it is equally possible to reach this dialog box from the Administrate IFT Elements dialog box.

Filters are used to assign highlights to the activities dynamically. The node appearance results from combining all the highlights whose filters apply to a particular node.

Each line in the Highlights table describes a highlight. The highlights contain the graphical node attributes (shape, background color, frame, etc.). To define a highlight you need to specify its Name, Node design, and Filter. In addition, for each highlight you can define a Node annotation and a Legend text as local attributes.

You can edit the attributes of the highlights as follows:

  • Name: Mark the text and edit it.

  • Node design: Click on the Edit highlight button above the table ( [image]) or double-click on the Node design entry to reach the Edit Node Design dialog box where you can modify the graphical attributes of the highlight.

  • Filter: Select the Filter field of the highlight you want to define a filter for. A button for a combo box and an Edit button will appear. Either select a filter for the highlight in the combo box, or click on the Edit button to reach the Administrate Filters dialog box where you can add, copy, delete or edit a filter.

  • Node annotation: Select the Node annotation field of the highlight you want to define an annotation for. A button for a combo box and an Edit button will appear. Either select an annotation for the highlight in the combo box, or click on the Edit button to reach the Administrate Node Annotations dialog box where you can add, copy, delete or edit annotations.

  • Legend text: Mark the text and edit it.

Note: Filters and node annotations are specification components. The modifications you make to a filter or node annotation are not only valid for the active highlight but for the filter/node annotation in general.

In addition to the above attributes, the Highlights table offers the following information on each highlight:

  • whether the highlight shall be displayed in the preview window (Preview)

  • its Status (added, modified, added and modified, unchanged)

  • whether it is stored in the interface template or is just defined locally (i.e. for the current specification only) (Storage).

If a node is assigned more than one highlight via different filters, the highlights are processed one after the other. The table lists the highlights according to their processing priorities, whereby the highlight that is processed first is situated at the top of the table and the highlight that is processed last is situated at the bottom of the table. If several highlights apply to a node, the attributes of each highlight are replaced by the attributes of the highlights that are processed later. Only the attributes whose value is "not specified" do not replace the attributes of their predecessors. Thus, the attributes of the highlight at the top of the table may be replaced by the attributes of all other highlights and the attributes of the highlight at the bottom of the table may replace the attributes of all other highlights.

Use the arrow buttons to change the priority of a highlight in the processing order.

>Preview column and Preview window

1st case: No node was selected when you opened the Specify Node Appearance dialog box. In this case, only the "Standard" highlight is marked by a red arrowhead in the Preview column and displayed in the preview window. If you now mark one or more highlights with red arrowheads in the Preview column, a node with all the selected highlights will appear in the preview window. This non-data-driven method of assigning highlights is to let you test possible combinations of highlights independent of the data of the existing nodes. You can tell whether a highlight has been assigned statically by the red arrowhead in the Preview column. Additionally, the highlight on which the cursor is currently positioned is marked by a green arrowhead.

2nd case: Nodes were marked when you opened the Specify Node Appearance dialog box. In this case, all highlights whose filters apply to the first marked node and are assigned to that node are marked in the Preview column. This data-driven method of assigning highlights via filters is referred to as dynamic. You can tell whether a highlight has been assigned dynamically by the black arrowhead in the Preview column.

In addition, you can statically assign one further highlight to the marked node (i.e. a highlight that is independent of a filter). You can tell a statically assigned highlight by the red arrowhead in the Preview column and the grizzled Filter field.

If more than one node was marked when you opened the dialog box, you can use the arrow buttons above the preview window to move between the nodes.

Note: The quickest way to achieve a corporate identity for highlights is to modify the "Standard" highlight, which is the highlight upon which all other highlights are based.

Detailed information on the node appearance can be found in the Reference section on the dialog boxes Specify Node Appearance, Edit Node Design, Administrate Node Annotations and Edit Node Annotation.


Time orientation

You can also increase the transparency of your network charts with a time-oriented arrangement of the activities, where the nodes are arranged in chronological order in x direction. The time-oriented arrangement is a grouping of the activities by time periods. You can define the lengths of the periods yourself, plus specify whether a date ribbon is displayed above and/or below the diagram and whether vertical grid lines are used to mark the intervals.

Click on the Perform/Remove time orientation button or select the Perform/Remove Time Orientation option in the Layout menu to switch the time-oriented arrangement of the activities on/off.

The criteria for the time orientation and the layout of time-oriented network charts are defined in the Edit Time Orientation dialog box, which you can reach via the option of the same name in the Layout menu or, when the time orientation is activated, by double-clicking on a date ribbon.

In the Edit Time Orientation dialog box you can define:

  • The field by which the time orientation is performed (Date by field)

  • The Interval, stipulating a time period (e.g. 1 day, 2 months, 1 year)

  • Whether vertical Separation lines are displayed after every interval

  • Type, Thickness and Color of the separation lines

  • whether an Interval caption is assigned at the top and/or bottom

  • the Date format for the annotation of the ribbons

  • the Font of the annotation of the ribbons.

As soon as you click on OK to quit the dialog box, the time-oriented arrangement of the nodes is activated.

Example of a time-oriented network chart


Modifying the spacing of the nodes

You can change the spacing of the nodes by increasing or decreasing the size of the outer node area. If you increase the size of the outer node area, the gap between the nodes and from the nodes to the edge of the diagram will be larger. Vice versa, if you decrease the size of the outer node area the gap between the nodes will be smaller and the diagram more compact.

To modify the outer node area, select the Administrate Node Annotations option in the Options menu. The dialog box of the same name will appear.

Select the node annotation with the outer node area you want to modify and click on the Edit node annotation button. The following dialog box will appear:

You can now specify a different value in the Exterior surrounding field. This new value is only valid for the selected node annotation (e.g. for the "Standard" node annotation). To modify the outer node area for all nodes, you must change the value for each individual node annotation used in your diagram.

Note: With smaller values than the default of 3 mm some overlapping may occur in the representation of the graphical elements of the links. For this reason, a value less than 3 mm should be specified only in justified cases.


Introduction to GRANEDA Dynamic Tree Charts

GRANEDA Dynamic gives you the ability to generate extremely compact and transparent tree charts, transforming activity lists into clearly defined graphics. Many planning systems, such as Microsoft Project, do not offer this diagram type.

The node format is variable like in the network chart. You can define and modify the look of the nodes (color, format, content, font, etc.) yourself. The node design is specified and saved separately for network and tree charts, i.e. you can assign a particular node type in a tree chart a completely different design to in a network chart (see section on "The Network Chart" for more details of the node appearance options).

Nodes can be added, cut, copied and pasted. Complete subtrees can be moved and appended with the mouse.

Branches can be arranged horizontally or vertically and collapsed and expanded as necessary. By collapsing branches down to their root nodes, extra complex structures can be made transparent. If you want to present certain branches only, you can collapse all the branches you do not need while still maintaining the information on the whole structure.

You can customise the complete layout of the active tree chart. You can save space by specifying that the tree chart should be arranged vertically or collapsed below a certain level. Further, you can limit the maximum height of the chart.

The following section describes the particular characteristics of the GRANEDA Dynamic tree chart.


Special mouse procedures for the tree chart

In addition to the mouse procedures described in the "Basics" section, there are a few additional mouse procedures to assist you in working quickly and efficiently in your GRANEDA Dynamic tree charts.


Creating nodes

To create nodes and links you must first switch to Creation Mode.

You can then create the first node of your tree chart by clicking in the empty diagram area. All subsequent nodes can only be created by appending them to an existing node. When you are in Creation Mode and move the cursor within the aura of a node, the shape of the cursor changes, indicating where a new node would be appended (as a parent, child or brother of the reference node).

Click the left mouse button to append a node at the marked location. The corresponding link is created automatically.

The following diagram shows the various append options for a horizontally arranged tree chart:

1: New parent node for the whole branch

2: New child node to the extreme left

4: New child node to the extreme right

6: New parent for the node

5, 7: New brother to the right of the node

3, 8: New brother to the left of the node

9: New child for the node

The following append options are available for a vertically arranged tree chart:

1: New child at the bottom

2: New child at the top

3: New brother above

4: New brother below

5: New parent for the node

6: New child for the node


Creating links

In the tree chart, you cannot create a link between two nodes retrospectively. Nodes and links are created and deleted simultaneously and automatically.


Appending a node and its associated subtree

You can move and append a node and its associated subtree in one action using the drag and drop technique. (Note: Only one node and its subtree can be moved at a time, even if several nodes are selected.)

Press the left mouse button and drag the node you want to move along with its child nodes to the new location. While you move the node a phantom appears for the node and its subtree. Drag the phantom over the node under/beside which you want to append the moved node and its subtree. The phantom of the appended node must at least partly cover the target node and the cursor must indicate that you can append a child below the target node ( [image]) or a brother beside the target node ( [image] bzw. ). As soon as you release the mouse button, the subtree will be appended.

Contrary to the network chart, when you change the location of a node in the tree chart the associated links and activity data (hierarchy code/level) are also changed.

You want to append the left parent node and its children below the node on the right.
While the node and subtree are being moved a phantom appears and the cursor indicates where the moved node and subtree would be appended when the mouse button is released.
The moved subtree is appended to the node previously located on the right. The hierarchy codes have been modified accordingly.

Note: It is not possible to control the order of the child nodes direct. However, indirectly you can control the order by thoughtfully appending the child nodes to the same parent node.


Copying and pasting a subtree

You can copy a selected subtree (or single node) and move the duplicate interactively. Press the Ctrl key and left mouse button simultaneously and drag the selected subtree to the desired location. When the cursor is moved over the aura of a node it shows where the copied subtree would be appended (as a parent, child or brother to the reference node). The subtree will be appended at the chosen location as soon as you release the mouse button.


Keyboard navigation in the tree chart

In addition to the key combinations described in the "Basics" section you can use to navigate around your diagrams, in the tree chart you can also move selected nodes via the keyboard.

Key combination | Navigation in diagram
<Arrow up> | selects the previous node in the hierarchy
<Arrow down> | selects the next node in the hierarchy
<Arrow left> | selects the next node to the left and on the same level
<Arrow right> | selects the next node to the right and on the same level

As regards the order of the nodes in the hierarchy, the trees are traversed from top to bottom and left to right.


Arranging subtrees horizontally and vertically

When you display your tree chart on the screen for the first time, it may not be ideally proportioned. However, by combining horizontally and vertically arranged subtrees you can create an extremely compact chart.

To reduce the height of your tree chart you can arrange certain subtrees horizontally. To reduce the width of your tree chart you can arrange certain subtrees vertically.

  • Horizontal arrangement: You can reduce the height of your tree chart by arranging it horizontally, i.e. all nodes of a level are arranged next to one another. The ports of the link are in the centre of the bottom edge of the parent node and in the centre of the top edge of the child node.

  • Vertical arrangement: You can reduce the width of your tree chart by arranging it vertically, i.e. all nodes of a level are arranged under one another. The ports of the link are in the bottom left corner of the parent node and in the centre of the right edge of the child node.
horizontal arrangement | vertical arrangement

To arrange a subtree of a tree chart horizontally, mark the topmost node of the subtree and select the Arrange horizontally option in the Layout menu or click on the appropriate icon in the tool bar. The subtrees of the selected node will be arranged horizontally, but only one level down. The Arrange horizontally option has no effect on the next lower levels of the subtree.

The Arrange all horizontally option arranges all levels of the subtrees below the selected node horizontally.

The Arrange vertically option arranges the subtrees below the selected node vertically, beginning with the highest root node selected.

Note: Nodes cannot be horizontally arranged within a vertically arranged subtree.

All levels are arranged horizontally.

All levels are arranged vertically.

Example of a tree chart with horizontally and vertically arranged subtrees

Note: Changes in the arrangement also apply to collapsed subtrees.


Collapsing and expanding subtrees

By collapsing branches down to their root nodes extra complex structures can be made transparent. If you want to present certain branches only, for example, you can simply collapse all the branches you do not need while still maintaining the information on the whole structure.

In tree charts all subtrees can be collapsed down to their respective root nodes and re-expanded at a later stage. A root node is the topmost node of a subtree you want to collapse.

Root nodes can be completely deleted or relocated. When a root node is relocated the subtree represented by that root node remains intact.

expanded tree

collapsed subtree represented by a root node

fully collapsed tree

Select the Collapse option in the Layout menu or click on the appropriate button to collapse the subtrees attached to the marked root node. The marked root node then assumes the function of representing the hidden subtrees.

Select the Expand option in the Layout menu or click on the appropriate button to expand the subtrees represented by the marked root node. Only the collapsed nodes are expanded. If there are further collapsed nodes in the underlying branches, they will remain collapsed.

Select the Expand all option in the Layout menu or click on the appropriate button to expand all collapsed subtrees. With this option, all collapsed nodes in the underlying branches will also be expanded.


Creating a subtree and restoring the full tree

A different method of displaying tree charts in a compressed form is to create a subtree from which the full tree can be restored as required. You can create a subtree in three ways:

  1. Via the Build Subtree option in the Layout menu (only active when at least one node is selected)

  2. By specifying "{Subtree}" in the edit bar in the Filters combo box (only active when at least one node is selected)

  3. By selecting a filter from the Filters combo box in the edit bar.

In all three cases the diagram shall be reduced to the selected nodes and their underlying nodes.

You can restore the full tree by selecting the Restore Full Tree option. (This option is only active when a subtree has been created.) Alternatively, you can select the entry "<All tasks>" in the Filters combo box to restore the full tree.

Full tree

Subtree comprising the above selected node and the underlying nodes


Modifying the node arrangement

You can specify the whole layout of the active tree diagram with the help of the Edit Tree Layout dialog box. You can define whether the bottom levels are arranged to save space and whether vertical branches can be split to keep the chart below a specific maximum height.

To reach the Edit Tree Layout dialog box, select the option of the same name in the Layout menu, you can then specify how the nodes are arranged in the active tree diagram and apply the new layout by clicking on OK.

Note: To ensure the tree chart is arranged in the manner you specify in the Edit Tree Layout dialog box, you must select the Rearrange Tree option in the Layout menu or click on the appropriate button ( [image]).

There are two options you can utilise to automatically optimise the compactness of the diagram:

  1. Auto-arrange vertically at level: You can specify that the tree chart is automatically arranged vertically below a certain level. The levels are counted downwards from the topmost level (= level 1).

  2. Auto-collapse at level: You can also automatically collapse the chart below a certain level. The levels are counted downwards from the topmost level (= level 1).

Space-saving representation of a tree chart: Automatically arranged vertically from Level 2, automatically collapsed from Level 4

If you tick the Wrapping of vertical branches box, you can specify the maximum height of the tree chart in rows. If necessary, vertical branches will be split with the effect that new branches are created at the parent node.

A vertical branch has been split (maximum height of tree chart: 5 levels)


Introduction to GRANEDA Dynamic Gantt charts

GRANEDA Dynamic Gantt charts offer a host of configurations for the bar design, grouping, table, timescale and date lines and for several calendars. You can define layers, tables, timescales, calendars and date lines as specification components, which you can then save and select as appropriate for your diagram.

The most important characteristics of a GRANEDA Dynamic Gantt chart are:

  • flexible bar design

  • data-driven assignment of multiple layers per activity to enable the representation of different dates for each activity

  • flexible tables with data-driven cell attributes

  • timescales with a choice of date ribbons and variably scaled sections

  • multiple annotated date lines

  • calendars which can be specified individually

  • interactive collapsing and expanding of work-free periods

  • group by any data field

  • interactive collapsing and expanding of groups

  • ability to display all activities of a group in one row

The following section describes the special elements and options of the GRANEDA Dynamic Gantt chart: The Gantt chart-specific mouse procedures and key elements (bars, layers, timescale, table, calendars and date lines).


Layers

Each activity in a GRANEDA Dynamic Gantt chart is visualised by one or several layers. A layer represents a date or a pair of dates in graphical form. All layers that represent an activity together form a bar.

In the Edit layer dialog box you can select the shape of the layer from the Shape list. You can choose between:

  • <Bitmap layer> (Specify the bitmap file in the Graphics file field.)

  • <invisible symbol> (The layer will be invisible. Only the layer annotation will be visible.)

  • Rectangle layer

  • Wedge-shaped layers

  • Line layer

  • Various types of symbol layers.

Rectangle, wedge-shaped and line layers are used to show time spans. Wedge-shaped layers are useful for visualizing increasing and decreasing activities, e. g. during the project start or end. Symbol layers and bitmap layers are used to show specific points in time.

The top rectangle layer symbolises the early start and early finish of the activity, the bottom rectangle layer symbolises the late start and late finish of the activity. The triangular symbol layer represents a milestone date.

When an activity is represented by more than one layer, the layers are overlaid. The look of a bar in the Gantt chart is determined by all the layers that are assigned to an activity by means of a filter.

Layers comprise both graphical attributes (shape, line color, pattern, etc.) and an annotation. They can also be of different heights and have a vertical/horizontal offset (against the horizontal centre line/date of the layer). By specifying an offset you can ensure that all layers assigned to an activity are visible and do not overlap each other.

>Calculating the duration

The duration of a layer is represented by the content of the data field specified under Duration in the Edit Layer dialog box for the selected layer.

In principle, you can define a different duration for each layer of a graphics specification.

If duration fields are used to visualise and manipulate activities in the Gantt chart, they must all relate to the same time unit.

For planning systems with duration fields that do not contain a time unit, the relevant time unit, if other than the default "Days", must be specified under Smallest time unit in the Edit Settings (Extended) dialog box. The smallest time unit regulates the time unit used for the layer duration that is defined in the Edit Layer dialog box.

For planning systems with duration fields that contain a time unit (e.g. Microsoft Project), GRANEDA Dynamic checks whether the data of the duration fields used are based on the same time unit. If this is not the case, the system converts all data to the smallest time unit used. In addition, the smallest time unit used is transferred to the Smallest time unit field in the Edit Settings (Extended) dialog box (where it is only indicated, but cannot be modified). If necessary, the unit for the Smallest time interval in the Edit Settings (Default) dialog box will also be adjusted.

Each duration is converted to the smallest time unit used to define the duration of a layer according to the following scheme:

  • 1 day = 8 hours

  • 1 week = 5 days

The conversion is initiated in two cases:

  1. If a new data field is used for the duration of a layer (either when adding a layer that uses a new data field, from the interface template or if a new data field is used for the definition of the layer duration)

  2. When opening a Gantt chart (when opening a project or loading the Gantt chart).

Note when writing the project data back to your planning system that the data may have been changed by the calculation of the duration in GRANEDA Dynamic.


Special mouse procedures for the Gantt chart

In addition to the mouse procedures described in the "Basics" section, there are a few additional mouse procedures to assist you in working quickly and efficiently in your GRANEDA Dynamic Gantt charts.


Gantt Charts - Special mouse procedures for the Gantt chart - Creating activities and links

Creating activities and links

To create activities and links you must first switch to Creation Mode.

>Creating an activity

Press the left mouse button and drag the cursor to draw an activity phantom anywhere in the diagram. The length and position of the phantom define the duration and the start/finish of the activity. A small box indicates the appropriate data.

When you release the left mouse button, an activity will be created with the indicated values.

Note: When you create a layer with the mouse, the layer with the filter "<always>" is used. If several layers have the filter "<always>", the layer that was drawn first (that has the highest position in the list in the Edit Layer dialog box) will be used. If no layer has the filter "<always>", a warning will appear. In this case, you should define a layer with the filter "<always>" otherwise the activities created with the mouse will not be visible.

The values for the start, finish and duration of the layer created with the mouse are transferred to the data fields specified under Start field, End field and Duration in the Edit Layer dialog box.

>Creating a link

If you press the left mouse button and connect two activities, the cursor will take on the shape of a pencil which draws a line between the two activities.

When you release the left mouse button the link between the two activities is created.


Moving activities

To move an activity in Selection Mode select it, press the Shift key and left mouse button simultaneously, drag the activity to the desired location and release the mouse button.

When you place the cursor on an activity in Selection Mode, it changes to an activity phantom with arrows showing the directions in which it can be moved. While you drag the mouse, a small box also appears that shows the modified activity data (duration, start/finish).

Activity phantom with arrow left: The start of the activity can be shifted. The finish date remains the same. The duration will be adjusted.

Activity phantom with arrow right: The finish of the activity can be shifted. The start date remains the same. The duration will be adjusted.

Activity phantom with arrows in all directions: The activity can be shifted timewise, i.e. the start and end dates together, and/or to a different row. The activity duration remains the same.


Moving layers

If an activity is represented by several layers you can move each layer in x direction. To do so, switch to Selection Mode, pressing the left mouse button drag the layer to the desired location and release the mouse button.

When you place the cursor on a layer in Selection Mode, it changes to a layer phantom with one or two arrows showing the direction(s) in which it can be moved:

Layer phantom with arrow left: The start of the layer can be shifted. The finish date remains the same. The duration will be adjusted.

Layer phantom with arrow right: The finish of the layer can be shifted. The start date remains the same. The duration will be adjusted.

Layer phantom with arrows in both directions: Both the start and end dates can be shifted. The layer duration remains the same.

While you drag the mouse, a small box also appears that shows the modified layer data (duration, start/finish).

When you release the left mouse button, the modified layer dates for the associated activity are adopted both in the diagram and in the project data. If necessary, the positions of the other layers belonging to the associated activity will be adjusted.


All nodes of a group in one row

You can optimise your diagram by displaying all nodes of a group in one row. To do so, select the Edit Grouping option in the Layout menu to reach the Edit Grouping dialog box. Tick the box all nodes of a one group in one single line. If any of the nodes in the group would overlap, extra rows may be created for them. With this type of view, the links between the nodes are not displayed.

If you want each node to be displayed in a separate row, deactivate the all nodes of a one group in one single line box.


Generating a subdiagram and restoring the full diagram

With GRANEDA Dynamic you have the ability to represent a subdiagram from a set of selected nodes and to restore the full diagram at any time. Select the activities you want to display in the subdiagram and then generate the subdiagram in one of the following ways:

  1. Select the Build Subdiagram option in the Layout menu (this option is only active when at least one activity is selected).

  2. Or select the "{Subdiagram}" entry in the Filters combo box in the edit bar.

This has the effect that only the selected nodes and their links are displayed.

To return to the representation of the whole diagram, either select the Restore Full Diagram option in the Layout menu or the "<All tasks>" entry in the Filters combo box.


Keyboard navigation in the Gantt chart

In addition to the key combinations described in the "Basics" section you can use to navigate around your diagrams, in Gantt charts you can also move selected activities via the keyboard:

Without grouping:

Key combination | Navigation in diagram
<Arrow Up> or <Arrow Left> | selects the node in the previous row
<Arrow Down> or <Arrow Right> | selects the node in the next row

With grouping:

Key combination | Navigation in diagram
<Arrow Left> | selects the previous node in the same group
<Arrow Right> | selects the next node in the same group


Specifying the bar appearance

The appearance of the bars in your Gantt chart is made up of one or several layers that are assigned to the activities dynamically (data-driven or via filters).

The appearance of the bars is defined in the Specify Bar Appearance dialog box which you can reach via the option of the same name in the Options menu or by clicking on the appropriate button in the tool bar.

You can consult the Specify Bar Appearance dialog box for a single selected activity in order to determine which layers are assigned to it. You can also reach this dialog box when no activity is selected to test potential layer combinations independent of the existing activity data.

Each line in the Layer table in the Specify Bar Appearance dialog box describes a layer. To define a layer you need to specify its Name, Layer design and Filter.

When you click on the Edit layer button above the table or double-click on the Layer design entry, the Edit Layer dialog will appear.

In the Edit Layer dialog box you can modify the data fields, graphical attributes and annotation of the selected layer. The settings you make there are indicated in the Layer design section of the Specify Bar Appearance dialog box.

To define the filter for a layer, select a suitable filter from the Filter combo box in the Specify Bar Appearance dialog box. If you cannot find a suitable filter, click on the Edit Filter button to reach the Administrate Filters dialog box. Note that filters are specification components. The modifications you make to a filter are not only valid for the active layer but for the filter in general.

In addition to the name, layer design and filter, the Layer table offers the following information on each layer:

  • Whether the layer shall be displayed in the preview window (Preview)

  • Its Status (added, modified, added and modified, unchanged)

  • Whether it is stored in the interface template or is just defined locally (i.e. for the current graphics specification only) (Storage)

  • Its Offset (vertical/horizontal) (offset against the horizontal centre line/vertical start line of the bar)

  • The legend text plus its assignment to a Legend group.

The attributes with a light-blue background (Offset, Legend Text and the assignment to a Legend group) are not stored in the interface template but only locally.

If a bar is assigned more than one layer dynamically via different filters, the layers are drawn one after the other. In this case, the layers drawn later may overlap the previously drawn layers.

The order in which the layers are drawn is regulated by the Layer table in the Specify Bar Appearance dialog box. The layer that is situated at the top of the table is processed first, the lower a layer appears in the table, the more layers it may have stacked on top of it. The bar appearance results from combining all the layers whose filters apply to a particular activity.

Use the arrow buttons to change the priority of a layer in the processing order.

>Preview column and Preview window

1st case: No activity was selected when you opened the Specify Bar Appearance dialog box. In this case, only the default layer is marked by a green arrowhead in the Preview column and displayed in the preview window. (The layer on which the cursor is currently positioned is marked by a green arrowhead.) If you now mark one or more layers with red arrowheads in the Preview column, a bar with all the selected layers will appear in the preview window. This non-data-driven method of assigning layers is to let you test possible combinations of layers independent of the existing activity data.

2nd case: Activities were selected when you opened the Specify Bar Appearance dialog box. In this case, all layers whose filters apply to the first selected activity and are assigned to that activity dynamically (i.e. via a filter) are marked in the Preview column. You can tell whether a layer has been assigned dynamically by the black arrowhead in the Preview column. (Unlike node highlights, layers cannot be assigned statically.)

If more than one activity was selected when you opened the dialog box, initially the first selected activity and its dynamically assigned layers is displayed. You can then use the arrow buttons above the preview window to move between the selected activities.

Detailed information on the bar appearance can be found in the Reference section on the dialog boxes Specify Bar Appearance and Edit Layer.


Degree of completion

GRANEDA Dynamic allows to see the degree of completion of an activity at a glance.

Proceed as follows: Open the Specify Bar Appearance dialog box. Create a layer "Completed" as a copy of the default layer. Then edit the layer "Completed" with the help of the Edit Layer dialog box. For wedge-shaped and rectangle layers you can select the data field that contains the degree of completion of the selected layer. For example, select for the layer "Completed" the data field "% completed". Now specify the graphical attributes (color, pattern etc.) so that the "Completed" layer can be easily recognized.

Activity, degree of completion: 90 %


Gantt table


Specifying the table

GRANEDA Dynamic offers you high flexibility in the design of the table area of your Gantt charts. You can define different tables with data-driven cell attributes and select which table is used for the active graphics specification.

The tables available for the active graphics specification are managed in the Specify Table dialog box.

You can reach the Specify Table dialog box via the Options menu.

If no graphics specification is open, you can reach this dialog box from the Administrate IFT Elements dialog box.

The table marked with a red arrowhead in the Preview column is used for the active graphics specification.

To modify a table, click on the Edit table button.

In the Edit Table dialog box you can define the column design, content and size respectively for each of the row type categories Column Titles, Grouping Titles and Basic Rows. You can specify the column width, type of content, the content and the graphical attributes individually for each column of each row type.

For the basic rows you can use row filters (e.g. "All tasks", "Milestones") to define basic row types. You can define the format and appearance of each basic row type and select which row types are displayed in the table.

Detailed information on the definition of the tables can be found in the Reference section on the dialog box Specify Table.


Modfiying the width ratio between the table and diagram areas

The column titles and timescale, the table rows and the diagram are separated from one another by a vertical dividing line (sash). When you move the mouse over the sash between the table rows and the diagram area, the cursor shape changes to a double vertical line with an arrow to the left and right. By dragging the mouse, you can now change the width ratio of the table area to the diagram area.

Note: To change the ratio of the widths of the table area and diagram area, the cursor must be positioned on the area between the table rows and diagram, not in the area between the column titles and timescale. Otherwise the width of the last column in the table will be adjusted or the timescale recalibrated.


Specifying the width of the table columns

You can change the width of a column in the table interactively by moving the sash between two columns in the title area of the table. When the cursor is positioned on the sash between two columns in the title area of the table, its shape changes to a vertical line with an arrow to the left and right.

Note: You can only change the width of a table column in the column title area.

If you position the cursor near the sash in the column title area and drag it to the left (right), the last column in the table will be made narrower (wider). If you make a table column so narrow that all columns together are narrower than the area to the left of the sash, the sash is automatically moved to the left. There is no empty space between the last table column and the sash.


Selecting and modifying activities in the table

>Selecting a single activity

If you click the left mouse button on a field in the table, the corresponding row in the table and associated bar in the diagram area will be selected. Any previously selected objects are deselected.

>Marking a single field in the table

If you have clicked the mouse on a row in the table to select it, you can then select a specific field in that row by clicking again on the field you want.

>Bundling and toggling activities

To bundle and toggle activities, press the Ctrl key and simultaneously click the left mouse button on the appropriate rows in the table. Each time you click on an activity you toggle the selection on or off.

>Modifying activities

You can modify the data of an activity by clicking the right mouse button on the associated row in the table and selecting the Edit Node option in the displayed context menu. The Edit Node dialog box appears where you can modify the data of the selected activity.

You can also modify the data of an activity by double-clicking on a layer of the corresponding activity to reach the Edit Node dialog box.

>Modifying the data fields of an activity

Those data fields which have been assigned a column in the table can be edited directly for each activity. In the table, select the data field of the activity you want to edit and modify the data directly in the edit bar.


Gantt Charts - Grouping activities

Grouping activities

By grouping activities you can make your Gantt chart more transparent.

You can group/ungroup activities with the help of the Perform Grouping and Remove Grouping options in the Layout menu or the appropriate button in the tool bar.

You define the grouping criteria and the visual appearance of the groups in the Edit Grouping dialog box which you can reach via the Edit Grouping option in the Layout menu.

>Expanding and collapsing groups

You can display the groups in collapsed or expanded format.

  • In expanded format, each activity is normally displayed in a separate row. However, if you have ticked the all nodes of one group in one single line option in the Edit Grouping dialog box, as far as possible all the activities of a group are displayed in one row. Only those activities in the group that would overlap are displayed in (a) separate row(s).

  • In collapsed format, all activities of a group are displayed in one row, even if they overlap.

To collapse expanded groups and vice versa, click the right mouse button on the corresponding group title and select the Collapse group or Expand group option (as appropriate) in the context menu. Alternatively, double-click on the corresponding group title.


Time scale


Specifying the Time scale

Time scales are specification components that are managed in the Specify Time Scale dialog box.

To reach the Specify Time Scale dialog box, either select the Specify Time Scale option in the Options menu or click on the appropriate button in the tool bar.

If no graphics specification is open, it is equally possible to reach this dialog box from the Administrate IFT elements dialog box.

In the Specify Time Scale dialog box you can add, copy or delete time scales.

The time scale marked with red arrowhead in the Time Scales table is used for the active graphics specification and is displayed in the preview window.


Specifying time scale sections

For each time scale you can also define different sections with variable calibrations. This way you can, for example, display project phases you want to view in detail in a larger scale than the others.

The Time Scale Sections table lists the time scale sections defined for the selected time scale. For each section you can modify the Start and the Width per Unit. You can modify, add, copy or delete the sections in the Time Scale Sections table.

The time scale sections are edited in the Edit Time Scale Section dialog box.

For each time scale section you can define different date ribbons of varying calibrations to annotate the time scale and specify their design.

Further, you can specify whether grid lines and/or a calendar grid are displayed to mark the work-free periods and whether work-free periods are suppressed. This way, you can format and highlight the different phases of your project to your specific requirements.

Detailed information on defining time scales and time scale sections can be found in the Reference section on the dialog boxes Specify Time Scale and Edit Time Scale Section.


Collapsing work-free periods

To display workdays only, tick the Collapse workfree periods box in the Edit Time Scale Section dialog box to suppress the work-free periods. GRANEDA Dynamic 3.0 uses a predefined calendar for this purpose.


Scaling the time scale

You can scale the time scale interactively by positioning the cursor on the time scale and clicking the left mouse button. The shape of the cursor will change to a vertical line with an arrow to the left and right. If you drag the cursor to the left, the unit size of the time scale will be reduced. If you drag the cursor to the right, the unit size of the time scale will be increased

Note: If the cursor is located near the sash in the time scale area and you drag the cursor to the right, the time scale will be expanded to a considerable degree. You can revoke the rescaling of the time scale by dragging the cursor in the opposite direction in the time scale.


Calendars

In GRANEDA Dynamic you can individually specify several calendars for Gantt diagrams and thus assign different calendars to different activities.

You can select a data field to store the name of the calendar used for a node. Please specify this data field in the Calendar name in field of the Edit Settings (Extended) dialog box.

Then you can specify the calendar to be used for each activity in the calendar data field of the Edit Node dialog box .

>Specifying calendars

Please click on the Options menu item Specify Calendar to open the Specify Calendar dialog box. This dialog box manages the calendars offered in the active graphics specification.

In the Calendars table you can define one calendar per line in the table. The lines in the table offer the following information on each calendar:

  • Whether the calendar is displayed in the preview window and used in the current graphics specification for the calendar grid (Selected)

  • Its Name

  • Its Status (added, modified, added and modified, unchanged)

  • Whether it is stored in the interface template or is just defined locally (i.e. for the current graphics specification only) (Storage)

>Editing calendars

To edit a calendar, click the Edit calendar button in the Specify Calendar dialog box. The Edit Calendar dialog box will appear. Select the Day Profiles tab first.

Here you can modify the calendar selected in the Specify Calendar dialog box. On the Day Profiles tab you can fix the settings for the day profiles. A day profile is defined by a number of working time intervals. You can define several day profiles to describe several types of days, e. g. workfree days, default working days, days with special shifts, days with reduced working time, etc.

The <No work> day profile is defined by default and does not have a working interval.

For each day calendar select the color which is to be used on the Total Calendar tab for all days to which the current day profile applies. Please note that the color selected here is only valid for the Total Calendar tab not for the diagram.

Next, open the Week Profile tab.

Here you can fix the settings for the week profiles. A week profile is defined by assigning a day profile to each day of the week (Monday to Sunday). You can define several week profiles to describe several types of weeks, e. g. five-day weeks, six-day weeks, holiday weeks, etc.

Finally, open the Total Calendar tab.

The Total Calendar tab gives you an overview of the total calendar and lets you fix the settings for it.

When you open this dialog box, the current three months are displayed.

With the help of these buttons you can scroll back/forward one year, three months or one month.

On the calendar sheets a special color is assigned to each day. The color depends on the day/week profile assigned to the day. The color mapping works as follows:

The program checks the settings for each day according to the Evalutation order (1 to 4). From the combo box (Select) you can select a day or a week profile for each item (1 to 4).

First, the program checks the entry in the field 1) Standard week profile (always valid). The week profile selected here is used as the default week profile for the total calendar.

From the combo box 2) Day profile for marked days, annually repeated you can select a different day profile for special days marked by the mouse. (To mark several days, press the Shift key.) The day profile you select here is valid for all days of the selected day and month date. Example: You mark the 24.12.2001 and select the day profile "<No Work>" for item 2). Then each 24.12. will be a workfree day.

From the combo box 3) Week profile in the marked range you can select a different week profile for the marked interval. This function allows you, for example, to define special working times for certain weeks.

From the combo box 4) Day profile in the marked range you can select a different day profile for all days in the marked interval. This day profile is valid only in the marked range, not for all of the same days of the selected day and month date.

The entry "<Unchanged>" for item (1 to 4) means that no special setting has been made for the marked range so that the standard week profile and the further settings will be valid for the marked range.

You can insert or remove holidays in/from your calendar in the following way: To add the holidays of a particular state select a year and the state and click on the Insert button. Then all holidays of the selected state in the selected year will be attributed as "<No Work>". You can insert the holidays of several states and/or several years one after the other.

If you want to remove holidays, select a year and a state and click on the Remove button. Then the attribute "<No Work>" will be removed from all holidays of the selected state in the specified year. Please note that this action will remove the "<No Work>" attribute from the holidays of other states and from individually specified holidays too. If necessary, these holidays have to be inserted again.


The "File" menu

A project in GRANEDA Dynamic consists of two files: a project data file (project.mpx, project.csv, project.pra, project.pre, etc.) with your application data (project data) and a graphics specification file (project.gsp) with instructions on the visualisation of the application data, such as:

  • Node appearance

  • Activity grouping

  • Positions of the nodes in the network chart

  • Texts, graphics and legend in the header and footer areas

  • Arrangement of the branches in the tree chart

  • whether summary tasks are displayed or hidden.

The graphics specification file of an active project is created the first time the project is saved and stored in the GSP directory. It is overwritten when you select Save All or Save Graphics Specification (As), but not when you select Save Project Data (As).

You can visualise your project data in GRANEDA Dynamic by opening either the associated project data file or a corresponding graphics specification file.

Create New Project

You will reach the Windows dialog box Create New Project where you can select the graphics specification you want to use to visualise your data. The appropriate interface and file extension are indicated. When you click on OK to quit the dialog box a new project data file with the selected graphics specification is created.

Open Project

This option opens the Open Project dialog box where you can select either a project data file (*.mpx, *.pra, *.pre, *.csv, *.pj, *.gra, .grf) or a graphics specification file (*.gsp). If you open a project data file, where possible your project data will be displayed using the GSP file with the same name as the project data file (e.g. project1.pra with project1.gsp). If such a GSP file does not exist, it will be automatically created. You can also open a project data file with a different graphics specification than the one selected by default or, vice versa, you can open a graphics specification with a different project data file than the one selected by default.

Close Project

Closes the active project. If you have altered the project data and/or the graphics specification you will be asked whether you want to save the modifications to the graphics specification file and, if applicable, the project data file. If you answer "Yes", all modifications will be saved and the project closed. If you answer "No", you will quit the project without saving the project data file and graphics specification file. If you select the "Cancel" option, the project will neither be closed nor saved.

Save All

Saves both the project data file and the graphics specification file of the active project under their current name.

Save Project Data

(not available for databases) Saves the project data of the active project only under the current project name. The graphics specification (project.gsp) is not saved.

Save Project Data As

You will reach the Windows dialog box Save Project Data As where you can save the project data of the active project under the current or a different name. The project file type is fixed. The graphics specification (project.gsp) is not saved.

Save Graphics Specification

Saves to the file project.gsp all modifications you have made to the type of visualisation. The project data is not saved.

Save Graphics Specification As

You will reach the Windows dialog box Save graphics specification where you can save all modifications you have made to the visualisation of the active project. You can save the graphics specification of the active project under the current or a different name but only in *.gsp format. The project data is not saved.

Create Graphics Specification

You will reach the Create Graphics Specification dialog box where you can create a new graphics specification. The file type is preset to "Graphics specifications (*.gsp)". Select the name of a graphics specification from the list or type a new name.

Delete Graphics Specification

You will reach the Windows dialog box Delete Graphics Specification. You can delete any graphics specification except for the one currently open. All visualisation instructions contained in the graphics specification, for both the active project and all other projects to which the appropriate GSP is assigned, are deleted. If you delete the graphics specification (project.gsp) assigned to the active project (project.*) the next time you open and subsequently save that project a new graphics specification (project.gsp) will be created and saved to the graphics specification directory.

Page Setup

You will reach the Page Setup dialog box where you can define the printer output for the active diagram. The entries you make are specific for the diagram type.

Print Preview

You will reach the GRANEDA Dynamic Print Preview. The diagram is displayed on the screen as specified in the Page Setup dialog box.

Printer Setup

You will reach the Windows dialog box Printer Setup where you can select a printer, choose between portrait and landscape format, specify the paper size and feed and modify further printer options.

Print

You will reach the Windows dialog box Print where you can select a printer, the print range, number of copies or, if desired, elect to print the diagram to a file. Click on the Properties button to modify the properties of the selected printer. Once complete, you can start the print procedure.

Export Graphics

You will reach the Windows dialog box Save As where you can save the diagram that is currently active in the GRANEDA Dynamic window in one of the following formats:

  • BMP (*.BMP)

  • Encapsulated Postscript (*.EPS)

  • GIF (*.GIF)

  • JPEG (*.JPG)

  • MS Paint (*.PCX)

  • PNG (*.PNG)

  • TIFF (*.TIF)

  • Viewer Metafile (*.VMF)

  • Windows Metafile (*.WMF)

VMF is a graphics format which was especially developed for NETRONIC's own WebViewer (in Java). The VMF format allows your diagrams to be downloaded to any client via the intranet/internet and viewed, zoomed or moved in a browser.

1 ... 9

Up to the last nine files opened are listed and can be reopened simply by left-clicking on them. The files can be either graphics specification files or project data files.

You can fix the maximum number of files indicated in the Edit Settings (Standard) dialog box.

Exit

Quits GRANEDA Dynamic. If a project is still open and if you have modified specification components, you will be asked whether you want to save your modifications in the current graphics specification (GSP) and in the current interface template (IFT) or not. If you don´t want to save the modifications, you can easily cancel all of them when you close the program.


The "Create New Project" dialog box

In this dialog box you can create a new project and select the graphics specification file you want to assign to the project.

Graphics specification

From the list select the graphics specification file you want to assign to the new project. The graphics specification regulates the visualisation of the new project. It contains a reference to the interface template used and the file extension.

Interface template

The chosen graphics specification regulates the interface template used (IFT). The interface template defines which data fields are offered for the graphical representation of your data. In addition, specification components are saved in the interface template.

File extension

The chosen graphics specification regulates the file extension. Valid formats are *.MPX, *.PRA, *.PRE, *.CSV.

OK

Click on OK to create the new project.

Cancel

Quits the dialog box without creating a new project.


The "Open Project" dialog box

In the Open Project dialog box select the project you want to open. In GRANEDA Dynamic each project is assigned a project data file (*.mpx, *.mpp, *.pra, *.pre, *.csv, *.pj, *.gra, *.grf) and a graphics specification file (*.gsp). The GSP files contain instructions for the visualisation of the project data and a link to a project data file.

First select the file type (Files of type). There are two alternatives to choose from:

Option 1: You select for the Files of type option "Graphics specifications". You can then select a graphics specification file from the display window. The chosen file is indicated in the GSP file field. The project data file linked to the chosen GSP file is automatically indicated in the Data file field.

Option 2: You select a specific project data type for the Files of type option (*.mpx, *.mpp, *.pra, *.pre, *.csv, *.pj, *.gra, *.grf). You can then select a project data file of the chosen type from the display window. The chosen file is indicated in the Data file field. The GSP file linked to the chosen project data file is automatically indicated in the GSP file field. (GRANEDA Dynamic uses either the GSP file with the same name as the project data file or creates a new GSP file for the project data file from a standard GSP.)

GSP file

Indicates the graphics specification file assigned to the project.

1st case: If you have selected the file type "Graphics specifications (*.gsp)", this field indicates the selected graphics specification file.

2nd case: If you have selected a specific project data type for the Files of type option and a project data file for the Data file option, this field indicates the GSP linked to the selected project data file.

Click on the Edit button next to the GSP file field to choose a different graphics specification to the one selected automatically. You will reach the Windows dialog box Open graphics specification where you can select any suitable graphics specification. Your project data will then be visualised using the graphics specification selected there.

Data file

Indicates the project data file with the data to be visualised.

1st case: If you have selected the file type "Graphics specifications", this field indicates the project data file or database linked to the selected graphics specification file.

2nd case: If you have selected a specific project data type for the Files of type option, this field indicates the selected project data file.

Files of type

Select the type of file to be opened. You can select a project data file or a graphics specification file (GSP).

If you select the project data type *.mpp and if GRANEDA Dynamic finds a suitable graphics specification, Microsoft Project will be started direct with that *.mpp file. If you modify the project data in GRANEDA Dynamic and then select the Save Project As option in the File menu, you can choose whether the project is saved in *.mpp or *.mpx format.

  • Save file in *.mpp format: The opened *.mpp file is overwritten. Naturally, you can also save the project under a new name in *.mpp file format.

  • Save file in *.mpx format: The link to Microsoft Project is interrupted and not further data is exchanged. Microsoft Project remains open. The *.mpx file to which you have saved your project can be reopened in Microsoft Project.

Preselection

Select a filter to restrict the project data to be displayed. If <All tasks> is selected, the project data will not be restricted; all activities will be displayed.

To restrict the activities to be displayed when the project is open, select a suitable filter from the list.

If you cannot find a suitable filter, click on the Edit button to reach the Administrate Filters dialog box from where you can edit, copy, add or delete filters.

Open

Opens the project with the selected project data and graphics specification.

Cancel

Quits the dialog box without opening the selected file.


The "Actualizing specification components" dialog box

This dialog box appears when a project is opened and the program detects that the GSP to be opened contains one or more specification component(s) that are not identical with the specification components of the same name in the interface template (IFT).

A specification component of your GSP may differ from the specification component of the same name in the interface template (IFT)

  • if an holder of a Professional licence has modified a specification component in a GSP (e.g. a node highlight in the Specify Node Appearance dialog box) and set the Storage option to "Template" to save the modified specification component in the IFT.

  • or if you have changed the Storage option for a specification component from "Template" to "Local" in the active graphics specification and then modified the specification component.

Each time you open a project, GRANEDA Dynamic compares the specification components of the GSP you want to open with the specification components in the interface template (IFT). If the system finds a specification component with the same name but different attributes the Actualizing specification components dialog box appears.

For each specification component of your GSP you can specify whether you want it to be overwritten (updated) by the specification component of the same name from the IFT.

It makes sense to update the specification components in order to warrant a company-wide standard for these elements.

However, if you do not wish to update one or more specification components because you want to continue to use your current settings, it is recommended to rename the specification component(s) in question. To do so, in this dialog box deactivate the control boxes of all the specification components you do not want to update and open the graphics specification. Then go to the appropriate management dialog boxes (e.g. Specify Node Appearance) and rename the specification components you did not update.

Check all elements

Click on this button to select all specification components for the update procedure. All boxes in the Marked column will be ticked.

Uncheck all elements

Click on this button to not select any specification component for the update procedure. Any ticks in the boxes in the Marked column will be removed.

Marked

Tick this box for each specification component you want to transfer from the interface template.

Diagram Type

Indicates the diagram type (network, tree, Gantt) of each specification component in your GSP that differs from the interface template.

Only the modified specification components of the active diagram type are displayed. Network and tree charts are always compared as one.

Component Type

Indicates the type of each specification component in your GSP that differs from the interface template (e.g. node highlight, layer, timescale, table).

Component Name

Indicates the name of each specification component in your GSP that differs from the interface template.

OK

Click on OK when you have selected the specification components you want to update. All specification components in your graphics specification you selected for updating are then overwritten by the specification components from the interface template. All specification components in your graphics specification that were not selected for updating remain unchanged and are assigned the status "Local" since they differ from the template.

Cancel opening

Click on this button if you do not want to open the selected graphics specification yet, e.g. in order to check which specification components, if any, you want to transfer.


The "Create Graphics Specification" dialog box

In this dialog box you can create a new, empty graphics specification.

GSP file

Enter the name of the graphics specification you want to create. The list shows the names of existing graphics specification files. If you wish, you can select one of these files and modify it. If you specify the name of an existing graphics specification file, you will be asked whether you want to replace the existing graphics specification file by the current one.

Save as type

The file type is preset to "Graphics specifications (*.gsp)".

Data file

Select the project data file you want to assign to the new graphics specification.

Click on the Edit button to reach the Windows dialog box Open Project Data where you can select a project data file for the graphics specification.

Template

Select the interface template for the new graphics specification. If you have specified an existing graphics specification in the GSP file field, the corresponding interface template is indicated automatically.

Save

Click on this button to create and save the new graphics specification. A message will appear confirming that the new graphics specification has been created and you will be asked if you want to open it direct.

Cancel

Quits the dialog box without creating a new graphics specification.


The "Open Graphics Specification" dialog box

This dialog box appears after you have created a new graphics specification.

Views

Select whether the new graphics specification should be opened and, if so, in which view types (Network diagram, Tree diagram, Gantt diagram). You must choose at least one type of view.


The "Page Setup" dialog box (Net and tree charts)

This dialog box lets you set up the page for net and tree charts. The settings for the page setup and for the printer setup are saved together in the actual graphics specification.

Reduce/Expand

This field lets you set a scaling factor to your output. 100% is equivalent to the original size; a smaller value correspondingly reduces the size of the diagram, a greater value increases the size of the diagram.

Fit to page

If you select this option, you can specify the maximum number of pages, both width-wise and height-wise, into which the diagram may be split for the output. If necessary, one of the two values may be ignored in order to print the diagram as large as possible while preventing it from being distorted.

Frame outside

If you tick this box, each page will be given a frame. When the Do not split any nodes/Repeat title check box has been ticked, a frame will be drawn around the whole diagram.

Do not split any nodes/Repeat title

By ticking this checkbox nodes of a diagram that was partitioned into pages will not be split. If a title and legend exist, they will be added to each page.

Suppress empty pages

Only activated if Do not split any nodes/Repeat title has been ticked. If you activate this check box, empty pages will not be output.

Add cutting marks

Only activated if you have opted to output the diagram on more than a single page and if the check box Do not split any nodes/Repeat title has not been ticked. If you tick this checkbox, cutting marks will be printed on the edges of the diagram that help mounting the pages printed.

Page numbers

If you tick this check box, a page number will be displayed in the bottom left-hand corner of each page.

Additional text

Please tick this check box to set a text into the bottom left-hand corner of each page. If there is a page number, the additional text will be placed right of it.

Print date

If you tick this check box, the date of printing will be printed in the bottom left corner. If there is a page number or an additional text, the print date will be placed right of them.

Margins

The fields Top, Botttom, Left and Right let you set the margin between the diagram and the edge of the paper sheet (unit: cm). Minimum margins existing for technical reasons cannot be overridden by the values entered here. Printers that by default print minimum margins will add the values entered here to the default minimum margins, thus resulting in broader margins than visible in these settings.

Color print

If you select this option, the diagram will be printed in color, provided your printer supports color printing.

Gray shades print

Colors will be printed in corresponding gray shades, provided your printer supports gray shades printing.

Black and white print

All node frames, texts and lines that are not of white color will be printed in black.

Alignment

(only active when the diagram is output on one page.) Select one of the radio buttons to set the alignment on the paper sheet.

OK

The modifications will be saved and you will quit the dialog box.

Cancel

You will quit the dialog box without saving your settings.

Apply

Press the Apply button to display the settings you have made in the preview. You can still cancel them by clicking on the Cancel button. Your settings will be saved if you press OK.


The "Page Setup" dialog box (Gantt charts)

This dialog box lets you set up the page for Gantt charts.

The settings for the page setup and for the printer setup are saved together in the actual graphics specification.

Reduce/Expand

This field lets you set a scaling factor to your output. 100% is equivalent to the original size; a smaller value correspondingly reduces the size of the diagram, a greater value increases the size of the diagram.

Fit to page

If you select this option, you can specify the maximum number of pages, both width-wise and height-wise, into which the diagram may be split for the output. If necessary, one of the two values may be ignored in order to print the diagram as large as possible while preventing it from being distorted.

Frame outside

If you tick this box, each page will be given a frame. When the Repeat title/table/time scale check box has been ticked, a frame will be drawn around the whole diagram.

Repeat title/table/timescale

By ticking this checkbox title, table and timescale of a diagram that was partitioned into pages will be added to each page.

Add cutting marks

Only activated if you have opted to output the diagram on more than a single page and if the check box Repeat title/table/timescale has not been ticked. If you tick this checkbox, cutting marks will be printed on the edges of the diagram that help mounting the pages printed.

Page numbers

If you tick this check box, a page number will be displayed in the bottom left-hand corner of each page.

Additional text

Please tick this check box to set a text into the bottom left-hand corner of each page. If there is a page number, the additional text will be placed right of it.

Print date

If you tick this check box, the date of printing will be printed in the bottom left corner. If there is a page number or an additional text, the print date will be placed right of them.

Margins

The fields Top, Botttom, Left and Right let you set the margin between the diagram and the edge of the paper sheet (unit: cm). Minimum margins existing for technical reasons cannot be overridden by the values entered here. Printers that by default print minimum margins will add the values entered here to the default minimum margins, thus resulting in broader margins than visible in these settings.

Color print

If you select this option, the diagram will be printed in color, provided your printer supports color printing.

Gray shades print

Colors will be printed in corresponding gray shades, provided your printer supports gray shades printing.

Black and white print

All node frames, texts and lines that are not of white color will be printed in black.

Alignment

Only active when the diagram is output on one page. Select one of the radio buttons to set the alignment on the paper sheet.

OK

The modifications will be saved and you will quit the dialog box.

Cancel

You will quit the dialog box without saving your settings.

Apply

Press the Apply button to display the settings you have made in the preview. You can still cancel them by clicking on the Cancel button. Your settings will be saved if you press OK.


The "Page Preview" dialog box

Before printing, you can view the diagram by the page preview. You can view single pages or an overview of all reassembled pages.

You can zoom a section of your diagram interactively by dragging a rectangle around it via the mouse with the left mouse button pressed. As soon as you release the mouse button, the section framed will be enlarged. You can print the zoomed section by clicking on the Print area button.

Please note that the zooming factor will not influence the scaling factor set in the Page Setup dialog.

Close

By clicking on this button, you will leave the page preview and return to your diagram.

Previous

Only activated when the Single button has been pressed. If you have opted to print your diagram on more than one page in the Page Setup dialog box, you can press this button to view the previous page. You traverse the pages horizontally starting from the bottom right and finishing at the top left page.

Next

Only activated when the Single button has been pressed. If you have opted to print your diagram on more than one page in the Page Setup dialog box, you can press this button to view the next page. You traverse the pages horizontally starting from the top left and finishing at the bottom right page.

Single/Overview

If you have opted to print your diagram on more than one page in the Page Setup dialog box, you can view each single page. Click on the Single button to display the top left page on your screen in full size. Then you can move through the pages by the Next and Previous buttons. A page you can zoom from the overview by a double-click. A section you can zoom from a single page by drawing a rectangle via the left mouse button.

Fit to page

If you have opted to print your diagram on more than one page in the Page Setup dialog box, you can press this button to re-assemble the individual pages into a complete diagram for zooming purposes.

Page Setup

When clicking on this button, you will get to the dialog Page Setup to modify page settings.

Printer Setup

When clicking on this button, you will get to the Windows dialog Printer Setup, where you can modify printer settings.

Print/Print Area

Click on this button to reach the Windows Print dialog box to start the print procedure. If you press the Print area button for a section zoomed from the page preview, the Selection radio button will appear to be activated in the Windows Print dialog box. If you click on OK in the dialog box, the section displayed on the screen will be printed.


The "Edit" menu

Undo

Revokes the last action, e.g. a modification of data of of the layout. The name of the menu item changes to Undo: Not possible if the last action cannot be revoked, e.g. after a modification in an Edit dialog box.

Redo

Revokes the action of the menu item Undo.

Cut

Cuts selected nodes and links. (This option can only be used to cut links when the associated nodes are also cut.) Alternatively, you can use the key combination Ctrl + X or the Cut option in the context menu to cut objects.

Copy

Copies selected nodes and links. (This option can only be used to copy links when the associated nodes are also copied.) Alternatively, you can use the key combination Ctrl + C or the Copy option in the context menu to copy objects.

Paste

Pastes cut or copied objects (nodes and links). (This option can only be used to paste links when the associated nodes are also pasted.) Alternatively, you can use the key combination Ctrl + V or the Paste option in the context menu to paste objects.

Copied or cut objects are pasted with the Paste option as follows:

  • In the network chart the objects are pasted at the top edge of the diagram. (Or, if you used the Paste option in the context menu, the nodes will be pasted at the location where you right-clicked the mouse.)

  • In the tree chart you must select a node before you can paste an object. You can choose where the objects are pasted (In front, Behind, As First child, As Last child).

  • In the Gantt chart nodes are pasted in the row above the selected node. The chronological position of a copied or cut node is maintained.

Marking Mode

Use this option or the Marking Mode button in the toolbar ( [image]) to switch from creation mode to selection mode. The selection mode is the default mode in which you normally work and with which you can select, copy, delete and move objects (nodes and/or links). In the network chart you can also move nodes between groups, in the tree chart you can move branches and in the Gantt chart you can change the chronological position and length of layers.

Creation Mode

Use this option or the Creation Mode button in the toolbar ( [image] or [image]) you can switch from selection mode to creation mode. In creation mode you can create new activities and links. You can also move or mark nodes in this mode when the action is clear.

Mark all Nodes

Marks all existing nodes.

Mark by Filter

You can select nodes with the help of filters. Click on this option to reach the Mark by Filter dialog box where you can choose an appropriate filter (e.g. "Milestone"). Click on OK to confirm you choice. All activities that fulfil the criteria of the chosen filter will be selected.

Invert Marking

Marks all nodes currently not marked and demarks all nodes/links currently marked.

Go to Node

Opens the Go to Node dialog box that helps to find and select a specific node by its ID.

Edit Node

In all diagram types you can manipulate the data of an activity direct. To do so, select the node(s) you want to edit and select the Edit Node option. You will reach the Edit Node dialog box where you can modify the data of the selected node(s) one after the other.

Edit Link

Only available for network charts and Gantt charts. When you have selected a link, you can use this option to reach the Edit Link dialog box.

Delete Marked Objects

Select the nodes and/or links you want to delete and select the Delete Marked Objects option. When nodes are deleted, the associated links are automatically deleted as well. In the tree chart if a node with children is deleted the children are not deleted but appended to the parent of the deleted node.

Alternatively, you can use the Delete key to delete objects.


The "Mark by Filter" dialog box

Filter

Lists all existing filters. All activities that fulfil the criteria of the chosen filter will be selected.

OK

Click on OK to select all activities that fulfil the criteria of the chosen filter.

Cancel

Quits the dialog box without selecting any nodes.


The "Go to Node" dialog box

Node ID

Select a node by means of its ID. Click on OK to confirm your choice. The selected node will then be marked in the diagram and positioned in the centre of the screen.

OK

Click on OK to mark the selected node in the diagram.

Cancel

Quits the dialog box without selecting a node.


The "Edit Node" dialog box

In this dialog box you can check and edit the data of selected activities. You reach this dialog box in three different ways:

  • Double-click on the activity or, for Gantt charts, on the corresponding line in the table

  • Mark the activities and choose the Edit Node option in the Edit menu

  • Mark the activities with the right mouse button and choose the Edit Node option in the context menu.

The Edit Node dialog box shows the name of the nodes which you can modify in the Fields/Values table. In addition, the dialog box indicates which of the marked activities you are currently working on.

When you open the dialog box it shows the data fields and values of the node marked first. Use the navigation buttons to navigate from one activity to another.

In the tree chart, the activities appear in the order in which they are displayed in the tree structure.

Fields

This column lists all data fields used to describe the activity. Which data fields are available depends on the interface definition. If you have clicked on the Only show marked as 'visible' button, only those data fields are visible that are checked in the Visible column.

Values

In this column you can manipulate all values of the current activity direct:

  • You can edit values in text fields direct by clicking on the appropriate field.

  • You can edit values in numeric fields direct or with the help of the spin control ( [image]) that appears as soon as a numeric field is selected.

  • You can edit values in date fields by clicking on the appropriate date field. You can edit the date direct or you can click on the button ( [image]) to open the Date dialog box with a calendar of the current month (the current date is highlighted). Click the mouse to select a day from the month displayed; you can jump from month to month by clicking on the arrow buttons at the top of the calendar. If you click on "Today" the current date will be selected.

Visible

(only available with the Only show marked as 'visible' button) In the Visible column, check the data fields that are to be visible in this dialog box. Then click on the Only show marked as 'visible' button.

mark all fields as visible

(only available with the Only show marked as 'visible' button) Click on this button if you want all data fields to be visible in this dialog.

mark none as visible

(only available with the Only show marked as 'visible' button) Click on this button if you want no data field to be visible in this dialog.

Show first/previous/next/last node

These buttons help you to navigate in the nodes that were marked when you opened this dialog box.

Only show marked as 'visible'/Show all fields

Click on the Only show marked as 'visible' button to see only the data fields checked in the Visible column. The button text changes to Show all fields. As soon as you click on it, you will see all data fields again.

OK

Quits the dialog box and applies the settings you have made.

Cancel

Quits the dialog box without applying the settings you made since you opened the dialog box.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Link" dialog box

In this dialog box you can check and partially edit the data of a selected link.

From

Indicates the predecessor node of the selected link.

To

Indicates the successor node of the selected link.

Type

Indicates the type of link. Valid link types are:

  • Finish-Start (FS) (Default link type in GRANEDA Dynamic that is not annotated.)

  • Start-Start (SS)

  • Finish-Finish (FF)

  • Start-Finish (SF)

Lag

You can specify the time lag between the two activities. The unit used for the lag depends on your planning system.

OK

Click on OK to apply the modifications and quit the dialog box.

Cancel

Quits the dialog box without applying the modifications you have made since you opened the dialog box.


The "View" menu

Network Chart

Switches the network chart view on and off. The tick in front of Network Chart means that the project is currently displayed as a network chart and will also be displayed as a network chart the next time the project is opened. No tick means that the network chart view is switched off, i.e. your project is currently not displayed as a network chart and will not be displayed as a network chart the next time you open the project.

Tree Chart

Switches the tree chart view on and off. The tick in front of Tree Chart means that the project is currently displayed as a tree chart and will also be displayed as a tree chart the next time the project is opened. No tick means that the tree chart view is switched off, i.e. your project is currently not displayed as a tree chart and will not be displayed as a tree chart the next time you open the project.

Gantt Chart

Switches the Gantt chart view on and off. The tick in front of Gantt Chart means that the project is currently displayed as a Gantt chart and will also be displayed as a Gantt chart the next time the project is opened. No tick means that the Gantt chart view is switched off, i.e. your project is currently not displayed as a Gantt chart and will not be displayed as a Gantt chart the next time you open the project.

Toolbar

Switches the toolbar (located immediately below the menu bar) on and off. Frequently used options can be activated by clicking on the appropriate icon in the toolbar.

Status Bar

Switches the status bar (located at the bottom of the screen) on and off. It displays progress messages, short help texts and, if applicable, the node ID.

Edit Toolbar

Switches the Edit Toolbar (located below the Toolbar) on and off. In the Edit Toolbar you can specify/modify the text of the selected node field and select filters.

Complete View

Adjusts the size of the chart so that the whole diagram is always visible. The size of the diagram elements will be enlarged or reduced automatically.

Zoom In

Magnifies the diagram on the screen. The nodes/bars are enlarged by one zoom grade at a time. (The zoom grade is defined in the Edit Settings (Extended) dialog box.)

Zoom Out

Revokes a previously selected enlargement of the diagram. The nodes/bars are reduced by one zoom grade at a time.

Zoom to Marking

The marked nodes will be displayed in the centre of the screen, while the diagram is enlarged as far as possible.


The "Layout" menu (Net charts)

Optimize Node Layout

Optimizes the node arrangement after activities have been moved.

Optimize Link Layout

Optimizes the link layout after activities or links have been moved. The links are routed so that they cross as seldom as possible.

Perform Grouping/Remove Grouping

Groups and ungroups the activities. The activities are grouped by the criteria defined in the Edit Grouping dialog box.

Edit Grouping

You will reach the Edit Grouping dialog box where you can define the grouping criteria and layout.

The activities are grouped by the data field you specify under Group by field (= group code) in the Edit Grouping dialog box. The group titles are taken from the data field specified under Group titles by field or from the file specified under Group titles by file. Click on OK to quit the dialog box and group the activities.

Perform Time orientation/Remove Time orientation

Switches the time orientation of the activities on and off. The time orientation is performed by the criteria defined in the Edit Time Orientation dialog box.

Edit Time Orientation

You will reach the Edit Time Orientation dialog box where you can define the criteria for the time orientation and the layout of the time-oriented network chart.

When the time orientation option is activated, the nodes are arranged in chronological order in x direction. A date ribbon can be displayed above and/or below the diagram and vertical grid lines can be drawn to mark the time intervals. Click on OK to quit the Edit Time Orientation dialog box and perform the time orientation.

Build Subnet

(only activated when activities are selected) Reduces the diagram to a subnet consisting of the selected activities, the interface nodes (if activated) and the links to the interface nodes.

When a subnet is displayed, the entry "{Subnet}" is indicated in the Filter combo box in the edit bar. To return to the default view of all nodes and links, select the entry "<All Tasks>" in the Filter combo box or the Restore Full Net option in the Layout menu.

Restore Full Net

(only activated when a subnet is displayed) Restores the full net when a subnet has been displayed.

Compress Chart

Compresses the diagram by deleting all rows and columns that occur when activities are deleted or moved manually, for example.

Insert empty Cells

To insert a node between two tightly packed nodes you can first generate an empty row or column between the two nodes. To do so, select one of the nodes and use this option to insert and empty row or column to the left, right, above or below the selected node.

Header And Footer

You will reach the Header And Footer dialog box where you can define texts, graphics (e.g. company logos) or a legend for your diagram. The texts, graphics and legend can be positioned in nine fields above and below the diagram.


The "Layout" menu (Tree charts)

Rearrange Tree

Arranges the nodes according to the settings in the Edit Tree Layout dialog box. If the tree structure is changed, the nodes must be rearranged; it is not done automatically.

Edit Tree Layout

Opens the Edit Tree Layout dialog box where you can edit the settings for rearranging the active tree chart and then activate the rearrangement of the nodes.

Collapse

Collapses the subtrees under the selected nodes. The selected nodes then become root nodes that represent the hidden subtrees.

Expand

Expands the subtrees represented by the selected root nodes. Only the selected nodes are expanded. If there are further collapsed nodes in the underlying branches, they will remain collapsed.

Expand all

Expands all collapsed subtrees. With this option, all collapsed nodes in the underlying branches will also be expanded.

Arrange horizontally

Arranges the subtrees of the selected nodes horizontally, but only one level down. You can also use this option to revoke the vertical arrangement of nodes.

Arrange vertically

Arranges the subtrees below the selected nodes vertically, beginning with the highest node selected. A vertically arranged subtree does not contain any horizontally arranged branches.

Arrange all horizontally

Arranges all levels of the subtrees below the selected nodes horizontally.

Build Subtree

(only activated when at least one activity is selected) Reduces the diagram to a subtree consisting of the selected nodes and all underlying nodes.

Restore Full Tree

(only activated when a subtree is displayed) Restores the full tree.

Header and Footer

You will reach the Header And Footer dialog box where you can define texts, graphics (e.g. your company logo) or a legend for your diagram. The texts, graphics and legend can be positioned in nine fields above and below the diagram.


The "Layout" menu (Gantt charts)

Perform Grouping/Remove Grouping

Groups and ungroups the activities. The activities are grouped by the criteria defined in the Edit Grouping dialog box.

Edit Grouping

You will reach the Edit Grouping dialog box where you can define the grouping criteria and layout. The activities are grouped by the data field you specify under Group by field (= group code) in the Edit Grouping dialog box. The group titles are taken from the data field specified under Group titles by field or from the file specified under Group titles by file. Click on OK to quit the dialog box and group the activities.

Perform Sorting

Sorts the activities. The activities are sorted by the criteria defined in the Edit Sorting dialog box.

Edit Sorting

You will reach the Edit Sorting dialog box where you can define the criteria by which the activities should be sorted and the format of the horizontal separating lines in the diagram area.

Build Subdiagram

(only activated when at least one activity is selected) Reduces the diagram to a subdiagram consisting of the selected nodes.

Restore Full Diagram

(only activated when a subnet is displayed) Restores the full diagram when a subdiagram has been displayed.

Header And Footer

You will reach the Header And Footer dialog box where you can define texts, graphics (e.g. your company logo) or a legend for your diagram. The texts, graphics and legend can be positioned in nine fields above and below the diagram.


The "Edit Grouping" dialog box (Net charts)

In this dialog box you can define the grouping criteria and the visual appearance of the groups. To reach the Edit Grouping dialog box, select the Edit Grouping option in the Layout menu or double-click on a group title.

The activities are grouped by the data field you select for this purpose, the Group Code. All activities which have the same entry in the group code field form a group. The groups are separated from each other in the diagram by customised dividing lines. Group Titles, which are normally long-text versions of the group codes, are used to annotate the groups. The group titles may originate from a data field or file. We recommend using group titles from a file as you can individually assign the group titles to the group code values and modify them if required.

Group by field (= group code)

Specify the field by which the activities are to be grouped. The field you select is called the group code. All activities that have the same entry in the selected field form a group.

Group titles by field

Tick this box if you want the group titles to be taken from the specified data field. The data field does not necessarily have to be the same one as the group code (= the field by which the activities are grouped). However, to ensure the groups are given sensible titles, all activities bearing the same group code should have the same group title. (GRANEDA Dynamic always uses the title of the first activity of a group as the group title.)

Save in file

You can save the group titles to a file in order to use that file for the active project or a different project at a later date. Click on the Save as button to reach the Save group titles file dialog box where you can save the group titles to an existing or new file (*.txt). When you have saved the group title file, the by file box in the Edit Grouping dialog box is ticked and the selected file name is indicated.

Group titles by file

Tick this box if you want the group titles to be taken from the specified file (*.txt).

The group title file contains a row-by-row assignment of the group code values to the group titles. Each row must start with a group code value, followed by at least one blank and then the appropriate group title. If a group code value contains blanks or is empty, it must be delimited by double speech marks. If no group title is defined for a group code value, the group code value will be used as the group title in the diagram.

Browse

You will reach the Windows dialog box Choose group titles file where you can select the file from which the group titles should be taken.

Save

Click on this button to save the selected group title file.

Save as

You will reach the Save group titles file dialog box where you can save the selected group title file under a new name.

Group code/Group title

This table lists all valid group code values and the corresponding group titles. If you have activated the Group titles by file option and selected a file, you can modify the group code values and titles direct in the table. The buttons next to the Group code/Group title table (Append new line, Delete line, Move line up, Move line down) are then activated which you can use to add, delete or change the order of the rows. The order of the rows is only relevant if the Group sorting option is set to by order of the group titles in the list above.

Click on Save to save your modifications.

Group sorting

Specify whether the groups should be sorted and, if so, by which criteria. You can choose between the following alternatives:

  • none: The groups will not be sorted.

  • by field: Specify a field by which the groups are sorted and whether they should be sorted in ascending or descending order.

  • by order of the group titles in the list above (only activated if Group titles by file is selected): The groups will be sorted by the order of the group titles in the Group code/Group title list.

Border line

You will reach the Line Attributes dialog box where you can define the color, type and thickness of the lines used to frame the groups.

Font

Indicates the font style and font color used for the group annotation.

The Font color button opens the Color Picker where you can select the font color.

The Font style button opens the Windows dialog box Font.

OK

Quits the dialog box and applies the settings you have made since you opened the dialog box.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Grouping" dialog box (Gantt charts)

In this dialog box you can define the grouping criteria and the visual appearance of the groups. To reach the Edit Grouping dialog box, select the Edit Grouping option in the Layout menu.

The activities are grouped by the data field you select for this purpose, the group code. All activities which have the same entry in the group code field form a group. The groups are separated from each other in the diagram by customised dividing lines. Group titles, which are normally long-text versions of the group codes, are used to annotate the groups. The group titles may originate from a data field or file. We recommend using group titles from a file as you can individually assign the group titles to the group code values and modify them if required.

The preview shows all group titles in the format specified for the expanded group titles in the Edit Table dialog box.

Group by field (= group code)

Specify the field by which the activities are to be grouped. The field you select is called the group code. All activities that have the same entry in the selected field form a group.

All nodes of a group in one single line

Tick this box to display all nodes of an expanded group in one line. If any of the nodes in the group would overlap, extra lines may be created for them. This type of view generates an optimised, more transparent diagram. Links are not displayed.

Group titles by field

Tick this box if you want the group titles to be taken from the specified data field. The data field does not necessarily have to be the same one as the group code (= the field by which the activities are grouped). However, to ensure the groups are given sensible titles, all activities bearing the same group code should have the same group title. (GRANEDA Dynamic always uses the title of the first activity of a group as the group title.)

Save group titles in file

You can save the group titles to a file in order to use that file for the active project or a different project at a later date. Click on the Save as button to reach the Save group titles file dialog box where you can save the group titles to an existing or new file (*.txt). When you have saved the group title file the by file box in the Edit Grouping dialog box is ticked and the selected file name is indicated.

Group titles by file

Tick this box if you want the group titles to be taken from the specified file (*.txt).

The group title file contains a row-by-row assignment of the group code values to the group titles. Each row must start with a group code value, followed by at least one blank and then the appropriate group title. If a group code value contains blanks or is empty, it must be delimited by double speech marks. If no group title is defined for a group code value, the group code value will be used as the group title in the diagram.

Browse

You will reach the Windows dialog box Select group title file where you can select the file from which the group titles should be taken.

Save

Click on this button to save the selected group title file.

Save As

You will reach the Save group titles file dialog box where you can save the selected group title file under a new name.

Group Code/Group Title

This table lists all valid group code values and the corresponding group titles. If you have activated the Group titles by file option and selected a file, you can modify the group code values and titles direct in the table.

The buttons next to the Group code/Group title table (Append new line, Delete line, Move line up, Move line down) are then activated which you can use to add, delete or change the order of the rows. The order of the rows is only relevant if the Group sorting option is set to by order of the group titles in the list above.

Click on Save to save your modifications.

Group sorting

Specify whether the groups should be sorted and, if so, by which criteria. You can choose between the following alternatives:

  • none: The groups will not be sorted.

  • by field: Specify a field by which the groups are sorted and whether they should be sorted in ascending or descending order.

  • by order of the group titles in the list above (only activated if Group titles by file is selected): The groups will be sorted by the order of the group titles in the Group code/group title list.

OK

Quits the dialog box, applies the settings you have made since you opened the dialog box and performs the time orientation.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Time Orientation" dialog box

In this dialog you can define the criteria for the time orientation and the layout of the time-oriented network chart. To reach the Edit Time Orientation dialog box

  • double-click on the top or bottom date ribbon (with time orientation activated) or

  • select the Edit Time Orientation option in the Layout menu.

With a time-oriented network chart, the nodes are arranged in chronological order in x direction. The time-oriented arrangement is a grouping of the activities by time periods. You can define the lengths of the periods yourself, plus specify whether a date ribbon is displayed above and/or below the diagram and whether vertical grid lines are used to mark the intervals.

Date by field

Select the field by which the time orientation should be performed.

Interval

Specify the interval that defines a time period (e.g. 1 hour, 1 day, 2 months, 1 year).

Separation lines

Tick this box if you want to display vertical separating lines at the intervals specified under Interval. You can then click on the Line Attributes button to reach the Line Attributes dialog box where you can define the color and type of the lines.

Interval caption

Specify whether an annotated date ribbon is displayed at the top and/or at the bottom edge of the diagram.

Date format

Specify the date format for the annotation of the date ribbon(s).

Font

Indicates the active style and color of the font used for the annotation of the date ribbon(s).

The Font color button opens the Color Picker where you can select the font color.

The Font style button opens the Windows dialog box Font.

OK

Quits the dialog box and applies the settings you have made since you opened the dialog box.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Header and Footer" dialog box

You can define texts, graphics or a legend in the Header and Footer dialog box which can be reached in three different ways:

  • via the Header and Footer option in the Layout menu

  • by clicking on the appropriate button in the tool bar ( [image])

  • by double-clicking on the title or legend area in the diagram.

Possible positions

There are three areas above and six areas below the diagram which you can utilise for texts, graphics or a legend. Each of these areas is represented by a button in this dialog box. Click on one of the buttons above/below the diagram to reach the Specification of texts, graphics and legend dialog box.

OK

Applies the settings you have made to the header and footer areas since you opened the dialog box.

Cancel

Quits the dialog box without applying the settings you have made since you opened the dialog box.


The "Specification of texts, graphics and legend" dialog box

There are three areas above and six areas below the diagram which you can utilise for texts, graphics or a legend.

In the Header and Footer dialog box, click on one of the buttons above/below the diagram to reach the Specification of Texts, Graphics and Legend dialog box.

Or open this dialog box by double-clicking on the title or legend area in the diagram while the SHIFT key is pressed.

Type of contents

Click on the Empty, Text, Graphics or Legend flag to specify the type of information you want to display at the chosen location. The following options are available:

  • Empty: If you do not want to output a text, graphics or legend at the chosen location, click on the Empty flag.

  • Text: If you click on the Text flag, the six Text Lines will be activated.

  • Graphics: Click on the Graphics flag to display a graphic (e.g. your company logo) in BMP (bitmap), GMF (GRANEDA metafile) or WMF (Windows metafile) format at the chosen location. Graphics are always displayed in alignment centered.

  • Legend: Click on the Legend flag to display a legend above or below your diagram. The legend of Gantt charts will be output only in the print preview and in the printed diagram.

Following your selection, the sections of the dialog box that are not required are deactivated (all entries are maintained).

Graphics file

Only activated when the check box Graphics has been ticked. Select the graphics file you want to display by clicking on the Browse button or type the file name manually in the Graphics File field. If the selected graphics file is not stored in the GRANEDA Dynamic directory, you must also specify the drive and the directory.

Browse

Only activated when the check box Graphics has been ticked. Click on this button to reach the Open dialog box and select the drive, the directory and the name of the appropriate graphics file.

Lines of text

Only activated when the check box Text has been ticked. Specify the text (max. 6 lines) you want to display at the chosen diagram position and/or specify substitutes (e.g. &[company]) to represent project info. If all six lines are empty, the area will not be displayed in the diagram.

Alignment of Text

Only activated when the check box Text has been ticked. Specify whether the text lines should be output left-aligned, centred or right-aligned by ticking the appropriate box.

Font for all lines

Only activated when the check box Text has been ticked. You will reach the Font dialog box where you can specify the font attributes for all six lines. If you use this option to specify the font for all lines, the settings for the font for line 1...6 will be overwritten.

Font for line 1...6

Only activated when the check box Text has been ticked. To assign a different font to each of the six lines, click on this button. Depending on the line in which the cursor is currently positioned, the notation of this button will change to 1, 2, 3, 4, 5 or 6. You will reach the Font dialog box where you can specify the font attributes for each separate line.

Clear all texts

Only activated when the check box Text has been ticked. Click on this button to delete the contents of all six lines of text.

Project details

Only activated when the check box Text has been ticked. To insert a project detail, select the appropriate substitute from the list, e. g. the company name or the version number. Which project details are offered depends on the planning sytem you use. By using substitutes, you ensure that when the project info is updated, the new data will be automatically displayed in your diagram. To insert a project detail in one of the lines of text, select the appropriate substitute from the list and click on the Add button.

Add

Only activated when the check box Text has been ticked. When you have selected a project detail from the list, click on Add to confirm your choice. The project detail will be inserted in the line where the cursor is currently positioned.

OK

All modifications you have made since you opened the dialog box will be saved and you will return to the Header and Footer dialog box.

Cancel

You will leave the dialog box without saving the modifications you have made since you opened it.


The "Edit Sorting" dialog box

In this dialog box you can specify the order in which the activities are displayed in your Gantt chart.

1st, 2nd, 3rd Field

Specify the fields by which the nodes are to be sorted. You can sort the nodes by up to three fields, in ascending or descending order respectively.

Separation lines

Tick this box to display horizontal separating lines.

Every ... Lines

Specify after how many lines a horizontal separating line is drawn.

Line attributes

Click on this button to open the Line attributes dialog box where you can select the color and the type of the separating lines.

OK

Quits the dialog box and applies the settings you have made since you opened the dialog box.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Tree Layout" dialog box

In this dialog box you can preset options for the new layout of the active tree diagram.

Auto-arrange vertically at level

Specify the level as of which a tree chart is automatically arranged vertically. The levels are counted upwards from the lowest level. If more levels belong to a vertically arranged branch, the branch will be wrapped and a new branch will be created from the parent node.

Auto-collapse at level

Specify the level as of which a new tree chart is automatically collapsed. The levels are counted from the lowest level.

Wrapping of vertical branches

Tick this box to restrict the maximum height of the tree chart.

Maximum height of tree

Specify the maximum height of the tree chart (in rows). If necessary, vertical branches will be wrapped and new branches created at the parent node.

OK

Arranges the nodes according to the settings in this dialog box.

Cancel

If you click on Cancel, the settings you have made since you opened the dialog box will not be applied and the nodes will not be rearranged.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Options" menu (Net and Tree charts)

Specify Node Appearance

(only activated when a graphics specification is open) You will reach the Specify Node Appearance dialog box.

Administrate Filters

(only activated when a graphics specification is open) You will reach the Administrate Filters dialog box.

Administrate Node Annotations

(only activated when a graphics specification is open) You will reach the Administrate Node Annotations dialog box.

Edit Settings

You will each the Edit Settings dialog box.

Upgrade from Version 2.1

You will reach the Generating files for GRANEDA Dynamic 3.x from version 2.1 dialog box where you can generate files in *.gll, *.ifd or *.gdf format from GRANEDA Dynamic 2.1 into *.gsp or *.ift formatted files for Version 3.x.

Administrate ODBC Interfaces

You will reach the Administrate ODBC Interfaces dialog box where you can manage the ODBC interfaces and specify the ODBC interface that should be used when a database is opened.

Administrate IFT Elements

(only activated when no graphics specification is open) You will reach the Administrate IFT Elements dialog box.


The "Options" menu (Gantt charts)

Specify Time Scale

(only activated when a graphics specification is open) You will reach the Specify Time Scale dialog box.

Specify Date Lines

(only activated when a graphics specification is open) You will reach the Specify Date Lines dialog box where you can manage and edit date lines. Date lines are vertical lines used to highlight specific dates in your Gantt chart.

Specify Table

(only activated when a graphics specification is open) You will reach the Specify Table dialog box.

Specify Bar Appearance

(only activated when a graphics specification is open) You will reach the Specify Bar Appearance dialog box.

Specify Calendar

(only activated when a graphics specification is open) You will reach the Specify Calendar dialog box.

Administrate Filters

(only activated when a graphics specification is open) You will reach the Administrate Filters dialog box.

Edit Settings

You will each the Edit Settings dialog box.

Upgrade from Version 2.1

You will reach the Generating files for GRANEDA Dynamic 3.x from version 2.1 dialog box where you can generate files in *.gll, *.ifd or *.gdf format from GRANEDA Dynamic 2.1 into *.gsp or *.ift formatted files for Version 3.x.

Administrate ODBC Interfaces

You will reach the Administrate ODBC Interfaces dialog box where you can manage the ODBC interfaces and specify the ODBC interface that should be used when a database is opened.

Administrate IFT Elements

(only activated when no graphics specification is open) You will reach the Administrate IFT Elements dialog box.


The "Specify Node Appearance" dialog box

The node appearance is defined by using filters to dynamically assign one or more highlights to the nodes. Also, you can statically assign one further highlight to a selected node by marking the appropriate highlight with a red arrowhead in the Preview column.

The highlights contain the graphical node attributes (shape, background color, frame, etc.). In addition, for each highlight you can define an annotation and legend text as local attributes. The node appearance results from combining the attributes of all the highlights that apply to a particular node.

Highlights

Define one highlight per line in the table. To define a highlight you need to specify its Name, Node design, and Filter. In addition, the lines in the table offer the following information on each highlight:

  • whether the highlight is displayed in the preview window (Preview)

  • its Status (added, modified, added and modified, unchanged)

  • whether it is stored in the interface template or is just defined locally (i.e. for the current specification only) (Storage)

  • its Node annotation (stored locally only)

  • a Legend text (stored locally only)

Preview

All highlights marked by a small arrowhead in the Preview column are displayed and overlaid in the preview window.

1st case: If no node was selected when you opened the dialog box only the default highlight is marked in the Preview column and displayed in the preview window. In addition, the highlight on which the cursor is currently positioned is marked by a green arrowhead. If you now mark one or more highlights with red arrowheads in the Preview column, a node with all the selected highlights will appear in the preview window. This way, you can test possible combinations of highlights independent of the data of the existing nodes.

2nd case: If nodes were selected when you opened the dialog box all highlights whose filters apply to the first selected node and are dynamically assigned to that node are marked in the Preview column. In addition, you can statically assign (i.e. not via a filter) one further highlight to a node.

Dynamically assigned (data-driven via a filter) highlights are marked by a black arrowhead in the Preview column. Statically assigned (non-data-driven via a filter) highlights are marked by a red arrowhead in the Preview column and a grizzled Filter field.

You can use the arrow buttons above the preview window to browse through the selected nodes.

Name

Lists the names of all the highlights that are defined in the graphics specification. You cannot change the name of a highlight taken from the interface template, but you can change the name of a locally defined highlight.

Status

In the Status column each highlight that has been added and/or modified since the dialog box was opened is marked by a symbol:

added highlight

modified highlight

added and modified highlight

The Status field is empty for highlights that have not been modified/added.

Node design

Contains a representation of each highlight. To modify a highlight, click on the Edit highlight button above the table or double-click on the Node design entry to reach the Edit Node Design dialog box where you can modify the graphical attributes of the highlight.

Filter

The filter belonging to a highlight regulates which activities are assigned that highlight.

For most highlights you can select the filter of your choice. Only for the "Standard" highlight and a few predefined highlights such as "<Collapsed>" (for tree charts) and "<Interface>" (for network charts) the filter is fixed which you can tell by the entry "<always>", "<CollapsedNode>" or "<InterfaceNode>" in this column.

To assign a filter to a highlight, mark the Filter field. A button for a combo box listing all available filters and an Edit button will appear (not applicable for the default highlight that is always assigned and for the filters "<CollapsedNode>" and "<InterfaceNode>"). Either select a filter for the highlight in the combo box, or click on the Edit button to reach the Administrate Filters dialog box where you can edit, copy, define or delete a filter.

Since filters are specification components, any modifications you make to a filter in this dialog box are valid for the filter in general.

Storage

You can specify whether each highlight is stored in the interface template or locally (for the active graphics specification only). If you mark the Storage field, a combo box appears where you can toggle between the options "Template" and "Local".

All settings you make for a highlight for which you have chosen the option "Template" are saved to the interface template when you click on OK or Apply in this dialog box.

Once a highlight has been saved to the interface template it cannot be removed from there via this dialog box but only via the Administrate IFT Elements dialog box.

Node annotation

A node annotation defines the number, arrangement and format of the fields used to annotate a node in your network charts and tree charts. In the Node annotation column, select the node annotation for the appropriate highlight. To do so, first mark the Node annotation field. A button for a combo box listing all available node annotations and an Edit button will appear. Either select an annotation for the highlight in the combo box, or click on the Edit button to reach the Administrate Node Annotations dialog box where you can edit, copy, add or delete an annotation.

A node annotation is only assigned to a highlight locally and is not saved in the interface template.

Legend text

Define a legend text for the node highlight. The legend text is only stored locally and not saved to the interface template.

Add highlight

Adds a highlight to the graphics specification. You will reach the Add Highlight dialog box where you can either add a highlight from the interface template or define a new one locally.

Copy highlight

You will reach the Copy highlight dialog box where you can add a copy of the selected highlight to the graphics specification. When you click on Copy to quit the Copy highlight dialog box you will return to the Specify Node Appearance dialog box. The new highlight has been added to the list of existing highlights. However, it is only saved when you click on OK or Apply to leave the Specify Node Appearance dialog box.

Delete highlight

Deletes the selected highlight from the graphics specification but not from the interface template. The default specification cannot be deleted as it must always be available.

Edit highlight

You will reach the Edit Node Design dialog box.

Work off the highlight earlier / Work off the highlight later

If a node is assigned more than one highlight, the highlights are processed one after the other. The table lists the highlights according to their processing priorities. The default highlight is always at the top of the table as it is always applied and processed first. The highlight processed last is located at the bottom of the table.

If several highlights apply to a node, the attributes of each highlight are replaced by the attributes of the highlights that are processed later. Only the attributes whose value is "not specified" do not replace the attributes of their predecessors. Thus, the attributes of the highlight at the top of the table may be replaced by the attributes of all other highlights and the attributes of the highlight at the bottom of the table may replace the attributes of all other highlights.

You can use the Work off the highlight earlier and Work off the highlight later buttons to change the processing priority of a highlight:

The selected node will be moved up one position in the table and processed correspondingly earlier.

The selected node will be moved down one position in the table and processed correspondingly later.

Preview

Displays a node showing all highlights that are marked in the Preview column accounting for overlapping of the highlight attributes per the specified processing priorities. If nodes were selected when you opened the dialog box, the ID of the current node is indicated above the preview window.

You can use the arrow buttons above the preview window to move to the first, previous, next and last selected node.

OK

Quits the dialog box and applies the settings you have made.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Add [Specification Component]" dialog box

In this dialog box you can add specification components to a graphics specification (provided a graphics specification is open) or to the interface template (if no graphics specification is open).

The dialog box is the same for all specification components. Specification components are: node highlights, filters, node annotations, timescales, data date lines, layers, calendars and tables.

The same dialog is also used for adding timescale sections, although the from template option is deactivated in this case.

from template

(only activated when a graphics specification is open) Select this option to add a specification component from the interface template to the active graphics specification. The combo box lists all specification components stored in the interface template.

new

1st case: A graphics specification is open: Select the new option to add a new specification component that is not stored in the interface template to the active graphics specification. Type a name for the new specification component in the new field. If you specify a name that has already been used in the interface template or the graphics specification a warning will appear. The new specification component is only defined locally, i.e. only in the active graphics specification. If you want to append it to the interface template, click on OK to quit the Add [Specification Component] dialog box and change the Storage option for the new specification component to "Template" in the next higher management dialog box.

2nd case: No graphics specification is open and you have reached the Add [Specification Component] dialog box via the Administrate IFT Elements dialog box: The dialog box offers the new option only. You can generate a new specification component. This component will be added to the active interface template when you click on OK to quit the Administrate IFT Elements dialog box.

OK

Adds the selected/new specification component to the active graphics specification or interface template.

Cancel

Quits the dialog box without adding a specification component to the graphics specification or interface template.


The "Copy [Specification Component]" dialog box

In this dialog box you can copy specification components within a graphics specification (provided a graphics specification is open) or to the interface template (if no graphics specification is open).

The dialog box is the same for all specification components. Specification components are: node highlights, filters, node annotations, timescales, date lines, layers, calendars and tables.

The same dialog is also used for copying timescale sections.

From

Indicates the name of the specification component you want to copy.

To

Type a name for the copied specification component.

Copy

Generates a copy of the chosen specification component and adds it to the graphics specification.

Cancel

Quits the dialog box without generating a copy of the chosen specification component.


The "Edit Node Design" dialog box

To reach this dialog box click on the Edit highlight button above the Highlights table in the Specify Node Appearance dialog box. In the Edit Node Design dialog box you can modify the graphical attributes of the highlight selected in the next higher dialog box. The graphical attributes of a highlight may overlap the corresponding attributes of other highlights.

First, you should set the attributes of the "Standard" highlight as this is the default highlight that is assigned to all nodes. The attributes of all further highlights overlay the attributes of the default highlight if the filter of the appropriate highlight applies to a node.

The attributes of all highlights except for the default highlight can be defined as "<not specified>". Initially, all attributes of new highlights are not specified. If you define an attribute of a highlight as "<not specified>", the nodes to which that highlight applies will be assigned the value specified for that attribute in the preceding highlight in the Highlights table.

Example: The first two rows of the Highlights table in the Specify Node Appearance dialog box contain the highlights "Standard" and "Started". The attribute Background color is set to pale yellow for the "Standard" highlight and "<not specified>" for the "Started" highlight. The attributes of the "Started" highlight overlay the attributes of the "Standard" highlight. If the filter for the "Started" highlight applies to an activity, the background color of that node will be pale yellow in this example.

Node shape

From the combo box select the node shape for the nodes to which the current highlight applies.

Diagonal marking

Specifies the diagonal marking of the nodes to which the current highlight applies.

Frame

Specifies whether the nodes to which the current highlight applies are assigned a single or double frame.

3D effect

Specifies whether the nodes to which the current highlight applies are given a 3D effect or not.

Background color

Select the background color for the nodes to which the current highlight applies. You can define your own colors in addition to the ones suggested.

Line type

Select the line type for the frames of the nodes to which the current highlight applies.

Line color

Select the color for the frames of the nodes to which the current highlight applies. You can define your own colors in addition to the ones suggested.

Shadow

Specifies whether the nodes to which the current highlight applies are given a shadow or not. The Shadow and Pile effect attributes of a highlight should not be activated at the same time as a shadow will not be displayed if the Pile effect attribute is activated.

Shadow color

Specifies the color of the shadow or pile effect (if activated).

Pile effect

This attribute specifies the number of black shadows, if any, are displayed behind the nodes to which the current highlight applies. The Shadow and Pile effect attributes of a highlight should not be activated at the same time as a shadow will not be displayed if the Pile effect attribute is activated.

Preview window

Displays a node that shows the "Standard" highlight overlaid with the attributes of the current highlight.

OK

Quits the dialog box and applies the modifications you have made to the current highlight since you opened the dialog box.

Cancel

Quits the dialog box without applying the modifications you made since you opened the dialog box.


The "Administrate Filters" dialog box

Filters are specification components that are managed and modified in the Administrate Filters and Edit Filters dialog boxes. They are interface- and file type-dependent. Each filter contains conditions that specify which activities/links are selected, highlighted or displayed in your diagram. When you use a filter, GRANEDA Dynamic compares the information of each record with the criteria of the filter. Those activities and links are selected/highlighted/displayed that fulfil the filter criteria.

You can reach the Administrate Filters dialog box in the following ways:

  • via the Administrate Filters option in the Options menu,

  • by clicking on the Administrate filters button in the tool bar,

  • by selecting a Filter entry in the Specify Node Appearance or Specify Bar Appearance dialog box and then clicking on the Edit button in the selected field,

  • by clicking on the Edit button next to the Preselection field in the Open Project dialog box,

  • by clicking on the Edit button in the Adminstrate IFT Elements dialog box.

Name

Lists the names of all the filters that are defined in the graphics specification. You cannot change the name of a filter taken from the interface template, but you can change the name of a locally defined filter provided the filter is not already used for a different specification component in the graphics specification.

Status

In the Status column each filter that has been added and/or modified since the dialog box was opened is marked by a symbol:

added filter

modified filter

added and modified filter

The Status field is empty for filters that have not been modified/added.

Preview for filter condition

This column shows the criteria of each filter. The criteria cannot be edited here. To modify the filter criteria, click on the Edit filter button to reach the Edit Filter dialog box.

Storage

You can specify whether each filter is stored in the interface template or locally (for the active graphics specification only). If you mark the Storage field, a combo box appears where you can toggle between the options "Template" and "local".

All settings you make for a filter for which you have chosen the option "Template" are saved to the interface template when you click on OK or Apply in this dialog box.

Once a filter has been saved to the interface template it cannot be removed from there via this dialog box but only via the Administrate IFT Elements dialog box.

Add filter

Adds a filter to the graphics specification. You will reach the Add filter dialog box where you can either add a filter from the interface template or define a new one locally, i.e. in the active graphics specification.

There may be a name conflict when you add a local filter (new): If you define a new filter under the same name as a filter that is stored in the active interface template but not used in the active graphics specification the following message will appear: "Filter [name] already exists in the interface template. Do you want to create a local filter of the same name?"

  • If you click on "No", you can specify a different name for the new filter in the Add filter dialog box.

  • If you click on "Yes", the new filter will be saved locally under the specified name. If you save, close and then reopen the active graphics specification, the Actualizing specification components of *.gsp dialog box will appear listing all specification components whose contents differ from those in the interface template. You can now specify whether you want to update the locally defined filter of the same name as the one in the interface template. If you elect to update the local filter, it will be overwritten by the filter of the same name from the interface template. If you do not update the filter, it will remain in "local" storage.

Copy filter

You will reach the Copy Filter dialog box where you can add a copy of the selected filter to the graphics specification. When you click on Copy to quit the Copy Filter dialog box you will return to the Administrate Filters dialog box. The new filter has been added to the list of existing filters. However, it is only saved when you click on OK or Apply to leave the Administrate Filters dialog box.

Delete filter

Deletes the selected filter from the graphics specification but not from the interface template. You can only delete a filter from the interface template in the Administrate IFT Elements dialog box. Only those filters that are not being used in other specification components may be deleted.

Edit filter

You will reach the Edit Filter dialog box where you can modify the criteria defined for the selected filter.

OK

Quits the dialog box and applies the modifications you have made to the filters since you opened the dialog box.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Filter" dialog box

You will reach this dialog box after clicking on the Edit filter button or after double-clicking on a Preview for filter condition entry in the Administrate Filters dialog box. The head-line of this dialog box indicates the name of the current filter.

Add subcondition

Inserts a new line for a subcondition above the marked line.

Copy subcondition

Copies the marked subcondition.

Delete subcondition

Deletes the marked subcondition.

Evaluate subcondition earlier

If a filter consists of several subconditions, the subconditions are evaluated one after the other. The top subcondition in the table is evaluated first.

Click on the Evaluate subcondition earlier button to move the selected subcondition one position up in the table.

Evaluate subcondition later

Click on this button to move the selected subcondition one position down in the table.

Fieldname

This column shows the data field to be compared with the comparison value.

Operator

The operator compares the value of a data field with a comparison value.

Comparison value

This column shows the current comparison value. To change the value, specify an alternative entry.

The Comparison value select box lists all fields (in square brackets) that you can use as comparison fields. The type of comparison value must correspond to the type of information contained in the data field specified in the Fieldname column. For example, if the data field "Early Start" is specified in the Fieldname column, the comparison value can be a date (e. g. "01.01.2002") or a date field (e. g. "Early End") only.

Dates are entered in the format defined in the Input date format field in the Edit Settings (Standard) dialog box. If you have selected a date field in the Fieldname field, two arrow buttons will appear as soon as you click on this field. The first arrow button lets you open a combobox with all available data fields. The other arrow button opens a Date dialog box from which you can select a date via mouse-click. You can also edit the date direct.

Numeric values or texts must be typed manually into the Comparison value field.

And/Or

This column shows the logical connection of two subconditions in the table.

Choose the AND operator to connect the current subcondition and the next subcondition in the table to select those objects that fulfil both subconditions. Choose the OR operator to select objects that fulfil at least one of the subconditions.

If you have formulated several subconditions, linking them partly with AND and partly with OR, the AND links will be processed first. (AND links are stronger than OR links).

Compare hour/min

Activate this check box if the hours and minutes of a date are to be considered when dates are compared.

OK

You will leave the Edit Filter dialog and return to the Administrate Filters dialog.

Cancel

You will leave the dialog Edit Filter without storing your modifications.


The "Administrate Node Annotations" dialog box

Node annotations are specification components that are managed and modified in the Administrate Node Annotations and Edit Node Annotation dialog boxes. They define the number, arrangement and format of the fields that are used to annotate a node in your network charts and tree charts.

You can reach the Administrate Node Annotations dialog box in the following ways:

  • via the Administrate Node Annotations option in the Options menu,

  • by selecting a Node annotation entry in the Specify Node Appearance dialog box and then clicking on the Edit button in the selected field,

  • by clicking on the Edit button in the Adminstrate IFT Elements dialog box.

Preview

The node annotation marked by a small red triangle in this column is displayed in the preview window.

Name

Lists the names of all node annotations that are defined in the graphics specification. You cannot change the name of a node annotation taken from the interface template, but you can change the name of a locally defined node annotation provided the annotation is not already used for a highlight in the graphics specification.

Status

In the Status column each node annotation that has been added and/or modified since the dialog box was opened is marked by a symbol:

added node annotation

modified node annotation

added and modified node annotation

The Status field is empty for node annotations that have not been modified/added.

Storage

You can specify whether each node annotation is stored in the interface template or locally (for the active graphics specification only). If you mark the Storage field, a combo box appears where you can toggle between the options "Template" and "local".

All settings you make for a node annotation for which you have chosen the option "Template" are saved to the interface template when you click on OK or Apply in this dialog box.

Once a node annotation has been saved to the interface template it cannot be removed from there via this dialog box but only via the Administrate IFT Elements dialog box.

Add node annotation

Adds a node annotation to the graphics specification. You will reach the Add node annotation dialog box where you can either add a node annotation from the interface template or define a new one locally.

Copy node annotation

You will reach the Copy node annotation dialog box where you can add a copy of the selected node annotation to the graphics specification. When you click on Copy to quit the Copy node annotation dialog box you will return to the Administrate Node Annotations dialog box. The new node annotation has been added to the list of existing annotations. However, it is only saved when you click on OK or Apply to leave the Administrate Node Annotations dialog box.

Delete node annotation

Deletes the selected node annotation from the graphics specification but not from the interface template. Only those node annotations that are not being used may be deleted.

Edit node annotation

You will reach the Edit Node Annotation dialog box.

OK

Applies the modifications you have made to the node annotations since you opened the dialog box.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Node Annotation" dialog box

You can reach the Edit Node Annotation dialog box by selecting a Node annotation entry in the Administrate Node Annotations dialog box and then clicking on the Edit node annotation button in the selected field.

Exterior surrounding

Specify the exterior surrounding (in mm), i.e. the space that should be left between the nodes that have been assigned the current node annotation and their neighbouring nodes and the edge of the diagram. The default is 3 mm. With smaller values, the graphical elements may overlap. For this reason, a value less than 3 mm should be specified only in justified cases.

Type

Select the field type: text or graphics.

Data field

Select the data field whose content is to be displayed in the current field. For the type graphics the name of the graphics file to be displayed in the current field can be specified here.

If the content of a text data field does not fit into the current field, the excess will be cropped in the diagram.

Symbol file name

(only for the type graphics) Indicates the name and directory of the graphics file that will be displayed in the current field if no data field has been selected or no (valid) graphics file name has been specified.

To select a graphics file, click the button. Then the Windows dialog box Choose Graphics File will open.

Width

Specify the width for the selected field (in mm). The maximum width of a field is 99 mm. If the rows are split into two or more fields and the total widths of the rows vary, the width of the node will be proportionally adjusted to the widest row.

Height

(only for the type graphics) Specify the minimum height for the selected field (in mm). The maximum height is 99 mm

Line count

(only for the type text) Specify how many lines of text can be displayed in the current field. Each field can contain a maximum of nine lines of text.

Alignment

Specify the alignment of the text/graphics in the selected field.

Background color

Select the background color for the current node annotation. You can define your own colors in addition to the ones suggested. If you do not specify a background color, the background color specified for the node appearance will be applied.

Font

Indicates the active style and color of the font used for the node annotation.

The Color button opens the Color Picker.

The Font button opens the Windows dialog box Font.

Apply selected property to all fields

Applies the marked property to all fields.

Preview

The current node annotation is displayed in the preview window. If you click on a field in the preview window you can modify its attributes in the Fields table.

With the help of the buttons above the preview window you can add new fields or delete the marked field.

You also can use the DEL button to delete fields.

OK

Click on OK to store your modifications and display the nodes that have been assigned the current node annotation in the specified format.

Cancel

Quits the dialog box without applying the modifications you made since you opened the dialog box.


The "Specify Time Scale" dialog box

Time scales are specification components that can be added, copied or deleted in the Specify Time Scale dialog box. The time scale marked by a red arrowhead in the Time Scales table is displayed in the preview window. Click on OK or Apply to confirm your choice and assign the selected time scale to the active Gantt chart.

For each time scale you can define different sections with variable calibrations. This way you can, for example, display project phases you want to view in detail in a larger scale than the others. For each time scale section you can define different date ribbons of varying calibrations to annotate the time scale and specify their design. Further, you can specify whether grid lines and/or a calendar grid are displayed to mark the weekends and whether work-free periods are suppressed. This way, you can format and highlight the different phases of your project to your specific requirements.

Time Scales

Displays the various time scales offered. Use the buttons above the Time Scales table to add, copy or delete a time scale.

Preview

The time scale you mark with a small red triangle in this column will be used in the active diagram and displayed in the preview window. The row containing the selected time scale has a grey background.

Name (Time Scale)

Lists the names of all the time scales that are defined in the graphics specification. The time scales are defined either in the interface template or locally (for the active graphics specification only). You cannot change the name of a time scale taken from the interface template, but you can change the name of a locally defined time scale.

Status

In the Status column each time scale that has been added and/or modified since the dialog box was opened is marked by a symbol:

added time scale

modified time scale

added and modified time scale

The Status field is empty for time scales that have not been modified/added.

Storage

You can specify whether each time scale is stored in the interface template or locally (for the active graphics specification only). If you mark the Storage field, a combo box appears where you can toggle between the options "Template" and "Local".

All settings you make for a time scale for which you have chosen the option "Template" are saved to the interface template when you click on OK or Apply in this dialog box.

Once a time scale has been saved to the interface template it cannot be removed from there via this dialog box but only via the Administrate IFT Elements dialog box.

Add time scale

Adds a time scale to the graphics specification. You will reach the Add Time scale dialog box where you can either add a time scale from the interface template or define a new one locally.

Copy time scale

You will reach the Copy Time Scale dialog box where you can add a copy of the selected time scale to the graphics specification. When you click on Copy to quit the Copy Time Scale dialog box you will return to the Specify Time Scale dialog box. The new time scale has been added to the list of existing time scales. However, it is only saved when you click on OK or Apply to leave the Specify Time Scale dialog box.

Delete time scale

Deletes the selected time scale from the graphics specification but not from the interface template. A minimum of one time scale must be maintained.

Start/End

Indicates the start and end of the time scale. The start and end of the time scale are specified independently of the selected time scale as they are regulated by the project data. Consequently, they are not stored in the interface template but only locally.

If you tick the Auto box the start and/or end of the time scale will be automatically regulated by your project data when the GSP is loaded or you click on OK to quit the dialog box.

If you do not tick the Auto box for the Start and/or End of the time scale, you can modify the start/end date by marking a section of the date and then selecting a new value with the help of the cursor keys.

Click on the arrow button in the Start or End field to reach the Date dialog box.

The box highlights the selected date or, if no date is selected, the current date. Click the mouse to select a day from the month displayed. If you click on "Today" the current date will be selected. You can jump from month to month by clicking on the arrow buttons at the top of the calendar. If you click on the year, a set of arrow buttons appears with which you can move to the next or previous year.

The start and end of the time scale are correlated with one another so no date conflicts can occur. For example, you cannot specify a start date that is later than the end date.

Time Scale Sections

Displays the time scale sections defined for the selected time scale. You can modify, add, copy or delete time scale sections.

Add time scale section

Adds a time scale section to the graphics specification. You will reach the Add Time Scale Section dialog box. A new time scale section is appended at the end of the Time Scale Sections table, i.e. at the end of the time scale. Its start and end dates are automatically regulated by GRANEDA Dynamic. You can subsequently modify the start date if you wish.

Copy time scale section

You will reach the Copy Time Scale Section dialog box where you can generate a copy of the selected time scale section under a different name.

Delete time scale section

Deletes the selected time scale section from the time scale.

Edit time scale section

You will reach the Edit Time Scale Section dialog box.

Arrange time scale section earlier/later

Lists the time scale sections by their chronological order in the time scale. The time scale section with the earliest date is located at the top of the table.

The selected time scale section will be moved up one position in the table. Consequently it has an earlier position than the section it has swapped places with. The moved section is assigned the start and end dates of the exchanged section and vice versa.

The selected time scale section will be moved down one position in the table. Consequently it has a later position than the section it has swapped places with. The moved section is assigned the start and end dates of the exchanged section and vice versa.

Name (Time Scale Section)

Lists the names of all the time scale sections that are defined in the graphics specification. The time scale sections are defined either in the interface template or locally (for the active graphics specification only). You can modify the names of the time scale sections.

Start

Indicates the start of the time scale section. You can modify the start date by marking a section of the date and then selecting a new value with the help of the cursor keys.

Mark the Start field and then click on the arrow button in the Start field to reach the Date dialog box. The box shows the current month and the current date is highlighted. Click the mouse to select a day from the month displayed. You can jump from month to month by clicking on the arrow buttons at the top of the calendar.

The start date of the first time scale section cannot be modified because it is at the beginning of the time scale.

Width per Unit

This is the smallest unit into which the time scale is divided. The Width per Unit regulates the scale of a time scale section. It is specified in mm/day and can be varied in steps of 0.01 mm. The minimum width per unit is 0.01 mm.

Collapse Workfree Periods

Tick this box to collapse workfree days in the diagram. Only workdays are displayed. The setting you make here is transferred to the Edit Time Scale Section dialog box and vice versa.

Preview Window

Displays all settings you have made for the time scale in this dialog box. Click on the Zoom in and Zoom out buttons to pan in and out of the preview and the 1:1 button to restore the original size.

OK

Quits the dialog box and applies the settings you have made.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Time Scale Section" dialog box

You can divide the time scale into different sections and specify their number, range and scale. Project phases you want to plan in detail can be magnified against the others. For example, you can represent the activities of the near future in more detail than those further ahead or behind. This way you can concentrate on the project phases that interest you most, moving the focus with time as required or start with a general overview of your project and plan in more detail as the project progresses.

Width per Unit

Specify the width per unit for the selected time scale section. The new value is transferred to the Specify Time Scale dialog box and vice versa.

Collapse workfree periods

Tick this box to collapse workfree days in the diagram. Only workdays are displayed. The setting you make here is transferred to the Specify Time Scale dialog box and vice versa.

Time Ribbons

Time ribbons are used to annotate the time scale. Each section can be assigned several time ribbons (e.g. a month and day ribbon) that are stacked one under the other. For each time ribbon you can define the type, minimum height, major and minor ticks, color, font, date format, unit division and alignment of the annotation. In this table you can make all settings for each time ribbon assigned to the selected time scale section.

with 3D Effect

Tick this box to highlight the time ribbon with a 3D effect.

Type

Select the type of time ribbon, e.g. minutes, hours, days, etc. The type of time ribbon regulates the time unit for the major and minor ticks.

Minimal Height

Specify the minimum height of the time ribbon. Note: The actual height of the time ribbon may be greater than the value you specify depending on the other settings you make, e.g. the font you select.

Major ticks

Specify after how many time units a major tick (a large dash) is drawn. You can define the format of the major ticks in the Unit Separation field. The major ticks are annotated if enough space is available. (The time unit depends on the type of time ribbon.)

Minor ticks

Specify after how many time units a minor tick (a small, non-annotated dash) is drawn. (The time unit depends on the type of time ribbon.)

Color

Indicates the background color of the time ribbon. To change the color, click on the Color field of the relevant time ribbon and then on the arrow button to reach the Color dialog box.

Font

Indicates the current font style and font color of the time ribbon. Click on this field to modify the font attributes.

The Color button opens the Color Picker where you can select the font color.

The Style button opens the Windows dialog box Style.

Date format

Select the date format for the time ribbon from the combo box. The date format is combined from the following letters:

  • YY or YYYY (two- or four-digit year)

  • M or MM or MMM (one-, two- or three-digit month)

  • D or DD (one- or two-digit day)

  • hh (hours, 24-hour clock)

  • HH (hours, 12-hour clock)

  • mm (minutes)

  • ss (seconds)

  • TM (name of the month)

  • TW (name of the week)

  • TD (name of the day)

  • TH (suffix a.m. or p.m. for the hours)

  • WW (number of the week)

Which formats are valid depends on the type of time ribbon, e.g. you can select a number of different day-based formats for time ribbons of the type "Days" such as DD, D, TD, DD.MM, DD.MMM, DD.MM.YY, DD-MMM-YYYY or TD, DDMMMYY. You can edit the preset date formats if you wish.

Unit Separation

For the major ticks used to divide the time ribbon you can choose between three different formats: straight lines, ticks and no lines.

Alignment

For the alignment of the annotation of the major ticks you can choose between the following alternatives: Centered, Right, Left and At Ticks.

Add time ribbon

Adds a new time ribbon to the time scale section. The new time ribbon with the default settings is appended as the lowest time ribbon.

Copy time ribbon

Creates a copy of the selected time ribbon (including the appropriate settings) and appends it at the bottom of the table.

Delete time ribbon

Deletes the selected time ribbon.

Promote/Demote time ribbon

Click on the Demote time ribbon button to move the selected time ribbon down one position. Click on the Promote time ribbon button to move the selected time ribbon up one position.

Line Grid: display

Tick this box to display vertical lines at regular intervals in your diagram. The distance between the lines is regulated by the Interval entry.

Type

Select the type of grid, i.e. the time unit of the grid. Choose between minutes, hours, days, and so on.

Interval

Specify the interval between the grid lines.

Line Type (Line Grid)

You will reach the Line attributes of line grid dialog box where you can define the format of the grid lines.

Add line grid

Adds a new grid.

Copy line grid

Generates a copy of the selected grid.

Delete line grid

Deletes the selected grid.

Draw line grid earlier/later

If you have defined more than one grid, you can specify how they are stacked. The order of the grids in the table is the order in which they will be drawn in the diagram later.

The selected grid will be drawn later, i.e. it is moved one position towards the background in the diagram.

The selected grid will be drawn earlier, i.e. it is moved one position towards the front in the diagram.

Calendar Grid: display

Tick this box to highlight workfree periods with vertical colored bands.

Pattern

You will reach the Pattern attributes of calendar grid dialog box where you can select a pattern for the vertical colored bands of the calendar grid. Pale colors are recommended.

Line Type (Calendar Grid)

You will reach the Line attributes of calendar Grid dialog box where you can define the format of the border lines that mark the start and end of the workfree periods. Pale colors or no border lines are recommended.

Preview Window

Displays all settings you have made for the time ribbons, grid lines and calendar grid in this dialog box. Click on the Zoom in and Zoom Out buttons to pan in and out of the preview and the 1:1 button to restore the original size.

OK

Applies the settings you have made since you opened the dialog box.

Cancel

Quits the dialog box without applying the modifications you have made since you opened the dialog box.


The "Line attributes" dialog box

In this dialog box you can specify the line attributes for the current object (e.g. for the line grid or the calendar grid).

Preview

Displays the line appearance based on the current settings.

Type

Select the line type (dashed, dotted, etc.).

Thickness

Define the line thickness.

Color

Select the line color.

OK

Quits the dialog box and saves your modifications.

Cancel

Quits the dialog box without saving your modifications.


The "Pattern attributes" dialog box

In this dialog box you can specify the pattern attributes for the current object (e. g. for the calendar grid or for a layer).

Preview

Displays the pattern based on the current settings.

Pattern

Select a pattern.

Foreground

Select the foreground color of the pattern.

Background

Select the background color of the pattern.

OK

Quits the dialog box and saves your modifications.

Cancel

Quits the dialog box without saving your modifications.


The "Specify Date Lines" dialog box

Date lines (vertical lines in the diagram) let you highlight specific dates (the current date or any other date) in your diagram. Date lines are specification components that are managed and modified in the Specify Date Lines and Edit Date Line dialog boxes respectively. To reach the Specify Date Lines dialog box, select the Specify Date Lines option in the Options menu (for Gantt charts).

Date Lines

Lists all date lines.

Preview

In this column you can select the date lines you want to use for the active diagram. The currently used date lines are marked by a small red arrowhead and displayed in the preview window.

Name

Lists the names of all the date lines that are defined in the graphics specification. The date lines are either defined in the interface template or locally (for the active graphics specification only). You cannot change the name of a date line taken from the interface template, but you can change the name of a locally defined date line.

Status

In the Status column each date line that has been added and/or modified since the dialog box was opened is marked by a symbol:

added date line

modified date line

added and modified date line

The Status field is empty for date lines that have not been modified/added.

Storage

You can specify whether each date line is stored in the interface template or locally (for the active graphics specification only). If you mark the Storage field, a combo box appears where you can toggle between the options "Template" and "local".

All settings you make for a date line for which you have chosen the option "Template" are saved to the interface template when you click on OK or Apply in this dialog box.

Once a date line has been saved to the interface template it cannot be removed from there via this dialog box but only via the Administrate IFT Elements dialog box.

Text

The Text attribute is only stored locally and not in the interface template. You can specify a text that is displayed at the date line.

Today (dynamic)

The Today attribute is only stored locally and not in the interface template. Tick this box to display the current date at the date line. The Date field is deactivated.

Date

The Date attribute is only stored locally and not in the interface template. You can modify the date of the date line by marking a section of the date and then selecting a new value with the help of the cursor keys.

Alternatively, mark the row in the table containing the date line with the date you want to modify and click on the arrow button ( [image]). The date dialog box will appear where the selected date is highlighted. If no date is selected, the current date is highlighted. Click the mouse to select a day from the month displayed. You can jump from month to month by clicking on the arrow buttons at the top of the calendar. If you click on the name of the month, a combo box appears listing the names of all the months. If you click on the year, a set of arrow buttons appears with which you can move to the next or previous year. If you click on "Today" the current date will be selected.

Add date line

Adds a date line to the graphics specification. You will reach the Add Date Line dialog box where you can either add a date line from the interface template or define a new one locally.

Copy date line

You will reach the Copy Date Line dialog box where you can add a copy of the selected date line to the graphics specification. When you click on Copy to quit the Copy Date Line dialog box you will return to the Specify Date Lines dialog box. The new date line has been added to the list of existing date lines. However, it is only saved when you click on OK or Apply to leave Specify Date Lines dialog box.

Edit date line

You will reach the Edit Date Line dialog box.

Delete date line

Deletes the selected date line from the graphics specification but not from the interface template.

OK

Applies all the modifications you have made since you opened the dialog box.

Cancel

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Date Line" dialog box

In this dialog box you can modify the date line selected in the Specify Date Lines dialog box.

Type

Select the line type for the current date line.

Thickness

Select the thickness of the current date line.

Color

Select the color of the current date line.

Label position

Select the position at which a text should be displayed at the date line. If you do not want to display a text, tick the no label box. The no label box is ticked by default if no text is specified for the date line. If you specify a text for the date line and then leave the Text field, by default the text is displayed at the top right of the line. You can choose a different position for the text if you want.

Text

Specify the text you want to display at the date line. By default the Text field is empty. When you select a text position at the date line the name of the line is transferred to the Text field. You can modify the text if you wish.

Font

You will reach the Windows dialog box Font where you can define the font for the text at the date line.

OK

Quits the dialog box and applies the settings you have made.

Cancel

Quits the dialog box without applying the modifications you have made.


The "Specify Table" dialog box

This dialog box manages the tables offered in the active graphics specification. The table you mark with a red arrowhead in the Preview column will be used for the active diagram.

Tables

To define a table you need to specify its name and a number of attributes. The Tables table offers the following information on each table:

  • Whether the table is displayed in the preview window and assigned to the active diagram (Preview)

  • Its Name

  • Its Status (added, modified, added and modified, unchanged)

  • Whether it is stored in the interface template or is just defined locally (i.e. for the current graphics specification only) (Storage)

You can make further settings for each table by marking the appropriate table and clicking on the Edit table button.

Preview

Shows which table is displayed in the preview window and used in the active diagram. The current table is marked by a small red arrowhead.

Name

Lists the names of all the tables that are defined in the graphics specification. You cannot change the name of a table taken from the interface template, but you can change the name of a locally defined table.

Status

In the Status column each table that has been added and/or modified since the dialog box was opened is marked by a symbol:

added table

modified table

added and modified table

The Status field is empty for tables that have not been modified/added.

Storage

You can specify whether each table is stored in the interface template or locally (for the active graphics specification only). If you mark the Storage field, a combo box appears where you can toggle between the options "Template" and "local".

All settings you make for a table for which you have chosen the option "Template" are saved to the interface template when you click on OK or Apply in this dialog box.

Once a table has been saved to the interface template it cannot be removed from there via this dialog box but only via the Administrate IFT Elements dialog box.

Add table

Adds a table to the graphics specification. You will reach the Add table dialog box where you can either add a table from the interface template or define a new one locally.

Copy table

You will reach the Copy table dialog box where you can add a copy of the selected table to the graphics specification. When you click on Copy to quit the Copy table dialog box you will return to the Specify Table dialog box. The new table has been added to the list of existing tables. However, it is only saved when you click on OK or Apply to leave Specify Table dialog box.

Delete table

Deletes the selected table from the graphics specification but not from the interface template. The last table cannot be deleted as at least one table must be maintained.

Edit table

Click on this icon to modify the selected table. You will reach the Edit Table dialog box.

OK

Quits the dialog box and applies the modifications you have made since you opened the dialog box.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Table" dialog box

In this dialog box you can modify the table selected in the Specify Table dialog box (= active table).

Row Types

You can define the column design, content and format for rows of the types Column Titles, Grouping Titles and Basic Rows.

The active row type is highlighted by a red arrowhead in the preview.

Column Titles

The column titles are used for the table head. When the Column Titles option is activated you can define titles for the columns in the table under Column Structure, - Contents and - Format.

Grouping Titles

Grouping titles are used as headings for collapsed and expanded groups in the table. Usually the group title is displayed in the first column of a group title row while the other columns of the group title row are specified as filler fields.

In the Preview column under Grouping Titles you can specify whether you want to display the row types for the group titles of expanded and/or collapsed groups in the preview window.

When the Grouping Titles option is activated you can define titles for the expanded/collapsed groups under Column Structure, - Contents and - Format.

Basic Rows

Basic rows are all rows in the table that are neither title rows nor group rows. You can specify different types of basic row that are each defined by a Row Filter (e.g. "All tasks", "Started", "Completed").

In the Preview column under Basic Rows you can select the basic row types you want to display in the preview window.

When the Basic Rows option is activated you can specify the Column Structure, - Contents and - Format attributes for the basic row types in the table.

Edit Filter

When you click on a row in the basic row table a combo box appears from which you can choose a row filter for the selected row type. You can modify the row filter by clicking on the Edit button to reach the Administrate Filters dialog box.

Create new row type/Copy row type/Delete row type/Evaluate earlier/Evaluate later

Use the buttons above the Basic Rows table to manage the basic rows (i.e. to add, copy or delete row types or change the ranking of the row types).

In the Basic Rows table the row types are sorted by their ranking. If more than one row filter applies to an activity, the filter that is lower down the table is used. Use the Evalutate earlier and Evaluate later buttons to specify the positions of the row types in the basic rows list and thus their ranking.

The first row type is the default type. It is permanently assigned the "All tasks" filter and can neither be deleted nor can its ranking be changed.

Separation Lines: Horizontal

Tick this box to display horizontal separating lines between the rows in the table.

Separation Lines: Vertical

Tick this box to display vertical separating lines between the rows in the table.

Separation Lines: 3D

Tick this box to give the separating lines a 3D effect.

Column Structure, - Contents and - Format

Define the structure, content and format of the columns of the selected row type.

No.

Indicates the column number. The column numbers cannot be edited.

Width

Indicates the column width which you can edit if you wish. The width you specify here is valid for all row types of a table. The column width is only saved locally (in the active graphics specification only).

Heading Line 1/Heading Line 2

(For the row type Column Titles only) In these columns you can edit the contents of the first and second lines of the column headings.

Type of Content

(For the row types Grouping Titles and Basic Rows only) Select the type of content of each column in the table of the activated row type. There are three types of content to choose from:

  • Grouping Title (valid for the row type Grouping Titles only): If you select "Grouping Title", this field indicates either the data field selected in the Edit Grouping dialog box (Group titles by field) or the selected file (Group titles by file).

  • Data Field: If you select "Data Field", you can choose a data field under Content.

  • Filler Field: Filler fields are not filled with entries and their background colour is automatically the same as the background colour of the last preceeding non-filler field.

In grouping title rows the group title is normally displayed in the first column and all other columns are specified as filler fields.

Contents

(For the row types Grouping Titles and Basic Rows only) Indicates the content of each column in the table of the activated row type. With the row type Grouping Titles the data field selected in the Edit Grouping dialog box is indicated if Group titles by field was selected (e.g. "<Text2>"). If the option Group titles by file was selected, the selected file is indicated (e.g. "<C:\Dynamic\text1.txt>").

Alignment

Specify the alignment of the text in the active column of the selected row type.

Background

Select the background color of the active column of the selected row type. The background color of filler fields is always the same as the last preceeding non-filler field and consequently is non-definable.

Font

Click on this field to specify the style and color of the font used in the active column of the selected row type.

The Color button opens the Color Picker where you can select the font color.

The Font button opens the Windows dialog box Font.

Lines

Specify the number of text lines in each cell of the active column of the selected row type. You can choose between one to nine lines.

With the row type Column Titles this option is automatically set to "1" if Title Line 1 only is completed, or "2" if Title Line 1 and Title Line 2 are completed.

Spacing

If the cells of the active column of the selected row type contain more than one line of text you can use this option to specify the relative distance between the lines. 100% means the space left between two lines of text is equivalent to one text line.

Wrapping

Specify whether, if necessary, each cell of the active column of the selected row type should be wrapped or not.

Hor. Margins

Specify the width in mm of the horizontal margins for each cell of the active column of the selected row type.

Ver. Margins

Specify the width in mm of the vertical margins for the active column of the selected row type.

Apply Property To All Columns

Applies the marked graphical attribute to all columns of the selected row type.

Apply Contents To All Selected Row Types

(Only activated when the Type of Contents or Contents field is selected.) Click on this button to apply the settings made in the Type of Contents and Contents fields for the active row type to all row types of the selected category.

Create New Column

Adds a new column at the end of the table.

Copy Column

Adds a copy of the selected column to the end of the table.

Delete Column

Deletes the marked column in the table.

Move Column Left

Moves the selected column one position to the left.

Move Column Right

Moves the selected column one position to the right.

OK

Quits the dialog box and applies the modifications you have made to the filters since you opened the dialog box.

Cancel

Quits the dialog box without applying the modifications you made since you last clicked on Apply.


The "Specify Bar Appearance" dialog box

Activities in Gantt charts are represented by bars. The bar appearance is made up of one or several layers that are assigned to the activities dynamically via filters. Layers represent dates (symbol layers) or pairs of dates (rectangle layers or line layers) in graphical form. The dates are taken from the data fields you specify in the Edit Layer dialog box.

Layers comprise graphical attributes (shape, line color, pattern, etc.) and an annotation. In addition, they can be of different heights and vertically offset (against the horizontal center line of the bar) to ensure all layers assigned to an activity are visible.

If a bar is represented by more than one layer, the layers are drawn one after the other. In this case, the layers may overlap. The layer at the top of the Layer table is drawn first; the layer at the bottom of the Layer table is drawn last and may overlap the previously drawn layers. The stacking of all layers whose filters apply to an activity results in the bar appearance.

Layer

Define one layer per line in the table. To define a layer you need to specify its Name, Layer design and Filter. In addition, the lines in the table offer the following information on each layer:

  • Whether the layer is displayed in the preview window (Preview)

  • Its Status (added, modified, added and modified, unchanged)

  • Whether it is stored in the interface template or is just defined locally (i.e. for the current graphics specification only) (Storage)

  • Its Offset (vertical/horizontal) (offset against the horizontal centre line of the layer/against the date of the layer)

  • The Legend text plus its assignment to a Legend group (optional).

The attributes with a light-blue background (Offset, Legend text and the assignment to a Legend group) are not part of the specification component and therefore not stored in the interface template but only locally in the graphics specification. Consequently, the same layer can be used in different graphics specifications with varying offsets.

Preview

All layers marked by a small arrowhead in the Preview column are displayed in the preview window.

1st case: If no activity was selected when you opened the dialog box only the layer in the first row of the table is marked by a green arrowhead and displayed in the preview window (the green arrowhead marks the layer on which the cursor is currently positioned). If you now mark one or more layers with red arrowheads in the Preview column, the appropriate layers with their current settings will appear in the preview window. This way, you can test possible combinations of layers independent of the data of the existing activities.

2nd case: If activities were selected when you opened the dialog box all layers whose filters apply to the first selected activity and are dynamically assigned to that activity are marked in the Preview column (unlike node highlights, layers cannot be assigned statically). Dynamically assigned (data-driven via a filter) layers are marked by a black arrowhead in the Preview column.

You can use the arrow buttons above the preview window to browse through the selected activities.

Name

Lists the names of all layers that are defined in the graphics specification. You cannot change the name of a layer taken from the interface template, but you can change the name of a locally defined layer.

Status

In the Status column each layer that has been added and/or modified since the dialog box was opened is marked by a symbol:

added layer

modified layer

added and modified layer

The Status field is empty for layers that have not been modified/added.

Layer design

Contains a representation of each layer. To modify the design of a layer, click on the Edit layer button above the table or double-click on the Layer design entry to reach the Edit Layer dialog box where you can define the graphical attributes and annotation of the layer.

Filter

The filter belonging to a layer regulates which activities are assigned that layer. You can select the filter of your choice for all layers. To assign a filter to a layer, mark the Filter field. A button for a combo box listing all available filters and an Edit button will appear. Either select a filter for the layer in the combo box, or click on the Edit button in the Filter field to reach the Administrate Filters dialog box where you can edit, copy, define or delete a filter.

Storage

You can specify whether each layer is stored in the interface template or locally (for the active graphics specification only). If you mark the Storage field, a combo box appears where you can toggle between the options "Template" and "Local".

All settings you make for a layer for which you have chosen the option "Template" are saved to the interface template when you click on OK or Apply in this dialog box.

Once a layer has been saved to the interface template it cannot be removed from there via this dialog box but only via the Administrate IFT Elements dialog box.

Offset (vertical)

The vertical offset against horizontal centre line of the bar is given in millimetres. Positive values: the layer is shifted upwards, negative values: the layer is shifted downwards.

When you mark the Offset (vertical) field of a layer, two buttons appear with an arrow pointing upwards and downwards respectively ( [image]). You can use the arrow buttons to increase or decrease the vertical offset of the selected layer. The vertical offset of a layer is not part of the specification component and therefore is only stored locally in the graphics specification and not in the interface template.

Offset (horizontal)

When you mark the Offset (horizontal) field of a symbol layer, two buttons appear with an arrow pointing upwards and downwards respectively ( [image]). You can use the arrows to increase or decrease the horizontal offset against the layer date (-50 bis + 50 %). The horizontal offset of a layer is not part of the specification component and therefore is only stored locally in the graphics specification and not in the interface template.

Legend text

Define a legend text for the layer. The legend text is not part of the specification component and therefore is only stored locally in the graphics specification and not saved to the interface template.

Legend group

If you want to group the layers in the legend, use this option to select a legend group for each layer. GRANEDA Dynamic will automatically generate the number of new groups you need. For each layer you can then specify whether it is assigned to an existing legend group, a new legend group or to no legend group at all. The legend group is not part of the specification component and therefore is only stored locally in the graphics specification and not in the interface template.

The legend text of the first element in the legend group is used as the legend group title.

Add layer

Click on this button to define a new layer. You will reach the Add Layer dialog box where you can either add a layer from the interface template or define a new one locally. By default, an added layer that is defined locally is assigned the "<always>" filter.

Edit layer

You will reach the Edit Layer dialog box.

Copy layer

You will reach the Copy Layer dialog box where you can generate a copy of the selected layer under a new name. When you click on Copy to quit the Copy Layer dialog box you will return to the Specify Bar Appearance dialog box. The new layer has been added to the list of existing layers. However, it is only saved when you click on OK or Apply to leave the Specify Bar Appearance dialog box.

Delete layer

Deletes the selected layer from the graphics specification but not from the interface template.

Promote/Demote layer

If a node comprises more than one layer, the layers are stacked on top of one another. The top layer in the table is drawn first. The lower the position of a layer in the table, the more layers it overlaps, i.e. the order of the layers in the table is the order in which they will be drawn in the diagram.

The selected layer will be moved up one position in the table and one position towards the background in the diagram. The layer at the top of the table is overlapped by all other layers.

The selected layer will be moved down one position in the table and one position towards the front in the diagram. The layer at the bottom of the table overlaps all other layers.

Preview window

Displays all layers of the current activity, overlapped per the order in the Layer table and the specified offset. The ID of the current activity is indicated above the preview window.

If activities have been selected, you can use the arrow buttons above the preview window to move to the first, previous, next and last selected node.

OK

Quits the dialog box and applies the settings you have made.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Layer" dialog box

In this dialog box you can define the graphical attributes and annotation of the selected layer.

Shape

Select the shape of the layer from the list. You can choose between:

  • <Bitmap layer> (Specify the bitmap file in the Graphics file field.)

  • <invisible symbol> (The layer will be invisible. Only its annotation will be visible.)

  • Rectangle layer

  • wedge-shaped layers

  • Line layer

  • Various types of symbol layers.

Rectangle, wedge-shaped and line layers are used to show timespans. Wedge-shaped layers are useful for vizualising increasing and decreasing activities, e. g. during the project start or end. Symbol layers and bitmap layers are used to show specific points in time.

Start field

Select the date field to be used as the start date of the selected layer.

End field

Select the date field to be used as the end date of the selected layer. If you specify both an end date and a duration for a rectangle layer or line layer, the duration overrides the end date. However, following any interactions both the Duration field and the End field are updated.

Duration

Select the date field that regulates the duration of the selected layer.

If you specify both an end date and a duration for a rectangle layer or line layer, the duration overrides the end date.

In principle, a different duration can be defined for each layer of a graphics specification.

If duration fields are used to visualise and manipulate activities in the Gantt chart, they must all relate to the same time unit.

For planning systems with duration fields that do not contain a time unit, the relevant time unit, if other than the default "Days", must be specified in the Edit Settings (Extended) dialog box under Smallest time unit (Gantt diagram). The smallest time unit regulates the time unit used for the layer duration that is defined in the Edit Layer dialog box.

For planning systems with duration fields that contain a time unit (e.g. Microsoft Project), GRANEDA Dynamic checks whether the data of the duration fields used are based on the same time unit. If this is not the case, the system converts all data to the smallest time unit used. In addition, the smallest time unit used is transferred to the Smallest time unit field in the Edit Settings (Extended) dialog box (where it is only indicated, but cannot be modified). If necessary, the unit for the Smallest time interval in the Edit Settings (Standard) dialog box will also be adjusted.

Each duration is converted to the smallest time unit used to define the duration of a layer according to the following scheme:

  • 1 day = 8 hours

  • 1 week = 5 days

The conversion is initiated if a new data field is used for the duration of a layer (either when adding a layer that uses a new data field, from the interface template or if a new data field is used for the definition of the layer duration).

Note when writing the project data back to your planning system that the data may have been changed by the calculation of the duration in GRANEDA Dynamic.

Percent complete

(not activated for symbol and bitmap layers) If you want the current layer to display the percentage degree of completion of an activity, select the data field that contains the percentage degree of completion (in %) of the selected layer.

Line type

Indicates the line type used for the layer frame. Click on the Edit button to reach the Line attributes dialog box where you can define the line type, color and thickness of the layer frame.

Pattern

Indicates the layer pattern. Click on the Edit button to reach the Pattern attributes dialog box where you can define the pattern type and the background/foreground color of the layer.

Changeable

Specify whether the layer can be moved by dragging the mouse and if so, to what extent. As a result, the length of the layer may change. You can activate/deactivate three options:

  1. Layer start changeable

  2. Total layer changeable (i.e. start and end of the layer simultaneously)

  3. Layer end changeable

The options are activated when the buttons are depressed.

Example: In Fig. A all options are activated, in Fig. B only the options layer start and layer end changeable are activated but not the total layer changeable option.

Graphics file

(only activated, when for Shape the option <Bitmap layer> has been specified) Select a graphics file to visualize the layer. You can type the graphics file name direct or search the graphics file via the Browse button.

Height

Define the height of the layer in millimetres.

3D Effect

Tick the box to give the layers a 3D perspective.

Show workfree periods

Tick this box to highlight workfree periods. With box layers the workfree periods are marked by a straight line, with line layers the line is interrupted at the workfree periods.

Label field

Select the data field that contains the texts you want to use to annotate the layers.

Position

Select the position of the annotation in relation to the layer. You can choose between: Above, Left, Center, Right, Below.

Font

Indicates the active style and color of the font used for the layer annotation.

The Color button opens the Color Picker where you can select the font color.

The Font button opens the Windows dialog box Font.

Alignment

Specify the alignment of the layer annotation within the limits defined by the Position option. You can choose between left-aligned, centered and right-aligned.

Independent of layer width

Tick this box to allow the layer annotation to extend beyond the dimensions of the layer. If you do not tick this box, annotations above or below the layer will be restricted to the width of the layer. Annotations inside the layer are always limited to the width of the layer.

OK

Applies the modifications you have made since you opened the dialog box.

Cancel

Quits the dialog box without applying the modifications you made since you opened the dialog box.


The "Specify Calendar" dialog box

This dialog box manages the calendars offered in the active graphics specification. The calendar you mark with a red arrowhead in the Selected column will be used for the calendar grid of the active diagram.

Calendar

Define one calendar per line in the table. The lines in the table offer the following information on each calendar:

  • Whether the calendar is displayed in the preview window and used in the current graphics specification for the calendar grid (Selected)

  • Its Name

  • Its Status (added, modified, added and modified, unchanged)

  • Whether it is stored in the interface template or is just defined locally (i.e. for the current graphics specification only) (Storage)

Selected

The calendar marked by a small arrowhead in the Selected column is displayed in the preview window and used in the current graphics specification for the calendar grid.

Name

Lists the names of all calendars that are defined in the graphics specification. You cannot change the name of a calendar taken from the interface template, but you can change the name of a locally defined calendar.

Status

In the Status column each calendar that has been added and/or modified since the dialog box was opened is marked by a symbol:

added calendar

modified calendar

added and modified calendar

The Status field is empty for calendars that have not been modified/added.

Storage

You can specify whether each calendar is stored in the interface template or locally (for the active graphics specification only). If you mark the Storage field, a combo box appears where you can toggle between the options "Template" and "Local".

All settings you make for a calendar for which you have chosen the option "Template" are saved to the interface template when you click on OK or Apply in this dialog box.

Once a calendar has been saved to the interface template it cannot be removed from there via this dialog box but only via the Administrate IFT Elements dialog box.

Add calendar

Click on this button to define a new calendar. You will reach the Add Calendar dialog box where you can either add a calendar from the interface template (from template) or define a new one locally (new).

Edit calendar

You will reach the Edit Calendar dialog box.

Copy calendar

You will reach the Copy Calendar dialog box where you can generate a copy of the selected calendar under a new name. When you click on Copy to quit the Copy Calendar dialog box you will return to the Specify Calendar dialog box. The new calendar has been added to the list of existing calendars. However, it is only saved when you click on OK or Apply to leave the Specify Calendar dialog box.

Delete calendar

Deletes the selected calendar from the graphics specification but not from the interface template.

Preview

Displays the worktime and workfree intervals in accordance with the settings for the current calendar. Click on the Zoom in and Zoom out buttons to pan in and out of the preview and the 1:1 button to restore the original size.

OK

Quits the dialog box and applies the settings you have made.

Cancel/Close

Cancel quits the dialog box without applying the modifications you made since you last clicked on Apply. If you have made modifications and then click on Apply, the function of this button will change from Cancel to Close.

Apply

Only activated if you have made modifications to the settings in this dialog box. Saves your modifications without closing the dialog box.


The "Edit Calendar" dialog box (Day Profiles)

In this dialog box you can modify the calendar selected in the Specify Calendar dialog box. On the Day Profiles tab you can fix the settings for the day profiles. A day profile is defined by a number of working time intervals. You can define several day profiles to describe several types of days, e. g. workfree days, default working days, days with special shifts, days with reduced working time, etc.

The <No work> day profile is defined by default and does not have any working interval.

Name

Lists the names of all day profiles that are defined in the graphics specification. The names of all day profiles can be edited.

Color

For each day calendar select the color which is to be used on the Total Calendar tab for all days to which the current day profile applies. Please note that the color selected here is only valid for the Total Calendar tab but not for the diagram.

Start n

For each day profile specify the start of the n.th working time interval. You can edit the hour and minute data direct or set them via the buttons.

End n

For each day profile specify the end of the n.th working time interval. You can edit the hour or minute data direct or set them via the buttons.

Copy profile

Click on this button to copy the marked day profile.

Delete profile

Click on this button to delete the marked day profile.

OK

Quits the dialog box and applies the settings you have made.

Cancel

Quits the dialog box without applying the modifications you made.


The "Edit Calendar" dialog box (Week Profiles)

In this dialog box you can modify the calendar selected in the Specify Calendar dialog box. On the Week Profiles tab you can fix the settings for the week profiles. A week profile is defined by assigning a day profile to each day of the week (Monday to Sunday). You can define several week profiles to describe several types of weeks, e. g. five-day weeks, six-day weeks, holiday weeks, etc.

Name

Lists the names of all week profiles that are defined in the graphics specification. You can change the names of all week profiles.

Monday ... Sunday

This field indicates the day profile used for each week day. You can select any day profile that is specified on the Day Profiles tab. If for a certain day you use the same day profile as for the previous day, this will be displayed by a line that connects all days for which the same day profile is used.

You can specify the same day profile for several days of the week at once: Press the Shift button, mark the days and select the appropriate day profile from the combo box that appears at the last day of the week.

Copy profile

Click on this button to copy the marked week profile.

Delete profile

Click on this button to delete the marked week profile.

OK

Quits the dialog box and applies the settings you have made.

Cancel

Quits the dialog box without applying the modifications you made.


The "Edit Calendar" dialog box (Total Calendar)

In this dialog box you can modify the calendar selected in the Specify Calendar dialog box. The Total Calendar tab gives you an overview of the total calendar and lets you fix the settings for it.

When you open this dialog box, the current three months are displayed.

With the help of these buttons you can scroll back/forward one year, three months or one month.

Profiles

On the calendar sheets a special color is assigned to each day. The color depends on the day/week profile assigned to the day. The color mapping works as follows:

The program checks the settings for each day according to the Evalutation order (1 to 4). From the combo box (Select) you can select a day or a week profile for each item (1 to 4).

First, the program checks the entry in the field 1) Standard week profile (always valid). The week profile selected here is used as the default week profile for the total calendar.

From the combo box 2) Day profile for marked days, annually repeated you can select a different day profile for special days marked by the mouse. (To mark several days, press the Shift key.) The day profile you select here is valid for all days of the selected day and month date. Example: You mark the 24.12.2001 and for item 2) select the day profile "<No Work>". Then each 24.12. will be a workfree day.

From the combo box 3) Week profile in the marked range you can select a different week profile for the marked interval. This function allows you, for example, to define special working times for certain weeks.

From the combo box 4) Day profile in the marked range you can select a different day profile for all days in the marked interval. This day profile is valid only in the marked range, not for all of the same days of the selected day and month date.

The entry "<Unchanged>" for item (1 to 4) means that no special setting has been made for the marked range so that the standard week profile and the further settings will be valid for the marked range.

Range marked by mouse

The start and end dates of the range marked by the mouse are indicated here. (To mark several days, press the Shift key.)

Holidays

You can insert or remove holidays in/from your calendar in the following way: To add the holidays of a particular state select a year and the state and click on the Insert button. Then all holidays of the selected state in the selected year will be attributed as "<No Work>". You can insert the holidays of several states and/or several years one after the other.

If you want to remove holidays, select a year and a state and click on the Remove button. Then the attribute "<No Work>" will be removed from all holidays of the selected state in the specified year. Please note that this action will remove the "<No Work>" attribute from the holidays of other states and from individually specified holidays too. If necessary, these holidays have to be inserted again.

OK

Quits the dialog box and applies the settings you have made.

Cancel

Quits the dialog box without applying the modifications you made.


The "Edit Settings (Standard)" dialog box

On the Standard tab of the Edit Settings dialog box you can fix a number of global settings. Some of these settings are valid for your general work with GRANEDA Dynamic (Default directories, Show welcome dialog, and List size of recently used files). The other settings are only valid for the active graphics specification.

Default directories: For interface templates

Specify the default directory for the interface templates. Click on the Browse button to reach the Windows Select directory dialog box where you can select the drive and path for the interface templates. This setting is stored to the ini file.

Default directories: For graphics specifications

Specify the default directory for the graphics specifications. Click on the Browse button to reach the Windows Select directory dialog box where you can select the drive and path for the graphics specifications. This setting is stored to the ini file.

Default directories: For application data

Specify the default directory for the project data (application data). Click on the Browse button to reach the Windows Select directory dialog box where you can select the drive and path for the project data. This setting is stored to the ini file.

Show welcome dialog

Specify whether the Welcome dialog box is displayed when you start GRANEDA Dynamic. This setting is stored to the ini file.

Output language

Select the language of the default texts (date ribbon annotation). Possible output languages: English and German. This setting is stored to the active gsp file.

Input date format

Select the date format for the input of dates from the list. The following abbreviations are used:

DD | two-digit figure for the day of the month
MM | two-digit figure for the month
MMM | three-digit character-string for the month
YY | two-digit figure for the year
YYYY | four-digit figure for the year
hh | two-digit figure for the hour
mm | two-digit figure for the minute

This setting is stored to the active gsp file.

Output date format

Select the date format for the output of dates from the list. The same abbreviations are used as for the input date format. This setting is stored to the active gsp file.

List size of recently opened files

Specify the number of recent files opened that are listed in the File menu. This setting is stored to the ini file.

Copy standard components into new GSPs

Specify whether the default specification components are newly created (checkbox not checked) or copied from the currently used interface template (checkbox checked) when a new graphics specification is created. This setting is stored to the ini file.

Creating a new graphics specification with newly created specification components can be useful to analyze a problem with the help of exactly defined specification components.

Network/Tree/Gantt diagram

Select the diagram chart for that you want to specify the settings in the sections General and Link appearance.

Diagram frame

The active appearance of the diagram frame is shown here. If you want to modify it, click on the Edit button to reach the Specify line type for [...] chart border. This setting is stored to the active gsp file.

Diagram background

The active color of the diagram background is shown here. If you want to modify it, click on the button to open the Color picker and select a color. This setting is stored to the active gsp file.

Show interface nodes

for network charts only. Tick this box if you want the interface nodes of the selected nodes to be displayed when a subnet is built. Interface nodes are nodes that are direct predecessors or successors of nodes of the subnet.

The box Show interface nodes lets you display or hide the interface nodes of the selected nodes. If this is activated, the direct predecessor and successor nodes are especially highlighted. Thus you can differ between selected nodes and interface nodes the at a glance.

This setting is stored to the active gsp file.

Show links

for Gantt charts only. Tick this box if you want links to be shown. This setting is stored to the active gsp file.

Smallest time interval

for Gantt charts only. Select the smallest available time interval. The smallest time interval is decisive for the possible start and finish dates of nodes in the Gantt chart. Therefore it is also decisive for the length of the steps in which nodes in Gantt charts can be moved (e.g. five hours, one day, two weeks). The smallest time interval also is decisive for the calibration of the time scales and the date lines.

The unit of the smallest time interval has to be the same as the Smallest time unit that is specified on the Extended tab of the Edit Settings dialog box.

This setting is stored to the active gsp file.

Link appearance: Normal

The format of normal links is displayed here. If you want to change it, click on the Edit button to open the Specify linetype for normal [...] links dialog box. This setting is stored to the active gsp file.

Link appearance: Critical

for network and Gantt charts only. The format of critical links is displayed here. If you want to change it, click on the Edit button to open the Specify linetype for critical [...] links dialog box. This setting is stored to the active gsp file.

Link appearance: Critical filter

for network and Gantt charts only. Select the filter that regulates the critical links in network and Gantt charts. Critical links are the links between two critical nodes. This setting is stored to the active gsp file.

Arrow symbols

for network and Gantt charts only. Tick this box if you want arrow symbols to be displayed at the ends of links.

Note: This setting is valid for network and Gantt charts. It is stored to the active gsp file.

Annotation

for network charts only. Tick this box if you want links in network charts to be annotated with lag and link type.

Note: The lag "0" and the link type "Finish-Start" will not be displayed.

This setting is stored to the active gsp file.

OK

Quits the dialog box and applies the settings you have made since you opened the dialog box.

Cancel

Quits the dialog box without applying the settings you have made since you opened the dialog box.

Apply

Applies the settings you have made since you opened the dialog box.


The "Edit Settings (Extended)" dialog box

(This tab is only offered when a graphics specification is open.) As a Professional licence holder you can make settings on the Extended tab that are valid for all GRANEDA Dynamic Standard licence holders within your organisation who use the corresponding interface template.

Storage

Specify whether the modifications you make on this tab are stored locally (i.e. in the active graphics specification only) or in the interface template (IFT). Choose the "local" option only if you want to test the settings you make on the Extended tab and therefore do not wish to transfer them to the IFT. - If the IFT is locked by another user, only the option "local" is available.

The default is "Template". In this case, all settings you make on the Extended tab are saved to the interface template (IFT) and are valid for all users who access the graphics specifications that refer to that IFT.

Zooming factor

Select the factor by which the diagram is enlarged/reduced each step it is zoomed.

Font threshold

Specify the font size below which texts should be ignored in the diagram.

Use always components from template

Tick this box if you want the specification components always to be taken from the template.

Note: This option is also available if you set the Storage option to "Local". In this case, all settings you make here will only be stored locally, while the specification components will always be taken from the interface template.

If you do not tick this box and have modified specification components, users who open a graphics specification will be asked which of the modified specification components they want to transfer to that graphics specification.

Project data editable

Specify whether project data can be edited in GRANEDA Dynamic or not. If you specify that the project data cannot be edited, activities in the network chart can be moved but the OK button in the Edit Node dialog box, for example, is deactivated. In Gantt charts, layers cannot be moved.

Network/Tree/Gantt diagram

Select the diagram type for which you want to specify the settings in the following sections of this tab.

Node moving allowed

(For network charts and Gantt charts only: Only valid for Gantt charts when the Project data editable option is activated.) Tick this box if you want activities to be moveable.

Link moving allowed

(For network charts only) Tick this box if you want links to be moveable.

Group changing allowed

(For network charts and Gantt charts only: Only valid when the Node moving allowed and Project data editable options are activated.) Tick this box if you want activities to be moveable between groups. When nodes are moved to a different group their group code (= the value of the data field selected under Group by field (= group code) in the Edit Grouping dialog box) is automatically adjusted.

Node marking - Node

(For network charts and tree charts only) Specify how nodes are marked in the network chart and tree chart.

Node marking - Field

(For network charts and tree charts only) Specify how node fields are marked in the network chart and tree chart.

Link marking - Link

(For network charts only) Specify how links are marked in the network chart and Gantt chart.

Mark types table – Baseline

(For Gantt charts only) Specify how selected basic rows in the table are marked. Choose between: Invert, No Mark, Pickmarks inside, Surround inside.

Mark types table – Groupline

(For Gantt charts only) Specify how selected grouping rows in the table are marked. Choose between: Invert, No Mark, Pickmarks inside, Surround inside.

Mark types table - Field

(For Gantt charts only) Specify how selected fields in the table are marked. Choose between: Invert, No Mark, Pickmarks inside, Surround inside.

Mark types Gantt graph - Link

(For Gantt charts only) To change the format of selected links in the diagram area click on the Edit button to modify the line attributes in the Specify linetype for marked Gantt links dialog box.

Mark types Gantt graph - Node

(For Gantt charts only) Specify how selected nodes in the diagram area are marked. Choose between: Invert, No Mark, Pickmarks inside, Surround inside.

Smallest Time Unit

(For Gantt charts only) The smallest time unit is used to interpret the activity duration in the Gantt chart.

For planning systems with duration fields that do not contain a time unit, the relevant time unit, if other than the default "Days", must be specified under Smallest time unit in the Edit Settings (Extended) dialog box. The smallest time unit regulates the time unit used for the layer duration that is defined in the Edit Layer dialog box.

For planning systems with duration fields that contain a time unit (e.g. Microsoft Project), GRANEDA Dynamic checks whether the data of the duration fields used are based on the same time unit. If this is not the case, the system converts all data to the smallest time unit used and transfers the value to the Smallest time unit field (where it is only indicated, but cannot be modified). If necessary, the unit for the Smallest time interval on the Standard tab will also be adjusted.

Each duration is converted to the smallest time unit used to define the duration of a layer according to the following scheme:

  • 1 day = 8 hours

  • 1 week = 5 days

The conversion is initiated in two cases:

  1. If a new data field is used for the duration of a layer (either when adding a layer that uses a new data field, from the interface template or if a new data field is used for the definition of the layer duration)

  2. When opening a Gantt chart (when opening a project or loading the Gantt chart).

Note when writing the project data back to your planning system that the data may have been changed by the calculation of the duration in GRANEDA Dynamic.

Calendar name in

(For Gantt charts only) If you do not wish the same calendar to be applied to all nodes, you can select a data field to store the name of the calendar to the node.

OK

Quits the dialog box and applies the settings you have made.

Cancel

Quits the dialog box without applying the settings you made since you opened the dialog box.

Apply

Applies the modifications you have made since you opened the dialog box.


The "Generating files for GRANEDA Dynamic 3.x from version 2.1" dialog box

With the help of this dialog box you can convert files of the type *.gll, *.ifd or *.gdf from GRANEDA Dynamic 2.1 into files of the type *.gsp or *.ift for GRANEDA Dynamic 3.x.

Source file

Click on the Select button to select the Source file (i. e. the GRANEDA Dynamic 2.1 file you want to convert for Dynamic 3.x).

Generated file

The Generated file field will indicate the name and path of the file to be created. The path to the generated file is predefined in the Edit Settings (Standard) dialog box under Default directories for interface templates / for graphics specifications. The name of the generated file is the same as the source file.

The file extension is converted as follows:

Version 2.1 files | Version 3.x files
*.gll (GRANEDA Layout File) | *.gsp (Graphics specification)
*.ifd (Interface Definition) | *.ift (Interface template)
*.gdf (GRANEDA Definition) | *.ift (Interface template)

For each *.gll to be converted, there must be a corresponding project data file of the type *.csv, *.mpx, *.pra or *.pre. In addition, for each *.gll to be converted the appropriate *.ifd or *.gdf file related to the project data file must exist.

In order for the conversion of *.ifd or *.gdf files to work the following GRANEDA Dynamic 2.1 files must exist for each *.ifd or *.gdf file to be converted:

  • *.fmt (Formats)

  • *.flt (Filters)

  • *.hlt (Highlights).

Select

Click on Select to open the Windows Open dialog box. Here you can select a GRANEDA Dynamic 2.1 file of the type *.gll, *.ifd or *.gdf.

Generate

(only active if a source file has been selected and the generation of the file for GRANEDA Dynamic has not been initiated) Click on Generate to generate a GRANEDA Dynamic 3.x file from the specified source file.

Close

Quits the dialog box without generating a file for GRANEDA Dynamic 3.x.


The "Administrate ODBC Interfaces" dialog box

This dialog box helps you manage your ODBC interfaces.

Name

This column indicates the names of all available ODBC interfaces.

Data Source

This column indicates the data source of the ODBC interface. To select a different source to the one shown, select the blank entry in the combo box in place of the existing entry. The previous entry is then no longer listed in the combo box. Next, click on the Edit button to reach the Windows dialog box Select Data Source. On the Computer Data Source tab, select a data source for the current ODBC interface.

Database

This column shows the database to which the interface is linked. To select a different database to the one shown, select the blank entry in the combo box in place of the existing entry. The previous entry is then no longer listed in the combo box. Next, click on the Edit button. If no database is linked to the selected data source, the Windows dialog box Select Database will appear where you can select a database for the current ODBC interface.

Type

This column lists the access type of the interface. Valid access types are:

  • dynaset: A dataset object of the type dynaset can be generated from a local or linked table. With a dynaset you can extract and write back data from several linked tables, provided the relevant ODBC driver allows this. Microsoft Excel does not support this option.

  • snapshot: A dataset object of the type snapshot is a static copy of a set of records from one or several tables of a database. It is not possible to update a snapshot.

Note: In order to be able to write back the data from GRANEDA Dynamic to the database, you must choose the type dynaset.

Create New Interface Template

Click on this button to create a new interface template. You will reach the Windows dialog box Create New Interface Template. The file type "Interface Templates (*.ift)" is preset. When you type a name for the new interface template and click on Save to confirm the name, the Windows dialog boxes Select Data Source and Select Database respectively will appear. Once you have made the necessary entries in these dialog boxes and clicked on OK to confirm your settings, the ODBC Interface Wizard will appear.

Copy interface template

Click on this button to reach the Windows dialog box Save Copy As where you can save a copy of the selected interface template. Once you have clicked on Save to quit the Save Copy As dialog box, the copy will be listed in the Administrate ODBC Interfaces dialog box.

Delete Interface Template

Click on this button to delete the selected interface template.

Edit interface template

When you click on this button you will either reach the Windows dialog boxes Select Data Source and Select Database, or, if (once) a data source and database have been selected, the ODBC Interface Editor. The interface editor contains the same dialog boxes as the ODBC Interface Wizard and gives you a further opportunity to modify the entries you made in the ODBC Interface Wizard.

Close

Click on this button to apply the modifications you have made and quit the dialog box.


The ODBC Interface Wizard (Tables)

The ODBC Interface Wizard helps you create an interface and a default GSP to link GRANEDA Dynamic to your ODBC interface. For each of the following categories

  • activities

  • relationship/links

  • general project information

you can select a table or enquiry from your ODBC database and choose the data fields you want to use in GRANEDA Dynamic.

Continue

Click on Continue to proceed with creating the new interface template. You will be guided through the dialog boxes Main data, Relationship/links and General project information respectively.

Cancel

Click on Cancel to stop creating the new interface template.


The "Main data", "Relationship/links" and "General project information" dialog boxes

In this series of dialog boxes you can define the data fields for the activities, links and project info for GRANEDA Dynamic. To do so, in each dialog box select a database table/enquiry and choose the data fields you want to use in GRANEDA Dynamic. Click on Next in the Main data dialog box to reach the Relationship/links dialog box. Click on Next in the Relationship/links dialog box to reach the General project information dialog box. Since these three dialog boxes are practically identical (except for the Identification option which only appears in the Main data dialog box), only the Main data dialog box is described below.

When you click on the Finish button in the last dialog box (General project information), the interface template will be generated and the ODBC Interface Wizard (Tables) will be closed.

Interface Template

Indicates the path and name of the interface template (*.IFT) you are generating in the Interface Wizard to link GRANEDA Dynamic to a database.

Data base

Indicates the path and name of the data base for which you are generating the interface template.

Data base table/view

Choose a data base table/view from the selected data base. This entry is mandatory in order to proceed with the interface Wizard. Until you make an entry the Nextbutton is deactivated.

Data fields

Lists all data fields of the selected data base table/view.

Selected data fields

Lists the data fields you have selected from the data base in order to transfer them to GRANEDA Dynamic. With the help of the Add, Remove, Add all and Remove all buttons you can select the data fields you want to transfer to GRANEDA Dynamic. You must select at least one data field in order to proceed.

Add

Click on the Add button to add the data field marked in the Data fields list to the Selected data fields list.

Remove

Click on the Remove button to delete the data field marked in the Selected Data Fields list.

Add all

Click on the Add all button to add all the data fields in the Data fields list to the Selected data fields list.

Remove all

Click on the Remove all button to remove all the data fields in the Selected data fields list.

Sort as data base

Activate this option to sort the data fields in the Data fields list by the same order as the selected data base.

Sort alphabetically

Activate this option to sort the data fields in the Data fields list alphabetically.

Sort as data base when added

Only active when no data field is selected. Activate this option to display the data fields in the Selected data fields list and in GRANEDA Dynamic in the same order as in the data base.

Sort manually

Activate this option to display the data fields in the Selected data fields list and in GRANEDA Dynamic in the order you specify. Use the buttons next to the Selected data fields list to change the order if you wish:

Moves the selected data field to the top of the list.

Moves the selected data field one line up.

Revokes the last modification.

Moves the selected data field one line down.

Moves the selected data field to the bottom of the list.

Identification

(Only offered in the Main data dialog box.) Select the data field to be used as the ID of activities in GRANEDA Dynamic. The Identification combo box contains all the fields you have transferred to the Selected data fields list. This entry is mandatory in order to proceed with the Interface Wizard.

Editable

Specify whether each selected data field can be edited in the GRANEDA Dynamic Edit Node dialog box and in the Edit toolbar.

Hidden

Specify whether each selected data field should be hidden in the GRANEDA Dynamic Edit Node dialog box.

Type

Indicates the data type of the selected data field currently marked. This attribute is fixed.

Length

Indicates the length of the selected data field currently marked. This attribute is fixed.

Field contents to be interpreted as date

Specify whether the content of each selected data field should be interpreted as a date in GRANEDA Dynamic.

Back

Click on this button to return to the previous dialog box.

Next

Click on Next when you have completed your entries. The Next button is deactivated if any mandatory entries have not been made (Data base table/view, Selected data fields and/or Identification).

Cancel

Click on Cancel to quit the ODBC Interface Wizard without creating a new interface.


The ODBC Interface Wizard (Semantic)

With this Wizard you can define the semantics for the categories

  • Tree structure

  • Network structure

  • Layer representation.

In other words you define the meaning of specific data fields of your ODBC data base to GRANEDA Dynamic.

Continue

Click on Continue to start creating a new interface template. You will be guided through the Specifications for tree structures, Specification for Network structure and Specification for layer representation dialog boxes respectively.

Cancel

Click on Cancel to stop creating a new interface template.


The "Specification for tree structures" dialog box

In this dialog box you can define the semantics of how and from which data fields in the Main data table the tree structure is stipulated. Further, you can specify which data fields should be automatically modified when the structure changes.

No tree structure specifications

If you do not specify any tree structure details, the activities will be displayed without a structure. But then your tree charts will not be meaningful. If the No tree structure specifications box has been ticked, none of the other options in this dialog box are activated and you can click on Next to proceed direct to the next dialog box.

Tree structure derived from

Tick this box to display meaningful tree charts. You can then choose the data fields that should be used to stipulate the tree structure:

  • The data field with the hierarchical code

  • The input sequence and the data field for the hierarchy level

  • The data fields for parent and child identification.

Data field with the hierarchical code

Tick this box if you want the tree structure to be derived from an hierarchy and select the data field that will stipulate the hierarchy of the activities in your GRANEDA Dynamic tree charts. The combo box lists all data fields selected in the Main data dialog box except for the date fields.

In addition, in the Separator for hierarchical code field specify a character/set of characters by which the individual hierarchical levels should be separated/which should be used in GRANEDA Dynamic to separate the hierarchical levels (e.g. a period, two hyphens, a semi-colon).

Input sequence and data field for hierarchy level

Tick this box if you want the tree structure to be derived from the order of the entries and the hierarchy level and select the data field that will stipulate the hierarchy level of the nodes in your GRANEDA Dynamic tree charts. The combo box lists all data fields selected in the Main data dialog box except for the date fields.

Data field for parent identification and data field for child identification

Tick this box if you want the tree structure to be derived from the parent-child relationships and select the data fields that will stipulate the parent and child node IDs in your GRANEDA Dynamic tree charts. The combo box lists all data fields selected in the Main data dialog box except for the date fields.

Hierarchical code

(Only activated when Automatically updated data fields for structure changes is selected.) Select the data field for the hierarchical code that should be automatically modified when the structure changes.

Separator for hierarchical code

(Only activated when Automatically updated data fields for structure changes is selected.) Select a character/set of characters by which the individual hierarchical levels should be separated/which should be used in GRANEDA Dynamic to separate the hierarchical levels (e.g. a period, two hyphens, a semi-colon).

Hierarchy level

(Only activated when Automatically updated data fields for structure changes is selected.) Select the data field for the hierarchy level that should be automatically modified when the structure changes.

Back

Click on this button to return to the previous dialog box.

Next

Click on Next when you have completed your entries. You will reach the Specifications for network structure dialog box. The Next button is deactivated if any mandatory entries have not been made.

Cancel

Click on Cancel to quit the ODBC Interface Wizard without creating a new interface.


The "Specification for network structure" dialog box

In this dialog box you can define the semantics of how and from which data fields the network structure is stipulated.

No network structure specifications

If you do not specify any network structure details, the activities will be displayed without links. But then your network charts and linked Gantt charts will not be meaningful. If the No network structure specifications box has been ticked, none of the other options in this dialog box are activated and you can click on Next to proceed direct to the next dialog box.

Network structure derived from:

Tick this box to display meaningful network charts and linked Gantt charts. You can then choose the data fields that should be used to stipulate the network structure:

  • The data field for the predecessor list in the activity table (MS Project format)

  • The data field for the successor list in the activity table (MS Project format)

  • The data fields in the link table.

Data field for predecessor list in activity table

Tick this box if you want the network structure to be derived from the predecessor list in the activity table and select the data field that will stipulate the IDs of the predecessor nodes in your GRANEDA Dynamic network/Gantt charts. The combo box lists all data fields selected in the Main data dialog box except for the date fields.

optional data field for successor list

If the network structure is derived from the predecessor list in the activity table you can also specify an additional data field that stipulates the successors of the activities in GRANEDA Dynamic. The combo box lists all data fields selected in the Main data dialog box except for the date fields.

Data field for successor list in activity table

Tick this box if you want the network structure to be derived from the successor list in the activity table and select the data field that will stipulate the IDs of the successor nodes in your GRANEDA Dynamic network/Gantt charts. The combo box lists all data fields selected in the Main data dialog box except for the date fields.

optional data field for predecessor list

If the network structure is derived from the successor list in the activity table you can also specify an additional data field that stipulates the predecessors of the activities in GRANEDA Dynamic. The combo box lists all data fields selected in the Main data dialog box except for the date fields.

Data fields in relationship table for

Tick this box if you want the network structure to be derived from the links table and select the data fields that will be used in GRANEDA Dynamic for

  • the Predecessor identification

  • the Successor identification

  • the Type of relationship

  • the Time lag of relationship

The combo box lists all data fields selected in the Relationship/links dialog box.

The data fields for the type and time difference of the link are optional.

Back

Click on this button to return to the previous dialog box. The Back button is deactivated if any mandatory entries have not been made. In this case, the only way to quit this dialog box is to click on Cancel.

Next

Click on Continue when you have completed your entries. The Continue button is deactivated if any mandatory entries have not been made.

Cancel

Click on Cancel to quit the ODBC Interface Wizard without creating a new interface.


The "Specification for layer representation" dialog box

In this dialog box you can define the date fields for the start and finish of the default layer. The default layer is used when activities are created interactively.

No specification for layer representation

If you do not specify the layer representation you will not be able to generate activities interactively in your GRANEDA Dynamic Gantt charts. If the No specification for layer representation box has been ticked, none of the other options in this dialog box are activated and you can click on Finish to complete the interface creation procedure.

Date fields for default layer

Tick this box to be able to create activities interactively in your GRANEDA Dynamic Gantt charts. Then select the data fields that will stipulate the start/finish of the activities in GRANEDA Dynamic.

Back

Click on this button to return to the previous dialog box.

Finish

(Deactivated if any mandatory entries have not been made.) Click on this button when you have completed your entries. The interface and a default graphic specification for the interface will be created and you will quit the Interface Wizard. The Open Graphics Specification dialog box appears where you will be asked whether you want to open the default graphics specification just created.

Cancel

Click on Cancel to quit the ODBC Interface Wizard without creating a new interface.


The "Administrate IFT Elements" dialog box

You can reach this dialog box via the Administrate ODBC Interfaces option in the Options menu. This option is only active if no graphics specification is open. In this dialog box you can manage the specification components of each interface template.

Interface template

Indicates the interface template whose specification components you want to manage.

Click on the Edit button to select an interface template. You will reach the Windows dialog box Open Interface Template.

Edit element

Click on this button to reach the Administrate [Specification Components] of Interface Template "[…]" dialog box where you can edit, copy, add or delete all specification components of the chosen type for the selected interface template.

Alternatively, you can reach this dialog box by double-clicking on the appropriate line in the Elements table.

Status

The Status column indicates whether a specification component has been edited for each component type and the diagram type of the selected interface template.

Modified specification component(s)

If no specification component has been modified, the Status field is empty.

Diagram Type

This column indicates the type of diagram in which each component type is used. Valid diagram types are: All, Network, Tree, Gantt.

Component Type

This column indicates the types of specification components that can be edited there, e.g. Node Annotation, Node Highlight, Time scale, Table.

Locking of Interface template

As soon as an user of a Professional licence opens an interface template (IFT), it will be locked for any other user. Thereby a file ([ift-name].loc) is created. In this file the locking user, his computer identification and time and date of locking are stored.

The IFT locking avoids that several users of a Professional licence edit the same interface template at once and delete modifications of one another.

The IFT locking is finished automatically when the user who has locked the IFT ends his GRANEDA Dynamic session. When you start GRANEDA Dynamic after that again, you can edit the interface template.

The IFT locking can also be cancelled by any user of a Professional licence. Of course this only should be done when the user who has locked the IFT agrees.

The locking user, his computer identification and time and date of locking are indicated.

Lift locking

Click on this button to cancel the locking. Then you can edit the interface template again.

Cancel/Close

Click on this button to quit the dialog box. If you have not made any modifications, the button is marked Cancel. If you have made modifications, the button is marked Closed and automatically adopts the entries you have made when you leave the dialog box.


The "Window" menu

Cascade

The windows for the different diagram types will be arranged cascading, i. e. the windows will overlap leaving the title bars visible.

Tile

The windows for the different diagram types will be arranged tiled, i. e. the windows are positioned above one another in a smaller format so that they both remain completely visible.

Arrange Icons

If you have activated several windows for different diagram types, you can use this option to reduce them to icon size and arrange them at the bottom of the screen.

Files 1, 2, 3

Lists the diagram types of the active project. The tick indicates the currently activated diagram type.


The "Help" window

Contents

Click on this option to open the contents of GRANEDA Dynamic's Online Help.

Tip of the Day

Click on this option to see a tip on GRANEDA Dynamic.

About GRANEDA Dynamic

You will reach the About GRANEDA Dynamic dialog box where you will find information about the version and the licence holder of GRANEDA Dynamic.

Licencing

(only active, when no graphics specification is open) This menu item lets you open the Licencing of GRANEDA Dynamic dialog box.


The "About GRANEDA Dynamic" dialog box

This dialog box lists the version number, the name and company of the licence holder and the expiry date of the utilisation rights for GRANEDA Dynamic.


The "Licencing" dialog box

You reach this dialog box via the option Licencing in the Help menu. (This option only is available when no graphics specification is open.)

To licence GRANEDA Dynamic, tell NETRONIC Software GmbH your registration number and identification. Then you will immediately receive your four licence codes. Type them in the appropriate fields to licence GRANEDA Dynamic.

Before licencing, GRANEDA Dynamic is automatically licenced as a demo version. The demo version has the following restrictions compared with the full version:

  • The trial period for testing the product is limited (to be agreed with NETRONIC Software GmbH). After this time, GRANEDA Dynamic can no longer be started.

  • The program is fully functional, but only 25 activities can be visualised.

  • Any diagrams you print will have a "Demo" watermark.

  • Interface templates can neither be created nor edited.

Registration number

Indicates your registration number. It cannot be edited.

Identification

(cannot be edited) The number that is indicated here is generated by your hardware. NETRONIC Software GmbH needs it for the licencing procedure. When you modify your hardware, it may occor that you have to renew your licence. Please don´t hesitate to contact the technical support team of NETRONIC Software GmbH.

Licenced Modules

Indicates the GRANEDA Dynamic modules that have been licenced. If the licencing procedure was successful, the licenced modules are activated.

  • Professional licence

  • Visualising and Editing

  • Net Chart

  • Tree Chart

  • Gantt Chart

  • Internet Publishing

Cancel

Quits the dialog box without licencing the program.

Licencing

Click on the Licencing button to start the licencing procedure. If the licencing procedure was successful, you will confirm the message "Licencing procedure successful", and the authorised modules will be activated and are displayed in this dialog box.

Click on OK and quit GRANEDA Dynamic. Now restart the program.

Licencing Codes

Type the four licence codes that you have received from NETRONIC Software GmbH for the acquired modules into the appropriate fields.


Creation Mode

The Creation Mode is the mode you need to be in to create nodes and links. You can also move or mark nodes in this mode when the action is clear.


Graphics specification

A graphics specification (GSP) contains all visualization instructions for a project. A graphics specification is a formal set of instructions that specifies how the data from your project planning system are displayed in GRANEDA Dynamic. It is always coupled with an interface template and contains amongst other things:

  • all information stored in the *.gll files in earlier versions of GRANEDA Dynamic

  • filters to preselect the data or for the automatic assignment of highlights and layers

  • specification components: global components that are stored in the interface template and as copies in the graphics specification and/or local components that are only stored in the GSP and can be copied to and from the interface template

  • a copy of the data definition that is duplicated from the interface template (with ODBC the copy of the data definition can be edited)

  • name of the project data file

The extension for the file name of a graphics specification is *.GSP. The full name of a graphics specification usually consists of the name of the appropriate project data file followed by the extension *.GSP (e.g. project.csv -> project.gsp).

A graphics specification can contain commands for different diagram types, i.e. network chart, tree chart and Gantt chart in the current version.

You can open a graphics specification directly without having to open a project data file first. The appropriate project data file is automatically opened when you open a GSP file.


Marking Mode

The Marking Mode is the default mode in which you can select, copy, delete and move nodes and/or links. In the network chart you can also move nodes between groups, in the tree chart you can move branches and in the Gantt chart you can change the chronological position and length of layers.


Project data

Project data are transferred from your planning system. They are still available in the file format typical for your planning system (e.g. MPX, CSV, etc.) or through a database, while all information needed to represent the data are stored in the graphics specification.


Interface Template (IFT)

An interface template (*.IFT) is a library of all "multi-purpose" components that can be utilised in more than one graphics specification. These include:

  • a data definition that specifies how GRANEDA Dynamic must read a project file. The data definition contains the data source type plus all field names of the application data in the source along with their type, length and semantics

  • specification components

  • name of the standard GSP (fixed)

The extension of an interface template is *.IFT. For example the name of the interface template for MPX files is msp4mpx4.ift.

You can open an IFT file directly to manage the specification components or edit the data definition. In the current version, this feature is only available for ODBC data definitions.

Locking the interface template

As soon as a user of a Professional licence opens an interface template (IFT), it will be locked for any other user. Thereby a file ([IFT name].loc) is created. In this file the locking user, his computer identification and time and date of locking are stored.

The IFT locking prevents several users of a Professional licence from editing the same interface template at once and possibly deleting each other´s modifications.

The IFT locking is finished automatically when the user who has locked the IFT ends his GRANEDA Dynamic session. When you start GRANEDA Dynamic after that again, you can edit the interface template.

The IFT locking can also be cancelled by any user of a Professional licence. Of course this only should be done when the user who locked the IFT agrees. To cancel the IFT locking, the extended Administrate IFT Elements dialog box can be used.


Viewer Metafile (VMF)

VMF is a graphics format that was especially developed for the WebViewer (a Java applet independent of platforms and browsers) by NETRONIC Software GmbH. The VMF format allows you to view, zoom or move your diagrams in a browser on the intranet/internet.

To be able to save your diagrams in VMF format, you need to have licenced the "Internet Publishing" module.

Via the Export Graphics option in the File menu you can reach the Windows Save As dialog box where you can save the diagram currently active in the GRANEDA Dynamic window in the VMF format.

Please contact one of the technical support staff at NETRONIC Software GmbH for more details.


Specification Components

Specification components are important aids in implementing company-wide standards for your project graphics.

A specification component is a set of instructions that stipulates how one or several object(s) of the same type is represented. Specification components are important aids in implementing company-wide standards for your project graphics.

At present, GRANEDA Dynamic supports the following specification components:

  • Time scales (inc. line/calendar grids) (in Gantt charts)

  • Tables (in Gantt charts)

  • Calendars (in Gantt charts)

  • Layers (in Gantt charts)

  • Date lines (in Gantt charts)

  • Node highlights (in network and tree charts)

  • Node annotations (in network and tree charts)

  • Filters (in all diagrams)

Specification components are either global components that are stored in the interface template (Template) or local components that are only stored in a GSP (local). Local specification components can be edited and copied, both from the interface template to the GSP and vice versa.

To simplify the use of specification components in different graphics specifications with the same interface template the definition of the specification components does not contain any information that refers to the project data or the diagram. (Examples of information that refers to the diagram are the start and end dates of the timescale and the date of the date line.) This information is appended when specification components are used in a graphics specification.